!******************************************************************************!
!                                                                              !
!    fill_couplings2.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings2.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-04-03 14:56             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl2()
      coupl(nGC_1057) = cima*ee**2d0*(ca**2d0 + sa**2d0)/sw**2d0
      coupl(nGC_1054) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1055) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1052) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw**2d0)
      coupl(nGC_1053) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw)
      coupl(nGC_1050) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw)
      coupl(nGC_1051) = -cima*ee**2d0*(ca*cb + sa*sb)/cw
      coupl(nGC_898) = (cb**2d0 + sb**2d0)*(ca*sb - cb*sa)/2d0
      coupl(nGC_899) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
      coupl(nGC_892) = -ca**2d0*cima*sb**2d0
      coupl(nGC_893) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_890) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_891) = -cb**2d0*cima*sa**2d0
      coupl(nGC_896) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
      coupl(nGC_897) = -(cb**2d0 + sb**2d0)*(ca*sb - cb*sa)/2d0
      coupl(nGC_894) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_895) = 2d0*cima*(ca**2d0*cb*l4*sb + ca**2d0*cb*l5*sb - ca*cb** &
                       2d0*l2*sa + ca*cb**2d0*l3*sa + ca*l1*sa*sb**2d0 - ca*l3*&
                       sa*sb**2d0 - cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
      coupl(nGC_607) = -coupl(nGC_83)/2d0
      coupl(nGC_48) = ca*cb**3d0*l4/2d0 - ca*cb**3d0*l5/2d0 + ca*cb*l4*sb**2d0/&
                      2d0 - ca*cb*l5*sb**2d0/2d0 + cb**2d0*l4*sa*sb/2d0 - cb** &
                      2d0*l5*sa*sb/2d0 + l4*sa*sb**3d0/2d0 - l5*sa*sb**3d0/2d0
      coupl(nGC_49) = -ca*cb**3d0*l4/2d0 + ca*cb**3d0*l5/2d0 - ca*cb*l4*sb**2d0&
                      /2d0 + ca*cb*l5*sb**2d0/2d0 - cb**2d0*l4*sa*sb/2d0 + cb**&
                      2d0*l5*sa*sb/2d0 - l4*sa*sb**3d0/2d0 + l5*sa*sb**3d0/2d0
      coupl(nGC_44) = -2d0*cb**3d0*cima*l2*sb + 2d0*cb**3d0*cima*l3*sb + 2d0*cb&
                      **3d0*cima*l4*sb + 2d0*cb**3d0*cima*l5*sb + 2d0*cb*cima* &
                      l1*sb**3d0 - 2d0*cb*cima*l3*sb**3d0 - 2d0*cb*cima*l4*sb**&
                      3d0 - 2d0*cb*cima*l5*sb**3d0
      coupl(nGC_45) = 2d0*cb**3d0*cima*l1*sb - 2d0*cb**3d0*cima*l3*sb - 2d0*cb &
                      **3d0*cima*l4*sb - 2d0*cb**3d0*cima*l5*sb - 2d0*cb*cima* &
                      l2*sb**3d0 + 2d0*cb*cima*l3*sb**3d0 + 2d0*cb*cima*l4*sb**&
                      3d0 + 2d0*cb*cima*l5*sb**3d0
      coupl(nGC_46) = -3d0*cb**3d0*cima*l2*sb + 3d0*cb**3d0*cima*l3*sb + 3d0*cb&
                      **3d0*cima*l4*sb + 3d0*cb**3d0*cima*l5*sb + 3d0*cb*cima* &
                      l1*sb**3d0 - 3d0*cb*cima*l3*sb**3d0 - 3d0*cb*cima*l4*sb**&
                      3d0 - 3d0*cb*cima*l5*sb**3d0
      coupl(nGC_47) = 3d0*cb**3d0*cima*l1*sb - 3d0*cb**3d0*cima*l3*sb - 3d0*cb &
                      **3d0*cima*l4*sb - 3d0*cb**3d0*cima*l5*sb - 3d0*cb*cima* &
                      l2*sb**3d0 + 3d0*cb*cima*l3*sb**3d0 + 3d0*cb*cima*l4*sb**&
                      3d0 + 3d0*cb*cima*l5*sb**3d0
      coupl(nGC_40) = ca*cb**2d0*l4*sb/2d0 - ca*cb**2d0*l5*sb/2d0 + ca*l4*sb** &
                      3d0/2d0 - ca*l5*sb**3d0/2d0 - cb**3d0*l4*sa/2d0 + cb**3d0&
                      *l5*sa/2d0 - cb*l4*sa*sb**2d0/2d0 + cb*l5*sa*sb**2d0/2d0
      coupl(nGC_41) = -ca*cb**2d0*l4*sb/2d0 + ca*cb**2d0*l5*sb/2d0 - ca*l4*sb**&
                      3d0/2d0 + ca*l5*sb**3d0/2d0 + cb**3d0*l4*sa/2d0 - cb**3d0&
                      *l5*sa/2d0 + cb*l4*sa*sb**2d0/2d0 - cb*l5*sa*sb**2d0/2d0
      coupl(nGC_42) = -cb**3d0*cima*l2*sb + cb**3d0*cima*l3*sb + cb**3d0*cima* &
                      l4*sb + cb**3d0*cima*l5*sb + cb*cima*l1*sb**3d0 - cb*cima&
                      *l3*sb**3d0 - cb*cima*l4*sb**3d0 - cb*cima*l5*sb**3d0
      coupl(nGC_43) = cb**3d0*cima*l1*sb - cb**3d0*cima*l3*sb - cb**3d0*cima*l4&
                      *sb - cb**3d0*cima*l5*sb - cb*cima*l2*sb**3d0 + cb*cima* &
                      l3*sb**3d0 + cb*cima*l4*sb**3d0 + cb*cima*l5*sb**3d0
      coupl(nGC_1443) = -cima*(ca*cb*l2*sb - ca*cb*l3*sb - ca*cb*l4*sb + ca*cb*&
                        l5*sb - cb**2d0*l5*sa + l5*sa*sb**2d0)
      coupl(nGC_405) = ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw&
                       **2d0)
      coupl(nGC_407) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*( &
                       ca*vev2 - sa*vev1)/(cw**2d0*sw**3d0)
      coupl(nGC_401) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev1 + sa*   &
                       vev2)/(2d0*cw**2d0*sw**2d0)
      coupl(nGC_403) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*(ca&
                       *vev2 - sa*vev1)/(cw**3d0*sw**2d0)
      coupl(nGC_625) = -coupl(nGC_69)
      coupl(nGC_1602) = -ee**2d0*(cb**2d0 + sb**2d0)/sw
      coupl(nGC_627) = -coupl(nGC_72)
      coupl(nGC_1600) = -cb*cima
      coupl(nGC_621) = -2d0*coupl(nGC_78)
      coupl(nGC_1606) = -sqrt(2d0)*sb/2d0
      coupl(nGC_1604) = -sqrt(2d0)*(cb*ydo2 - sb*ydo1)/2d0
      coupl(nGC_1609) = sqrt(2d0)*sb/2d0
      coupl(nGC_1608) = sqrt(2d0)*cb/2d0
      coupl(nGC_629) = -coupl(nGC_94)
      coupl(nGC_1484) = -cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_1119) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_1118) = 2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_1117) = -2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_1116) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1115) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1113) = sqrt(2d0)*sb/2d0
      coupl(nGC_1112) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1111) = sqrt(2d0)*(cb*ytau1 + sb*ytau2)/2d0
      coupl(nGC_1110) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_1593) = -sqrt(2d0)*(cb*ydo1 + sb*ydo2)/2d0
      coupl(nGC_1592) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1591) = sqrt(2d0)*sb/2d0
      coupl(nGC_1590) = sqrt(2d0)*(cb*ydo1 + sb*ydo2)/2d0
      coupl(nGC_1597) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1596) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1595) = sqrt(2d0)*cb/2d0
      coupl(nGC_1594) = -sqrt(2d0)*sb/2d0
      coupl(nGC_1599) = -cima*(cb*ydo2 - sb*ydo1)
      coupl(nGC_959) = -2d0*cb*cima*sb**3d0
      coupl(nGC_958) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_123) = -cb**3d0*l4*vev1/2d0 + cb**3d0*l5*vev1/2d0 - cb**2d0*l4*&
                       sb*vev2/2d0 + cb**2d0*l5*sb*vev2/2d0 - cb*l4*sb**2d0*   &
                       vev1/2d0 + cb*l5*sb**2d0*vev1/2d0 - l4*sb**3d0*vev2/2d0 &
                        + l5*sb**3d0*vev2/2d0
      coupl(nGC_953) = -ca*cb*cima*sa*sb
      coupl(nGC_952) = -ca*cb*cima*sa*sb
      coupl(nGC_951) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_950) = -cima*(-2d0*ca**2d0*cb*l4*sb - 2d0*ca**2d0*cb*l5*sb + ca&
                       *cb**2d0*l1*sa + ca*cb**2d0*l2*sa - 2d0*ca*cb**2d0*l3*sa&
                        - ca*l1*sa*sb**2d0 - ca*l2*sa*sb**2d0 + 2d0*ca*l3*sa*sb&
                       **2d0 + 2d0*cb*l4*sa**2d0*sb + 2d0*cb*l5*sa**2d0*sb)
      coupl(nGC_957) = 2d0*cima*(cb**4d0*l1 - cb**4d0*l3 - cb**4d0*l4 - cb**4d0&
                       *l5 - 3d0*cb**2d0*l1*sb**2d0 - 3d0*cb**2d0*l2*sb**2d0 + &
                       6d0*cb**2d0*l3*sb**2d0 + 6d0*cb**2d0*l4*sb**2d0 + 6d0*cb&
                       **2d0*l5*sb**2d0 + l2*sb**4d0 - l3*sb**4d0 - l4*sb**4d0 &
                        - l5*sb**4d0)
      coupl(nGC_956) = -cima*(ca**2d0*cb*l1*sb + ca**2d0*cb*l2*sb - 2d0*ca**2d0&
                       *cb*l3*sb - 2d0*ca*cb**2d0*l4*sa - 2d0*ca*cb**2d0*l5*sa &
                        + 2d0*ca*l4*sa*sb**2d0 + 2d0*ca*l5*sa*sb**2d0 - cb*l1* &
                       sa**2d0*sb - cb*l2*sa**2d0*sb + 2d0*cb*l3*sa**2d0*sb)
      coupl(nGC_955) = -cima*(ca - sa)*(ca + sa)*(cb - sb)*(cb + sb)/2d0
      coupl(nGC_954) = -cima*(ca - sa)*(ca + sa)*(cb - sb)*(cb + sb)/2d0
      coupl(nGC_1029) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3  &
                         - 2d0*l4 - 2d0*l5)
      coupl(nGC_1028) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1023) = 12d0*cb*cima*sb*(cb**2d0*l1 - cb**2d0*l3 - cb**2d0*l4  &
                         - cb**2d0*l5 - l2*sb**2d0 + l3*sb**2d0 + l4*sb**2d0 + &
                        l5*sb**2d0)
      coupl(nGC_1022) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1021) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1020) = -2d0*cb**4d0*cima
      coupl(nGC_1027) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1026) = -3d0*cb**4d0*cima
      coupl(nGC_1025) = -3d0*cima*sb**4d0
      coupl(nGC_1024) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_889) = -2d0*cima*(ca**2d0*cb*l1*sb - ca**2d0*cb*l3*sb - ca*cb**&
                       2d0*l4*sa - ca*cb**2d0*l5*sa + ca*l4*sa*sb**2d0 + ca*l5*&
                       sa*sb**2d0 - cb*l2*sa**2d0*sb + cb*l3*sa**2d0*sb)
      coupl(nGC_888) = -2d0*cima*(-ca**2d0*cb*l4*sb - ca**2d0*cb*l5*sb + ca*cb &
                       **2d0*l1*sa - ca*cb**2d0*l3*sa - ca*l2*sa*sb**2d0 + ca* &
                       l3*sa*sb**2d0 + cb*l4*sa**2d0*sb + cb*l5*sa**2d0*sb)
      coupl(nGC_1335) = -3d0*ca*cima*sa*(ca*vev2 + sa*vev1)
      coupl(nGC_1334) = 3d0*cima*(-ca**3d0*l3*vev2 - ca**3d0*l4*vev2 - ca**3d0*&
                        l5*vev2 + 3d0*ca**2d0*l1*sa*vev1 - 2d0*ca**2d0*l3*sa*  &
                        vev1 - 2d0*ca**2d0*l4*sa*vev1 - 2d0*ca**2d0*l5*sa*vev1 &
                         - 3d0*ca*l2*sa**2d0*vev2 + 2d0*ca*l3*sa**2d0*vev2 +   &
                        2d0*ca*l4*sa**2d0*vev2 + 2d0*ca*l5*sa**2d0*vev2 + l3*sa&
                        **3d0*vev1 + l4*sa**3d0*vev1 + l5*sa**3d0*vev1)
      coupl(nGC_1333) = -3d0*ca*cima*sa*(ca*vev2 + sa*vev1)
      coupl(nGC_1332) = -3d0*ca*cima*sa*(ca*vev2 + sa*vev1)
      coupl(nGC_1331) = -3d0*ca**3d0*cima*vev1
      coupl(nGC_1330) = -3d0*cima*sa**3d0*vev2
      coupl(nGC_881) = cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_880) = cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_883) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_882) = 2d0*cima*(-ca**2d0*cb*l2*sb + ca**2d0*cb*l3*sb + ca*cb**&
                       2d0*l4*sa + ca*cb**2d0*l5*sa - ca*l4*sa*sb**2d0 - ca*l5*&
                       sa*sb**2d0 + cb*l1*sa**2d0*sb - cb*l3*sa**2d0*sb)
      coupl(nGC_885) = -cb**2d0*cima*sa**2d0
      coupl(nGC_884) = -ca**2d0*cima*sb**2d0
      coupl(nGC_887) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_886) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_39) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca**&
                      2d0*cb**2d0*cima*l5 - ca**2d0*cima*l2*sb**2d0 + 4d0*ca*cb&
                      *cima*l5*sa*sb - cb**2d0*cima*l1*sa**2d0 - cima*l3*sa**  &
                      2d0*sb**2d0 - cima*l4*sa**2d0*sb**2d0 + cima*l5*sa**2d0* &
                      sb**2d0
      coupl(nGC_38) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca**&
                      2d0*cb**2d0*cima*l5 - ca**2d0*cima*l1*sb**2d0 + 4d0*ca*cb&
                      *cima*l5*sa*sb - cb**2d0*cima*l2*sa**2d0 - cima*l3*sa**  &
                      2d0*sb**2d0 - cima*l4*sa**2d0*sb**2d0 + cima*l5*sa**2d0* &
                      sb**2d0
      coupl(nGC_31) = -ca**2d0*cb**2d0*cima*l2 - ca**2d0*cima*l3*sb**2d0 - ca**&
                      2d0*cima*l4*sb**2d0 + ca**2d0*cima*l5*sb**2d0 - 4d0*ca*cb&
                      *cima*l5*sa*sb - cb**2d0*cima*l3*sa**2d0 - cb**2d0*cima* &
                      l4*sa**2d0 + cb**2d0*cima*l5*sa**2d0 - cima*l1*sa**2d0*sb&
                      **2d0
      coupl(nGC_30) = -ca**2d0*cb**2d0*cima*l2 - ca**2d0*cima*l3*sb**2d0 - 2d0*&
                      ca*cb*cima*l4*sa*sb - 2d0*ca*cb*cima*l5*sa*sb - cb**2d0* &
                      cima*l3*sa**2d0 - cima*l1*sa**2d0*sb**2d0
      coupl(nGC_33) = -ca**2d0*cb**2d0*cima*l1 - ca**2d0*cima*l3*sb**2d0 - ca**&
                      2d0*cima*l4*sb**2d0 + ca**2d0*cima*l5*sb**2d0 - 4d0*ca*cb&
                      *cima*l5*sa*sb - cb**2d0*cima*l3*sa**2d0 - cb**2d0*cima* &
                      l4*sa**2d0 + cb**2d0*cima*l5*sa**2d0 - cima*l2*sa**2d0*sb&
                      **2d0
      coupl(nGC_32) = -ca**2d0*cb**2d0*cima*l1 - ca**2d0*cima*l3*sb**2d0 - 2d0*&
                      ca*cb*cima*l4*sa*sb - 2d0*ca*cb*cima*l5*sa*sb - cb**2d0* &
                      cima*l3*sa**2d0 - cima*l2*sa**2d0*sb**2d0
      coupl(nGC_35) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cima*l2*sb**2d0 + 2d0*&
                      ca*cb*cima*l4*sa*sb + 2d0*ca*cb*cima*l5*sa*sb - cb**2d0* &
                      cima*l1*sa**2d0 - cima*l3*sa**2d0*sb**2d0
      coupl(nGC_34) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cima*l1*sb**2d0 + 2d0*&
                      ca*cb*cima*l4*sa*sb + 2d0*ca*cb*cima*l5*sa*sb - cb**2d0* &
                      cima*l2*sa**2d0 - cima*l3*sa**2d0*sb**2d0
      coupl(nGC_37) = -ca**2d0*cb**2d0*cima*l5 + ca**2d0*cima*l5*sb**2d0 - ca* &
                      cb*cima*l1*sa*sb - ca*cb*cima*l2*sa*sb + 2d0*ca*cb*cima* &
                      l3*sa*sb + 2d0*ca*cb*cima*l4*sa*sb - 2d0*ca*cb*cima*l5*sa&
                      *sb + cb**2d0*cima*l5*sa**2d0 - cima*l5*sa**2d0*sb**2d0
      coupl(nGC_36) = -ca**2d0*cb**2d0*cima*l4/2d0 - ca**2d0*cb**2d0*cima*l5/  &
                      2d0 + ca**2d0*cima*l4*sb**2d0/2d0 + ca**2d0*cima*l5*sb** &
                      2d0/2d0 - ca*cb*cima*l1*sa*sb - ca*cb*cima*l2*sa*sb + 2d0&
                      *ca*cb*cima*l3*sa*sb + cb**2d0*cima*l4*sa**2d0/2d0 + cb**&
                      2d0*cima*l5*sa**2d0/2d0 - cima*l4*sa**2d0*sb**2d0/2d0 -  &
                      cima*l5*sa**2d0*sb**2d0/2d0
      coupl(nGC_1005) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_329) = -cb**2d0*cima*sa*vev2
      coupl(nGC_1006) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1001) = -12d0*cb*cima*sb*(-cb**2d0*l2 + cb**2d0*l3 + cb**2d0*l4&
                         + cb**2d0*l5 + l1*sb**2d0 - l3*sb**2d0 - l4*sb**2d0 - &
                        l5*sb**2d0)
      coupl(nGC_1000) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
      coupl(nGC_1003) = -3d0*cb**4d0*cima
      coupl(nGC_MTA) = -cMTA*cima
      coupl(nGC_1002) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_188) = -sqrt(2d0)*ca*cima*ytau1/2d0 - sqrt(2d0)*cima*sa*ytau2/ &
                       2d0
      coupl(nGC_189) = -cb*cima*ytau1 - cima*sb*ytau2
      coupl(nGC_180) = -sqrt(2d0)*ca*cima*yt1/2d0 - sqrt(2d0)*cima*sa*yt2/2d0
      coupl(nGC_181) = cb*cima*yt1 + cima*sb*yt2
      coupl(nGC_182) = -sqrt(2d0)*cb*yt1/2d0 - sqrt(2d0)*sb*yt2/2d0
      coupl(nGC_183) = sqrt(2d0)*cb*yt1/2d0 + sqrt(2d0)*sb*yt2/2d0
      coupl(nGC_184) = -sqrt(2d0)*ca*cima*ytau2/2d0 + sqrt(2d0)*cima*sa*ytau1/ &
                       2d0
      coupl(nGC_185) = -cb*cima*ytau2 + cima*sb*ytau1
      coupl(nGC_186) = -sqrt(2d0)*cb*ytau2/2d0 + sqrt(2d0)*sb*ytau1/2d0
      coupl(nGC_187) = sqrt(2d0)*cb*ytau2/2d0 - sqrt(2d0)*sb*ytau1/2d0
      coupl(nGC_431) = -sqrt(2d0)*(cb*yt1 + sb*yt2)/2d0
      coupl(nGC_433) = -sqrt(2d0)*sb/2d0
      coupl(nGC_435) = sqrt(2d0)*cb/2d0
      coupl(nGC_1610) = -cima*(cb*yt1 + sb*yt2)
      coupl(nGC_611) = -coupl(nGC_81)
      coupl(nGC_1612) = cb*cima
      coupl(nGC_1614) = sqrt(2d0)*cima*(ca*ye1 + sa*ye2)/2d0
      coupl(nGC_1616) = -cMZ*cima*ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0* &
                        cw*sw)
      coupl(nGC_617) = -coupl(nGC_92)
      coupl(nGC_1618) = cMZ*cima*ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw&
                        *sw**2d0)
      coupl(nGC_619) = -coupl(nGC_91)
      coupl(nGC_1108) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_1109) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw**2d0)
      coupl(nGC_1104) = -cima*cw*ee/sw
      coupl(nGC_1105) = -cima*ee/sw
      coupl(nGC_1106) = cima*cw*ee/sw**2d0
      coupl(nGC_1107) = -cima*ee**2d0*(ca*cb + sa*sb)/sw
      coupl(nGC_1100) = -sqrt(2d0)*(cb*ym1 + sb*ym2)/2d0
      coupl(nGC_1101) = -sqrt(2d0)*sb/2d0
      coupl(nGC_1102) = sqrt(2d0)*cb/2d0
      coupl(nGC_1103) = 2d0*cima*gs**2d0
      coupl(nGC_1580) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1581) = sqrt(2d0)*cima*(ca*ydo1 + sa*ydo2)/2d0
      coupl(nGC_1582) = cima*(cb*ydo1 + sb*ydo2)
      coupl(nGC_1583) = cima*sb
      coupl(nGC_1584) = -cb*cima
      coupl(nGC_1585) = ee*(cb**2d0 + sb**2d0)/(2d0*sw)
      coupl(nGC_1586) = -ee*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
      coupl(nGC_1587) = sqrt(2d0)*cima*(ca*yt1 + sa*yt2)/2d0
      coupl(nGC_1588) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1589) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1038) = -4d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3  &
                         - 2d0*l4 - 2d0*l5)
      coupl(nGC_1039) = -cima*(cb - sb)**2d0*(cb + sb)**2d0
      coupl(nGC_1030) = -cima*(cb**4d0 + sb**4d0)
      coupl(nGC_1031) = -cb**2d0*cima*sb**2d0
      coupl(nGC_1032) = -cb**2d0*cima*sb**2d0
      coupl(nGC_1033) = 2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1034) = 2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1035) = cima*(cb*ym1 + sb*ym2)
      coupl(nGC_1036) = cima*sb
      coupl(nGC_1037) = -cb*cima
      coupl(nGC_1324) = -cima*(ca**3d0*vev2 + 2d0*ca**2d0*sa*vev1 - 2d0*ca*sa**&
                        2d0*vev2 - sa**3d0*vev1)
      coupl(nGC_1325) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw)
      coupl(nGC_1326) = -cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_1327) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_1320) = 3d0*ca**2d0*cima*sa*vev1
      coupl(nGC_1321) = -cima*(ca**3d0*vev2 + 2d0*ca**2d0*sa*vev1 - 2d0*ca*sa**&
                        2d0*vev2 - sa**3d0*vev1)
      coupl(nGC_1322) = -cima*(ca**3d0*vev2 + 2d0*ca**2d0*sa*vev1 - 2d0*ca*sa**&
                        2d0*vev2 - sa**3d0*vev1)
      coupl(nGC_1323) = cima*(3d0*ca**3d0*l1*vev1 - 2d0*ca**3d0*l3*vev1 - 2d0* &
                        ca**3d0*l4*vev1 - 2d0*ca**3d0*l5*vev1 - 6d0*ca**2d0*l2*&
                        sa*vev2 + 7d0*ca**2d0*l3*sa*vev2 + 7d0*ca**2d0*l4*sa*  &
                        vev2 + 7d0*ca**2d0*l5*sa*vev2 - 6d0*ca*l1*sa**2d0*vev1 &
                         + 7d0*ca*l3*sa**2d0*vev1 + 7d0*ca*l4*sa**2d0*vev1 +   &
                        7d0*ca*l5*sa**2d0*vev1 + 3d0*l2*sa**3d0*vev2 - 2d0*l3* &
                        sa**3d0*vev2 - 2d0*l4*sa**3d0*vev2 - 2d0*l5*sa**3d0*   &
                        vev2)
      coupl(nGC_1328) = -3d0*cima*sa*(ca**2d0*l3 + ca**2d0*l4 + ca**2d0*l5 + l2&
                        *sa**2d0)
      coupl(nGC_1329) = -3d0*ca*cima*(ca**2d0*l1 + l3*sa**2d0 + l4*sa**2d0 + l5&
                        *sa**2d0)
      coupl(nGC_28) = -ca**2d0*cb*cima*l2*sb + ca**2d0*cb*cima*l3*sb + ca**2d0*&
                      cb*cima*l4*sb - ca**2d0*cb*cima*l5*sb + 2d0*ca*cb**2d0*  &
                      cima*l5*sa - 2d0*ca*cima*l5*sa*sb**2d0 + cb*cima*l1*sa** &
                      2d0*sb - cb*cima*l3*sa**2d0*sb - cb*cima*l4*sa**2d0*sb + &
                      cb*cima*l5*sa**2d0*sb
      coupl(nGC_29) = ca**2d0*cb*cima*l1*sb - ca**2d0*cb*cima*l3*sb - ca**2d0* &
                      cb*cima*l4*sb + ca**2d0*cb*cima*l5*sb - 2d0*ca*cb**2d0*  &
                      cima*l5*sa + 2d0*ca*cima*l5*sa*sb**2d0 - cb*cima*l2*sa** &
                      2d0*sb + cb*cima*l3*sa**2d0*sb + cb*cima*l4*sa**2d0*sb - &
                      cb*cima*l5*sa**2d0*sb
      coupl(nGC_22) = ca**2d0*cb*cima*l4*sb + ca**2d0*cb*cima*l5*sb - ca*cb**  &
                      2d0*cima*l2*sa + ca*cb**2d0*cima*l3*sa + ca*cima*l1*sa*sb&
                      **2d0 - ca*cima*l3*sa*sb**2d0 - cb*cima*l4*sa**2d0*sb -  &
                      cb*cima*l5*sa**2d0*sb
      coupl(nGC_23) = -ca**2d0*cb*cima*l4*sb - ca**2d0*cb*cima*l5*sb + ca*cb** &
                      2d0*cima*l1*sa - ca*cb**2d0*cima*l3*sa - ca*cima*l2*sa*sb&
                      **2d0 + ca*cima*l3*sa*sb**2d0 + cb*cima*l4*sa**2d0*sb +  &
                      cb*cima*l5*sa**2d0*sb
      coupl(nGC_20) = cb**2d0*ee**2d0/(2d0*cw) + ee**2d0*sb**2d0/(2d0*cw)
      coupl(nGC_21) = cMW*cb**2d0*cima*ee + cMW*cima*ee*sb**2d0
      coupl(nGC_26) = 2d0*ca**2d0*cb*cima*l5*sb - ca*cb**2d0*cima*l2*sa + ca*cb&
                      **2d0*cima*l3*sa + ca*cb**2d0*cima*l4*sa - ca*cb**2d0*   &
                      cima*l5*sa + ca*cima*l1*sa*sb**2d0 - ca*cima*l3*sa*sb**  &
                      2d0 - ca*cima*l4*sa*sb**2d0 + ca*cima*l5*sa*sb**2d0 - 2d0&
                      *cb*cima*l5*sa**2d0*sb
      coupl(nGC_27) = ca**2d0*cb*cima*l1*sb - ca**2d0*cb*cima*l3*sb - ca*cb**  &
                      2d0*cima*l4*sa - ca*cb**2d0*cima*l5*sa + ca*cima*l4*sa*sb&
                      **2d0 + ca*cima*l5*sa*sb**2d0 - cb*cima*l2*sa**2d0*sb +  &
                      cb*cima*l3*sa**2d0*sb
      coupl(nGC_24) = -ca**2d0*cb*cima*l2*sb + ca**2d0*cb*cima*l3*sb + ca*cb** &
                      2d0*cima*l4*sa + ca*cb**2d0*cima*l5*sa - ca*cima*l4*sa*sb&
                      **2d0 - ca*cima*l5*sa*sb**2d0 + cb*cima*l1*sa**2d0*sb -  &
                      cb*cima*l3*sa**2d0*sb
      coupl(nGC_25) = -2d0*ca**2d0*cb*cima*l5*sb + ca*cb**2d0*cima*l1*sa - ca* &
                      cb**2d0*cima*l3*sa - ca*cb**2d0*cima*l4*sa + ca*cb**2d0* &
                      cima*l5*sa - ca*cima*l2*sa*sb**2d0 + ca*cima*l3*sa*sb**  &
                      2d0 + ca*cima*l4*sa*sb**2d0 - ca*cima*l5*sa*sb**2d0 + 2d0&
                      *cb*cima*l5*sa**2d0*sb
      coupl(nGC_980) = -cb**4d0*cima
      coupl(nGC_981) = -cima*sb**4d0
      coupl(nGC_982) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_983) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_984) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
      coupl(nGC_985) = -(cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
      coupl(nGC_986) = (cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
      coupl(nGC_987) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
      coupl(nGC_988) = sqrt(2d0)*cima*(ca*ym1 + sa*ym2)/2d0
      coupl(nGC_989) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1470) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_900) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
      coupl(nGC_1607) = sqrt(2d0)*(cb*ydo2 - sb*ydo1)/2d0
      coupl(nGC_1605) = -sqrt(2d0)*cb/2d0
      coupl(nGC_904) = sqrt(2d0)*sb/2d0
      coupl(nGC_1471) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_1259) = -cima*sa**2d0*sb**2d0
      coupl(nGC_1474) = -cima*(-2d0*ca*cb*l5*sb + cb**2d0*l2*sa + l3*sa*sb**2d0&
                         + l4*sa*sb**2d0 - l5*sa*sb**2d0)
      coupl(nGC_339) = cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_333) = cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_331) = -ca*cima*sb**2d0*vev1
      coupl(nGC_335) = -cima*(ca*cb**2d0*vev1 + sa*sb**2d0*vev2)
      coupl(nGC_197) = -sqrt(2d0)*cb*yup1/2d0 - sqrt(2d0)*sb*yup2/2d0
      coupl(nGC_196) = cb*cima*yup1 + cima*sb*yup2
      coupl(nGC_195) = -sqrt(2d0)*ca*cima*yup1/2d0 - sqrt(2d0)*cima*sa*yup2/2d0
      coupl(nGC_194) = sqrt(2d0)*cb*yup2/2d0 - sqrt(2d0)*sb*yup1/2d0
      coupl(nGC_193) = cb*cima*yup2 - cima*sb*yup1
      coupl(nGC_192) = -sqrt(2d0)*ca*cima*yup2/2d0 + sqrt(2d0)*cima*sa*yup1/2d0
      coupl(nGC_191) = sqrt(2d0)*cb*ytau1/2d0 + sqrt(2d0)*sb*ytau2/2d0
      coupl(nGC_190) = -sqrt(2d0)*cb*ytau1/2d0 - sqrt(2d0)*sb*ytau2/2d0
      coupl(nGC_198) = sqrt(2d0)*cb*yup1/2d0 + sqrt(2d0)*sb*yup2/2d0
      coupl(nGC_427) = sqrt(2d0)*sb/2d0
      coupl(nGC_425) = sqrt(2d0)*cb/2d0
      coupl(nGC_423) = sqrt(2d0)*(cb*yt2 - sb*yt1)/2d0
      coupl(nGC_1629) = cMW*cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_1628) = -cMW*cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_609) = -coupl(nGC_82)
      coupl(nGC_1625) = -cMW*cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_1624) = cima*sb
      coupl(nGC_1627) = -cima*ee*(ca*cb + sa*sb)/(4d0*cMW*sw)
      coupl(nGC_1626) = cMW*cima*ee*(ca*cb + sa*sb)/(2d0*sw**2d0)
      coupl(nGC_1621) = -cMZ*cima*ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0* &
                        cw**2d0*sw)
      coupl(nGC_1620) = cMZ*cima*ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw&
                        *sw)
      coupl(nGC_1623) = cima*(cb*ye1 + sb*ye2)
      coupl(nGC_1622) = -cb*cima
      coupl(nGC_1489) = ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_1488) = cima*ee**2d0*(ca*vev2 - sa*vev1)/(2d0*sw**2d0)
      coupl(nGC_106) = -ca**3d0*cima*l3*vev1 - ca**3d0*cima*l4*vev1 - ca**3d0* &
                       cima*l5*vev1 - 3d0*ca**2d0*cima*l2*sa*vev2 + 2d0*ca**2d0&
                       *cima*l3*sa*vev2 + 2d0*ca**2d0*cima*l4*sa*vev2 + 2d0*ca &
                       **2d0*cima*l5*sa*vev2 - 3d0*ca*cima*l1*sa**2d0*vev1 +   &
                       2d0*ca*cima*l3*sa**2d0*vev1 + 2d0*ca*cima*l4*sa**2d0*   &
                       vev1 + 2d0*ca*cima*l5*sa**2d0*vev1 - cima*l3*sa**3d0*   &
                       vev2 - cima*l4*sa**3d0*vev2 - cima*l5*sa**3d0*vev2
      coupl(nGC_1481) = cima*(ca*cb**2d0*vev1 + 2d0*ca*cb*sb*vev2 + 2d0*cb*sa* &
                        sb*vev1 + sa*sb**2d0*vev2)
      coupl(nGC_1480) = cima*(-ca*cb**2d0*l2*vev2 + 2d0*ca*cb*l5*sb*vev1 - ca* &
                        l3*sb**2d0*vev2 - ca*l4*sb**2d0*vev2 + ca*l5*sb**2d0*  &
                        vev2 + cb**2d0*l3*sa*vev1 + cb**2d0*l4*sa*vev1 - cb**  &
                        2d0*l5*sa*vev1 - 2d0*cb*l5*sa*sb*vev2 + l1*sa*sb**2d0* &
                        vev1)
      coupl(nGC_1483) = -cima*ee**2d0*(ca*vev1 + sa*vev2)/(2d0*sw**2d0)
      coupl(nGC_1482) = -cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**3d0
      coupl(nGC_1485) = ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_1487) = -cima*ee**2d0*(ca*vev1 + sa*vev2)/sw**3d0
      coupl(nGC_1486) = cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**2d0
      coupl(nGC_1139) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_1138) = -sqrt(2d0)*sb/2d0
      coupl(nGC_1131) = -3d0*cima*sa**4d0
      coupl(nGC_1130) = -3d0*ca**4d0*cima
      coupl(nGC_1133) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_1132) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_1135) = 4d0*cima*ee**2d0*(cb**2d0 + sb**2d0)
      coupl(nGC_1134) = -12d0*ca*cima*sa*(-ca**2d0*l2 + ca**2d0*l3 + ca**2d0*l4&
                         + ca**2d0*l5 + l1*sa**2d0 - l3*sa**2d0 - l4*sa**2d0 - &
                        l5*sa**2d0)
      coupl(nGC_1137) = sqrt(2d0)*cb/2d0
      coupl(nGC_1136) = -sqrt(2d0)*(cb*ytau1 + sb*ytau2)/2d0
      coupl(nGC_1557) = cima*sb
      coupl(nGC_1004) = -3d0*cima*sb**4d0
      coupl(nGC_1007) = 4d0*cb*cima*sb*(cb**2d0*l1 - cb**2d0*l3 - cb**2d0*l4 - &
                        cb**2d0*l5 - l2*sb**2d0 + l3*sb**2d0 + l4*sb**2d0 + l5*&
                        sb**2d0)
      coupl(nGC_1554) = sqrt(2d0)*cb/2d0
      coupl(nGC_1553) = sqrt(2d0)*(cb*yb2 - sb*yd13x3)/2d0
      coupl(nGC_1552) = -sqrt(2d0)*sb/2d0
      coupl(nGC_1551) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1550) = -sqrt(2d0)*(cb*yb2 - sb*yd13x3)/2d0
      coupl(nGC_1009) = -cima*sb**4d0
      coupl(nGC_1008) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1559) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1558) = -cb*cima
      coupl(nGC_1504) = -cb*cima*ee**2d0/(2d0*sw)
      coupl(nGC_872) = cMW*cima*ee*(ca*sb - cb*sa)/(2d0*sw**2d0)
      coupl(nGC_1311) = -3d0*ca**3d0*cima*vev2
      coupl(nGC_1310) = 3d0*cima*sa*(ca**2d0*l3 + ca**2d0*l4 + ca**2d0*l5 + l1*&
                        sa**2d0)
      coupl(nGC_1313) = 3d0*ca*cima*sa*(ca*vev1 - sa*vev2)
      coupl(nGC_1312) = 3d0*cima*sa**3d0*vev1
      coupl(nGC_1315) = 3d0*cima*(ca**3d0*l3*vev1 + ca**3d0*l4*vev1 + ca**3d0* &
                        l5*vev1 + 3d0*ca**2d0*l2*sa*vev2 - 2d0*ca**2d0*l3*sa*  &
                        vev2 - 2d0*ca**2d0*l4*sa*vev2 - 2d0*ca**2d0*l5*sa*vev2 &
                         + 3d0*ca*l1*sa**2d0*vev1 - 2d0*ca*l3*sa**2d0*vev1 -   &
                        2d0*ca*l4*sa**2d0*vev1 - 2d0*ca*l5*sa**2d0*vev1 + l3*sa&
                        **3d0*vev2 + l4*sa**3d0*vev2 + l5*sa**3d0*vev2)
      coupl(nGC_1314) = 3d0*ca*cima*sa*(ca*vev1 - sa*vev2)
      coupl(nGC_1317) = -ca*cima*(ca**2d0*l3 + ca**2d0*l4 + ca**2d0*l5 + 3d0*l2&
                        *sa**2d0 - 2d0*l3*sa**2d0 - 2d0*l4*sa**2d0 - 2d0*l5*sa &
                        **2d0)
      coupl(nGC_1316) = 3d0*ca*cima*sa*(ca*vev1 - sa*vev2)
      coupl(nGC_1319) = -3d0*ca*cima*sa**2d0*vev2
      coupl(nGC_1318) = cima*sa*(3d0*ca**2d0*l1 - 2d0*ca**2d0*l3 - 2d0*ca**2d0*&
                        l4 - 2d0*ca**2d0*l5 + l3*sa**2d0 + l4*sa**2d0 + l5*sa**&
                        2d0)
      coupl(nGC_17) = cb**2d0*cima*ee + cima*ee*sb**2d0
      coupl(nGC_16) = -ca*cb*cima*ee**2d0/(2d0*cw) - cima*ee**2d0*sa*sb/(2d0*cw)
      coupl(nGC_15) = ca*cima*ee**2d0*sb/(2d0*cw) - cb*cima*ee**2d0*sa/(2d0*cw)
      coupl(nGC_14) = -ca*cima*ee**2d0*sb/(2d0*cw) + cb*cima*ee**2d0*sa/(2d0*cw)
      coupl(nGC_13) = -ca**4d0*cima*l3 - ca**4d0*cima*l4 - ca**4d0*cima*l5 -   &
                      3d0*ca**2d0*cima*l1*sa**2d0 - 3d0*ca**2d0*cima*l2*sa**2d0&
                       + 4d0*ca**2d0*cima*l3*sa**2d0 + 4d0*ca**2d0*cima*l4*sa**&
                      2d0 + 4d0*ca**2d0*cima*l5*sa**2d0 - cima*l3*sa**4d0 -    &
                      cima*l4*sa**4d0 - cima*l5*sa**4d0
      coupl(nGC_12) = -3d0*ca**4d0*cima*l1 - 6d0*ca**2d0*cima*l3*sa**2d0 - 6d0*&
                      ca**2d0*cima*l4*sa**2d0 - 6d0*ca**2d0*cima*l5*sa**2d0 -  &
                      3d0*cima*l2*sa**4d0
      coupl(nGC_11) = -3d0*ca**4d0*cima*l2 - 6d0*ca**2d0*cima*l3*sa**2d0 - 6d0*&
                      ca**2d0*cima*l4*sa**2d0 - 6d0*ca**2d0*cima*l5*sa**2d0 -  &
                      3d0*cima*l1*sa**4d0
      coupl(nGC_10) = 3d0*ca**3d0*cima*l1*sa - 3d0*ca**3d0*cima*l3*sa - 3d0*ca &
                      **3d0*cima*l4*sa - 3d0*ca**3d0*cima*l5*sa - 3d0*ca*cima* &
                      l2*sa**3d0 + 3d0*ca*cima*l3*sa**3d0 + 3d0*ca*cima*l4*sa**&
                      3d0 + 3d0*ca*cima*l5*sa**3d0
      coupl(nGC_19) = -cb**2d0*ee**2d0/(2d0*cw) - ee**2d0*sb**2d0/(2d0*cw)
      coupl(nGC_18) = 2d0*cb**2d0*cima*ee**2d0 + 2d0*cima*ee**2d0*sb**2d0
      coupl(nGC_1114) = -sqrt(2d0)*cima*(ca*ym2 - sa*ym1)/2d0
      coupl(nGC_999) = -(cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
      coupl(nGC_998) = (cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
      coupl(nGC_997) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
      coupl(nGC_996) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_995) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_994) = -2d0*cima*sb**4d0
      coupl(nGC_993) = -2d0*cb**4d0*cima
      coupl(nGC_992) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_991) = -8d0*cb*cima*sb*(-cb**2d0*l2 + cb**2d0*l3 + cb**2d0*l4  &
                        + cb**2d0*l5 + l1*sb**2d0 - l3*sb**2d0 - l4*sb**2d0 -  &
                       l5*sb**2d0)
      coupl(nGC_990) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1556) = cima*(cb*yd13x3 + sb*yb2)
      coupl(nGC_377) = cima*(2d0*ca*cb*l1*sb - 2d0*ca*cb*l3*sb - cb**2d0*l4*sa &
                        - cb**2d0*l5*sa + l4*sa*sb**2d0 + l5*sa*sb**2d0)/2d0
      coupl(nGC_375) = -cb*cima*sb*(ca*vev1 - sa*vev2)
      coupl(nGC_373) = -cima*(cb - sb)*(cb + sb)*(ca*vev2 + sa*vev1)/2d0
      coupl(nGC_1598) = -sqrt(2d0)*cima*(ca*ydo2 - sa*ydo1)/2d0
      coupl(nGC_371) = ca*cb*cima*sb*vev1
      coupl(nGC_379) = -cima*(cb - sb)*(cb + sb)*(ca*vev2 + sa*vev1)/2d0
      coupl(nGC_1638) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1639) = sqrt(2d0)*(cb*ye1 + sb*ye2)/2d0
      coupl(nGC_1632) = -ee*(cw - sw)*(cw + sw)*(ca*cb + sa*sb)/(2d0*cw**2d0*sw)
      coupl(nGC_1633) = -ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
      coupl(nGC_1631) = -ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
      coupl(nGC_1636) = -sqrt(2d0)*(cb*ye1 + sb*ye2)/2d0
      coupl(nGC_1637) = -sqrt(2d0)*sb/2d0
      coupl(nGC_1635) = sqrt(2d0)*cb/2d0
      coupl(nGC_1342) = -ca*cima*(ca**2d0*l3 + ca**2d0*l4 + ca**2d0*l5 + 3d0*l1&
                        *sa**2d0 - 2d0*l3*sa**2d0 - 2d0*l4*sa**2d0 - 2d0*l5*sa &
                        **2d0)
      coupl(nGC_1435) = -cima*(ca*sb**2d0*vev1 + cb**2d0*sa*vev2)
      coupl(nGC_1436) = -cima*(ca*sb**2d0*vev1 + cb**2d0*sa*vev2)
      coupl(nGC_1347) = -cima*(3d0*ca**3d0*l2*vev2 - 2d0*ca**3d0*l3*vev2 - 2d0*&
                        ca**3d0*l4*vev2 - 2d0*ca**3d0*l5*vev2 + 6d0*ca**2d0*l1*&
                        sa*vev1 - 7d0*ca**2d0*l3*sa*vev1 - 7d0*ca**2d0*l4*sa*  &
                        vev1 - 7d0*ca**2d0*l5*sa*vev1 - 6d0*ca*l2*sa**2d0*vev2 &
                         + 7d0*ca*l3*sa**2d0*vev2 + 7d0*ca*l4*sa**2d0*vev2 +   &
                        7d0*ca*l5*sa**2d0*vev2 - 3d0*l1*sa**3d0*vev1 + 2d0*l3* &
                        sa**3d0*vev1 + 2d0*l4*sa**3d0*vev1 + 2d0*l5*sa**3d0*   &
                        vev1)
      coupl(nGC_1124) = 3d0*cima*(-ca**4d0*l2 + ca**4d0*l3 + ca**4d0*l4 + ca** &
                        4d0*l5 + 3d0*ca**2d0*l1*sa**2d0 + 3d0*ca**2d0*l2*sa**  &
                        2d0 - 6d0*ca**2d0*l3*sa**2d0 - 6d0*ca**2d0*l4*sa**2d0  &
                         - 6d0*ca**2d0*l5*sa**2d0 - l1*sa**4d0 + l3*sa**4d0 +  &
                        l4*sa**4d0 + l5*sa**4d0)
      coupl(nGC_1125) = cima*ee*(cb**2d0 + sb**2d0)
      coupl(nGC_1122) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_1432) = -cima*(ca*cb**2d0*l1 + ca*l3*sb**2d0 + ca*l4*sb**2d0 - &
                        ca*l5*sb**2d0 + 2d0*cb*l5*sa*sb)
      coupl(nGC_1120) = -3d0*ca**3d0*cima*sa
      coupl(nGC_1121) = 3d0*ca*cima*sa**3d0
      coupl(nGC_1129) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_1088) = sqrt(2d0)*(cb*yup2 - sb*yup1)/2d0
      coupl(nGC_1012) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1013) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
      coupl(nGC_1010) = -cb**4d0*cima
      coupl(nGC_1011) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1016) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
      coupl(nGC_1541) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1014) = cima*ee**2d0*(ca*sb - cb*sa)/cw
      coupl(nGC_1015) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw**2d0)
      coupl(nGC_1018) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1548) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1549) = -sqrt(2d0)*sb/2d0
      coupl(nGC_1496) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*sw)
      coupl(nGC_1497) = cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_1494) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/sw
      coupl(nGC_1495) = cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*sw**2d0)
      coupl(nGC_1492) = cima*ee**2d0*sb/(2d0*sw)
      coupl(nGC_1493) = -cb*cima*ee**2d0/(2d0*sw)
      coupl(nGC_1490) = cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_1491) = cima*ee**2d0*(ca*vev1 + sa*vev2)/sw**2d0
      coupl(nGC_1498) = cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_1499) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw**2d0)
      coupl(nGC_858) = -sqrt(2d0)*cb/2d0
      coupl(nGC_859) = -sqrt(2d0)*cima*(ca*yt2 - sa*yt1)/2d0
      coupl(nGC_856) = -sqrt(2d0)*sb/2d0
      coupl(nGC_857) = -sqrt(2d0)*(cb*ye2 - sb*ye1)/2d0
      coupl(nGC_854) = cb*cima
      coupl(nGC_855) = cima*sb
      coupl(nGC_853) = cima*(cb*yup2 - sb*yup1)
      coupl(nGC_1308) = sqrt(2d0)*cb/2d0
      coupl(nGC_1309) = -3d0*ca*cima*(ca**2d0*l2 + l3*sa**2d0 + l4*sa**2d0 + l5&
                        *sa**2d0)
      coupl(nGC_1306) = -sqrt(2d0)*(cb*yup1 + sb*yup2)/2d0
      coupl(nGC_1307) = -sqrt(2d0)*sb/2d0
      coupl(nGC_1305) = -cb*cima
      coupl(nGC_1302) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*(&
                        cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_1303) = cima*(cb*yd12x2 + sb*ys2)
      coupl(nGC_1300) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)** &
                        2d0/(cw**2d0*sw**2d0)
      coupl(nGC_1301) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*( &
                        cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_601) = 1d0/(2d0*cMZ)
      coupl(nGC_337) = -cima*(ca*cb**2d0*l3 + ca*l1*sb**2d0 - cb*l4*sa*sb - cb*&
                       l5*sa*sb)
      coupl(nGC_1216) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**2d0&
                        *l1*sb**2d0 + ca**2d0*l3*sb**2d0 + 4d0*ca*cb*l4*sa*sb  &
                         + 4d0*ca*cb*l5*sa*sb - cb**2d0*l2*sa**2d0 + cb**2d0*l3&
                        *sa**2d0 + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0)
      coupl(nGC_1603) = ee**2d0*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
      coupl(nGC_1337) = -cb*cima*ee**2d0/(2d0*cw)
      coupl(nGC_1336) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*cw)
      coupl(nGC_1339) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/cw
      coupl(nGC_1338) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*cw**2d0)
      coupl(nGC_1153) = 3d0*cima*(ca**4d0*l1 - ca**4d0*l3 - ca**4d0*l4 - ca**  &
                        4d0*l5 - 3d0*ca**2d0*l1*sa**2d0 - 3d0*ca**2d0*l2*sa**  &
                        2d0 + 6d0*ca**2d0*l3*sa**2d0 + 6d0*ca**2d0*l4*sa**2d0  &
                         + 6d0*ca**2d0*l5*sa**2d0 + l2*sa**4d0 - l3*sa**4d0 -  &
                        l4*sa**4d0 - l5*sa**4d0)
      coupl(nGC_1152) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_1151) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_1150) = 3d0*ca**3d0*cima*sa
      coupl(nGC_1157) = 4d0*cima*cw*ee**2d0/sw
      coupl(nGC_1156) = -cima*cw*ee/sw**2d0
      coupl(nGC_1155) = cima*ee/sw
      coupl(nGC_1154) = cima*cw*ee/sw
      coupl(nGC_1159) = -2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_1158) = 2d0*cima*ee**2d0/sw
      coupl(nGC_1571) = -sqrt(2d0)*sb/2d0
      coupl(nGC_1570) = -sqrt(2d0)*(cb*yd13x3 + sb*yb2)/2d0
      coupl(nGC_1573) = sqrt(2d0)*(cb*ytau2 - sb*ytau1)/2d0
      coupl(nGC_1572) = sqrt(2d0)*cb/2d0
      coupl(nGC_1575) = sqrt(2d0)*cb/2d0
      coupl(nGC_1574) = sqrt(2d0)*sb/2d0
      coupl(nGC_1577) = sqrt(2d0)*sb/2d0
      coupl(nGC_1579) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1578) = -sqrt(2d0)*cb/2d0
      coupl(nGC_MW_GF) = cMW*cima
      coupl(nGC_121) = -ca*cb**2d0*cima*l3*vev1 - ca*cb**2d0*cima*l4*vev1 + ca*&
                       cb**2d0*cima*l5*vev1 + 2d0*ca*cb*cima*l5*sb*vev2 - ca*  &
                       cima*l1*sb**2d0*vev1 - cb**2d0*cima*l2*sa*vev2 + 2d0*cb*&
                       cima*l5*sa*sb*vev1 - cima*l3*sa*sb**2d0*vev2 - cima*l4* &
                       sa*sb**2d0*vev2 + cima*l5*sa*sb**2d0*vev2
      coupl(nGC_1378) = cb**2d0*cima*sa*vev1
      coupl(nGC_1373) = cb*cima
      coupl(nGC_1372) = -cima*sb
      coupl(nGC_1371) = -cima*(cb*yup1 + sb*yup2)
      coupl(nGC_1370) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_1377) = -ca*cima*sb**2d0*vev2
      coupl(nGC_1376) = cima*(-2d0*ca*cb*l5*sb + cb**2d0*l1*sa + l3*sa*sb**2d0 &
                         + l4*sa*sb**2d0 - l5*sa*sb**2d0)
      coupl(nGC_1375) = -cima*(ca*cb**2d0*l3 + ca*cb**2d0*l4 - ca*cb**2d0*l5 + &
                        ca*l2*sb**2d0 - 2d0*cb*l5*sa*sb)
      coupl(nGC_1374) = -2d0*cima*(ca*cb**2d0*l5*vev1 + ca*cb*l2*sb*vev2 - ca* &
                        cb*l3*sb*vev2 - ca*cb*l4*sb*vev2 + ca*cb*l5*sb*vev2 -  &
                        ca*l5*sb**2d0*vev1 - cb**2d0*l5*sa*vev2 + cb*l1*sa*sb* &
                        vev1 - cb*l3*sa*sb*vev1 - cb*l4*sa*sb*vev1 + cb*l5*sa* &
                        sb*vev1 + l5*sa*sb**2d0*vev2)
    end subroutine fill_couplings_mdl2
end module fill_couplings2
