!******************************************************************************!
!                                                                              !
!    ctparameter200.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter200.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-04-03 14:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter200
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter200()
  dmsb2_l5_fin_QED2 = MW**2d0*dMZ2_MS_QED2*(-MHA**2d0*MW**2d0 + MHA**2d0*MZ**  &
                      2d0 + MSB**2d0*MW**2d0 - MSB**2d0*MZ**2d0)/(MZ**2d0*(MW**&
                      4d0 - 2d0*MW**2d0*MZ**2d0 + MZ**4d0)) + MW**2d0*dMZ2_QED2&
                      *(MHA**2d0*MW**2d0 - MHA**2d0*MZ**2d0 - MSB**2d0*MW**2d0 &
                       + MSB**2d0*MZ**2d0)/(MZ**2d0*(MW**4d0 - 2d0*MW**2d0*MZ**&
                      2d0 + MZ**4d0)) + dMHA2_MS_QED2*(-MW**4d0 + 2d0*MW**2d0* &
                      MZ**2d0 - MZ**4d0)/(MW**4d0 - 2d0*MW**2d0*MZ**2d0 + MZ** &
                      4d0) + dMHA2_QED2 + 2d0*dZee_MS_QED2*(-MHA**2d0*MW**4d0  &
                       + 2d0*MHA**2d0*MW**2d0*MZ**2d0 - MHA**2d0*MZ**4d0 + MSB &
                      **2d0*MW**4d0 - 2d0*MSB**2d0*MW**2d0*MZ**2d0 + MSB**2d0* &
                      MZ**4d0)/(MW**4d0 - 2d0*MW**2d0*MZ**2d0 + MZ**4d0) + 2d0*&
                      dZee_QED2*(MHA**2d0*MW**4d0 - 2d0*MHA**2d0*MW**2d0*MZ**  &
                      2d0 + MHA**2d0*MZ**4d0 - MSB**2d0*MW**4d0 + 2d0*MSB**2d0*&
                      MW**2d0*MZ**2d0 - MSB**2d0*MZ**4d0)/(MW**4d0 - 2d0*MW**  &
                      2d0*MZ**2d0 + MZ**4d0) + dMW2_MS_QED2*(2d0*MHA**2d0*MW** &
                      4d0 - 3d0*MHA**2d0*MW**2d0*MZ**2d0 + MHA**2d0*MZ**4d0 -  &
                      2d0*MSB**2d0*MW**4d0 + 3d0*MSB**2d0*MW**2d0*MZ**2d0 - MSB&
                      **2d0*MZ**4d0)/(MW**2d0*(MW**4d0 - 2d0*MW**2d0*MZ**2d0 + &
                      MZ**4d0)) + dMW2_QED2*(-2d0*MHA**2d0*MW**4d0 + 3d0*MHA** &
                      2d0*MW**2d0*MZ**2d0 - MHA**2d0*MZ**4d0 + 2d0*MSB**2d0*MW &
                      **4d0 - 3d0*MSB**2d0*MW**2d0*MZ**2d0 + MSB**2d0*MZ**4d0  &
                      )/(MW**2d0*(MW**4d0 - 2d0*MW**2d0*MZ**2d0 + MZ**4d0))
    if (.not. complex_mass_scheme) then
      dmsb2_l5_fin_QED2 = cone*real(dmsb2_l5_fin_QED2,kind=dp)
    end if 
end subroutine set_ctparameter200
end module ctparameter200
