!******************************************************************************!
!                                                                              !
!    ctparameter52.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter52.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-04-03 14:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter52
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter52()
  if (dZuR_QCD2_scheme .eq. 0) then
    dZuR_QCD2 = (pi**2d0*(-Nc*coupl(nGC_7)**2d0*sq2**2d0/(4d0*pi**2d0) + coupl(&
                nGC_7)**2d0*sq2**2d0/(4d0*pi**2d0*Nc)) + Ten586*coupl(nGC_7)** &
                2d0*sq2**2d0*(Nc**2d0 - 1d0)/(2d0*Nc) + Ten592*coupl(nGC_7)**  &
                2d0*sq2**2d0*(Nc**2d0 - 1d0)/(2d0*Nc) + Ten603*cMU**2d0*coupl( &
                nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/Nc + Ten610*cMU**2d0*    &
                coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0)/Nc)/(16d0*pi**2d0)
    dZuR_QCD2 = cone*real(dZuR_QCD2,kind=dp)
  end if 
end subroutine set_ctparameter52
end module ctparameter52
