!******************************************************************************!
!                                                                              !
!    ctparameter96.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter96.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-04-03 14:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter96
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter96()
  dZHl_QED2 = (-4d0*Nc*Ten105*coupl(nGC_192)**2d0*rMHL**2d0 - 4d0*Nc*Ten106*   &
              coupl(nGC_130)**2d0*rMHL**2d0 - 4d0*Nc*Ten107*coupl(nGC_177)**2d0&
              *rMHL**2d0 - 4d0*Nc*Ten108*coupl(nGC_145)**2d0*rMHL**2d0 - 4d0*Nc&
              *Ten109*coupl(nGC_169)**2d0*rMHL**2d0 - 4d0*Nc*Ten110*coupl(     &
              nGC_141)**2d0*rMHL**2d0 - 16d0*Nc*Ten114*coupl(nGC_192)**2d0 -   &
              16d0*Nc*Ten115*coupl(nGC_130)**2d0 - 16d0*Nc*Ten116*coupl(nGC_177&
              )**2d0 - 16d0*Nc*Ten117*coupl(nGC_145)**2d0 - 16d0*Nc*Ten118*    &
              coupl(nGC_169)**2d0 - 16d0*Nc*Ten119*coupl(nGC_141)**2d0 - 4d0*Nc&
              *Ten123*coupl(nGC_192)**2d0*rMHL**2d0 - 4d0*Nc*Ten124*coupl(     &
              nGC_130)**2d0*rMHL**2d0 - 4d0*Nc*Ten125*coupl(nGC_177)**2d0*rMHL &
              **2d0 - 4d0*Nc*Ten126*coupl(nGC_145)**2d0*rMHL**2d0 - 4d0*Nc*    &
              Ten127*coupl(nGC_169)**2d0*rMHL**2d0 - 4d0*Nc*Ten128*coupl(      &
              nGC_141)**2d0*rMHL**2d0 - 4d0*Nc*Ten54*coupl(nGC_192)**2d0 - 4d0*&
              Nc*Ten56*coupl(nGC_192)**2d0 - 4d0*Nc*Ten57*coupl(nGC_130)**2d0  &
               - 4d0*Nc*Ten59*coupl(nGC_130)**2d0 - 4d0*Nc*Ten60*coupl(nGC_177 &
              )**2d0 - 4d0*Nc*Ten62*coupl(nGC_177)**2d0 - 4d0*Nc*Ten63*coupl(  &
              nGC_145)**2d0 - 4d0*Nc*Ten65*coupl(nGC_145)**2d0 - 4d0*Nc*Ten66* &
              coupl(nGC_169)**2d0 - 4d0*Nc*Ten68*coupl(nGC_169)**2d0 - 4d0*Nc* &
              Ten69*coupl(nGC_141)**2d0 - 4d0*Nc*Ten71*coupl(nGC_141)**2d0 -   &
              4d0*Nc*Ten93*cMU**2d0*coupl(nGC_192)**2d0 - 4d0*Nc*Ten94*cMC**2d0&
              *coupl(nGC_130)**2d0 - 4d0*Nc*Ten95*cMT**2d0*coupl(nGC_177)**2d0 &
               - 4d0*Nc*Ten96*cMD**2d0*coupl(nGC_145)**2d0 - 4d0*Nc*Ten97*cMS**&
              2d0*coupl(nGC_169)**2d0 - 4d0*Nc*Ten98*cMB**2d0*coupl(nGC_141)** &
              2d0 + Ten100*coupl(nGC_106)**2d0 + Ten101*coupl(nGC_103)**2d0/2d0&
               - 4d0*Ten102*coupl(nGC_153)**2d0*rMHL**2d0 - 4d0*Ten103*coupl(  &
              nGC_161)**2d0*rMHL**2d0 - 4d0*Ten104*coupl(nGC_184)**2d0*rMHL**  &
              2d0 - 16d0*Ten111*coupl(nGC_153)**2d0 - 16d0*Ten112*coupl(nGC_161&
              )**2d0 - 16d0*Ten113*coupl(nGC_184)**2d0 - 4d0*Ten120*coupl(     &
              nGC_153)**2d0*rMHL**2d0 - 4d0*Ten121*coupl(nGC_161)**2d0*rMHL**  &
              2d0 - 4d0*Ten122*coupl(nGC_184)**2d0*rMHL**2d0 + 5d0*Ten15*coupl(&
              nGC_91)**2d0/2d0 + 4d0*Ten16*coupl(nGC_94)**2d0 + 5d0*Ten18*coupl&
              (nGC_63)*coupl(nGC_64) + 8d0*Ten19*coupl(nGC_68)*coupl(nGC_69) + &
              Ten33*coupl(nGC_91)**2d0 + Ten35*coupl(nGC_91)**2d0 + 4d0*Ten36* &
              coupl(nGC_94)**2d0 + Ten38*coupl(nGC_94)**2d0 + 2d0*Ten39*coupl( &
              nGC_63)*coupl(nGC_64) + 2d0*Ten41*coupl(nGC_63)*coupl(nGC_64) +  &
              8d0*Ten42*coupl(nGC_68)*coupl(nGC_69) + 2d0*Ten44*coupl(nGC_68)* &
              coupl(nGC_69) - 4d0*Ten45*coupl(nGC_153)**2d0 - 4d0*Ten47*coupl( &
              nGC_153)**2d0 - 4d0*Ten48*coupl(nGC_161)**2d0 - 4d0*Ten50*coupl( &
              nGC_161)**2d0 - 4d0*Ten51*coupl(nGC_184)**2d0 - 4d0*Ten53*coupl( &
              nGC_184)**2d0 + Ten72*(coupl(nGC_109)**2d0/2d0 + 2d0*coupl(      &
              nGC_128)**2d0 + 5d0*coupl(nGC_91)**2d0*rMHL**2d0/2d0 - coupl(    &
              nGC_93)**2d0) + Ten73*coupl(nGC_91)**2d0*rMHL**2d0 + 4d0*Ten74*  &
              coupl(nGC_91)**2d0 + Ten75*coupl(nGC_91)**2d0*rMHL**2d0 + Ten76*(&
              coupl(nGC_120)**2d0 + 4d0*coupl(nGC_94)**2d0*rMHL**2d0) + 4d0*   &
              Ten77*coupl(nGC_94)**2d0*rMHL**2d0 + 4d0*Ten78*coupl(nGC_94)**2d0&
               + Ten79*coupl(nGC_94)**2d0*rMHL**2d0 + Ten80*(coupl(nGC_108)**  &
              2d0 + 4d0*coupl(nGC_124)**2d0 + 5d0*coupl(nGC_63)*coupl(nGC_64)* &
              rMHL**2d0 - 2d0*coupl(nGC_67)**2d0) + 2d0*Ten81*coupl(nGC_63)*   &
              coupl(nGC_64)*rMHL**2d0 + 8d0*Ten82*coupl(nGC_63)*coupl(nGC_64   &
              ) + 2d0*Ten83*coupl(nGC_63)*coupl(nGC_64)*rMHL**2d0 + Ten84*(2d0*&
              coupl(nGC_119)**2d0 + 8d0*coupl(nGC_68)*coupl(nGC_69)*rMHL**2d0  &
              ) + 8d0*Ten85*coupl(nGC_68)*coupl(nGC_69)*rMHL**2d0 + 8d0*Ten86* &
              coupl(nGC_68)*coupl(nGC_69) + 2d0*Ten87*coupl(nGC_68)*coupl(     &
              nGC_69)*rMHL**2d0 + Ten88*coupl(nGC_113)**2d0/2d0 + Ten89*coupl( &
              nGC_110)**2d0 - 4d0*Ten90*cME**2d0*coupl(nGC_153)**2d0 - 4d0*    &
              Ten91*cMM**2d0*coupl(nGC_161)**2d0 - 4d0*Ten92*cMTA**2d0*coupl(  &
              nGC_184)**2d0 + Ten99*coupl(nGC_104)**2d0/2d0 + pi**2d0*(-2d0*Nc*&
              coupl(nGC_130)**2d0/(3d0*pi**2d0) - 2d0*Nc*coupl(nGC_141)**2d0/( &
              3d0*pi**2d0) - 2d0*Nc*coupl(nGC_145)**2d0/(3d0*pi**2d0) - 2d0*Nc*&
              coupl(nGC_169)**2d0/(3d0*pi**2d0) - 2d0*Nc*coupl(nGC_177)**2d0/( &
              3d0*pi**2d0) - 2d0*Nc*coupl(nGC_192)**2d0/(3d0*pi**2d0) - 2d0*   &
              coupl(nGC_153)**2d0/(3d0*pi**2d0) - 2d0*coupl(nGC_161)**2d0/(3d0*&
              pi**2d0) - 2d0*coupl(nGC_184)**2d0/(3d0*pi**2d0) + coupl(nGC_63)*&
              coupl(nGC_64)/(3d0*pi**2d0) + coupl(nGC_68)*coupl(nGC_69)/(3d0*pi&
              **2d0) + coupl(nGC_91)**2d0/(6d0*pi**2d0) + coupl(nGC_94)**2d0/( &
              6d0*pi**2d0)))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZHl_QED2 = cone*real(dZHl_QED2,kind=dp)
    end if 
end subroutine set_ctparameter96
end module ctparameter96
