!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-04-03 14:56             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl4()
      coupl(nGC_3010) = -coupl(nGC_72)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3011) = coupl(nGC_137)*dZHh_QED2/2d0 + coupl(nGC_137)*dZbL_QED2&
                        /2d0 + coupl(nGC_137)*dZbR_QED2/2d0 + coupl(nGC_141)*  &
                        dZHlHh_QED2/2d0 + coupl(nGC_2391)
      coupl(nGC_3012) = coupl(nGC_137)*dZbL_QCD2/2d0 + coupl(nGC_137)*dZbR_QCD2&
                        /2d0 + coupl(nGC_2392)
      coupl(nGC_3013) = coupl(nGC_35)*dZGMinus
      coupl(nGC_3014) = coupl(nGC_2256) + coupl(nGC_23)*dZHhHl_QED2 + coupl(   &
                        nGC_24)*dZHMinusGMinus_QED2 + coupl(nGC_35)*dZHl_QED2
      coupl(nGC_3015) = coupl(nGC_163)*dZHa_QED2/2d0 + coupl(nGC_163)*         &
                        dZmuMinusL_QED2/2d0 + coupl(nGC_163)*dZmuMinusR_QED2/  &
                        2d0 + coupl(nGC_167)*dZG0Ha_QED2/2d0 + coupl(nGC_2431)
      coupl(nGC_3016) = coupl(nGC_164)*dZHa_QED2/2d0 + coupl(nGC_164)*         &
                        dZmuMinusL_QED2/2d0 + coupl(nGC_164)*dZmuMinusR_QED2/  &
                        2d0 + coupl(nGC_168)*dZG0Ha_QED2/2d0 + coupl(nGC_2432)
      coupl(nGC_3017) = coupl(nGC_10)*dZHhHl_QED2 + coupl(nGC_13)*dZHh_QED2 +  &
                        coupl(nGC_13)*dZHl_QED2 + coupl(nGC_2257) + coupl(nGC_9&
                        )*dZHlHh_QED2
      coupl(nGC_2873) = coupl(nGC_2277) + coupl(nGC_28)*dZHa_QED2/2d0 + coupl( &
                        nGC_28)*dZHl_QED2 + coupl(nGC_31)*dZHaG0_QED2/2d0 +    &
                        coupl(nGC_37)*dZHhHl_QED2 + coupl(nGC_39)*dZG0Ha_QED2/ &
                        2d0
      coupl(nGC_2872) = coupl(nGC_28)*dZG0/2d0
      coupl(nGC_2875) = coupl(nGC_142)*dZbR_QCD2/2d0 + coupl(nGC_142)*dZtL_QCD2&
                        /2d0 + coupl(nGC_2374)
      coupl(nGC_2874) = coupl(nGC_138)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_142 &
                        )*dZHMinus_QED2/2d0 + coupl(nGC_142)*dZbR_QED2/2d0 +   &
                        coupl(nGC_142)*dZtL_QED2/2d0 + coupl(nGC_2373)
      coupl(nGC_2879) = coupl(nGC_2350) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_86)*dZZ_QED2/2d0 + coupl(nGC_86)*dZtauMinusR_QED2
      coupl(nGC_2878) = coupl(nGC_2349) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_89)*dZZ_QED2/2d0 + coupl(nGC_89)*dZtauMinusL_QED2
      coupl(nGC_TS_GC_94_Hh) = -coupl(nGC_94)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_94_Hl) = -coupl(nGC_94)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3080) = coupl(nGC_148)*dZHa_QED2/2d0 + coupl(nGC_148)*dZdL_QED2&
                        /2d0 + coupl(nGC_148)*dZdR_QED2/2d0 + coupl(nGC_152)*  &
                        dZG0Ha_QED2/2d0 + coupl(nGC_2399)
      coupl(nGC_3086) = -coupl(nGC_2234) - coupl(nGC_3)*dZWMinus_QED2/2d0
      coupl(nGC_1789) = (4d0*Nc*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_85) -  &
                        4d0*Nc*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_87) -   &
                        4d0*Nc*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_84) +   &
                        4d0*Nc*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_88) -   &
                        4d0*Nc*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_84) +   &
                        4d0*Nc*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_88) -   &
                        4d0*Nc*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_84) +   &
                        4d0*Nc*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_88) +   &
                        4d0*Nc*coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_85) -   &
                        4d0*Nc*coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_85) -   &
                        4d0*Nc*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_87) -   &
                        4d0*coupl(nGC_154)*coupl(nGC_158)*coupl(nGC_86) + 4d0* &
                        coupl(nGC_154)*coupl(nGC_158)*coupl(nGC_90) - 4d0*coupl&
                        (nGC_162)*coupl(nGC_166)*coupl(nGC_86) + 4d0*coupl(    &
                        nGC_162)*coupl(nGC_166)*coupl(nGC_90) - 4d0*coupl(     &
                        nGC_185)*coupl(nGC_189)*coupl(nGC_86) + 4d0*coupl(     &
                        nGC_185)*coupl(nGC_189)*coupl(nGC_90) - 6d0*coupl(     &
                        nGC_609)*coupl(nGC_63)*coupl(nGC_69) - 6d0*coupl(      &
                        nGC_609)*coupl(nGC_64)*coupl(nGC_69) + coupl(nGC_617)* &
                        coupl(nGC_625)*coupl(nGC_627) + coupl(nGC_625)*coupl(  &
                        nGC_72)*coupl(nGC_91) + coupl(nGC_627)*coupl(nGC_629)* &
                        coupl(nGC_645) + coupl(nGC_631)*coupl(nGC_72)*coupl(   &
                        nGC_94))/(96d0*pi**2d0)
      coupl(nGC_2742) = coupl(nGC_161)*dZHlHh_QED2/2d0 + coupl(nGC_165)*       &
                        dZHh_QED2/2d0 + coupl(nGC_165)*dZmuMinusL_QED2/2d0 +   &
                        coupl(nGC_165)*dZmuMinusR_QED2/2d0 + coupl(nGC_2424)
      coupl(nGC_TS_GC_13_Hl) = -coupl(nGC_13)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3232) = coupl(nGC_2240) + 2d0*coupl(nGC_47)*dZHaG0_QED2
      coupl(nGC_3081) = coupl(nGC_148)*dZdL_QCD2/2d0 + coupl(nGC_148)*dZdR_QCD2&
                        /2d0 + coupl(nGC_2400)
      coupl(nGC_2660) = coupl(nGC_14)*dZGMinus/2d0
      coupl(nGC_2979) = coupl(nGC_194)*dZHaG0_QED2/2d0 + coupl(nGC_198)*       &
                        dZuL_QED2/2d0 + coupl(nGC_198)*dZuR_QED2/2d0 + coupl(  &
                        nGC_2435)
      coupl(nGC_2661) = coupl(nGC_14)*dZHl_QED2/2d0 + coupl(nGC_14)*           &
                        dZWMinus_QED2/2d0 + coupl(nGC_14)*dZZ_QED2/2d0 + coupl(&
                        nGC_16)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_16)*       &
                        dZHhHl_QED2/2d0 + coupl(nGC_2329) + coupl(nGC_65)*     &
                        dZAZ_QED2/2d0
      coupl(nGC_2096) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl(     &
                        nGC_135)*coupl(nGC_136) + 20d0*Nc*cima*coupl(nGC_131)* &
                        coupl(nGC_134)*coupl(nGC_175)*coupl(nGC_176) + 20d0*Nc*&
                        cima*coupl(nGC_131)*coupl(nGC_136)*coupl(nGC_174)*coupl&
                        (nGC_175) + 20d0*Nc*cima*coupl(nGC_134)*coupl(nGC_135)*&
                        coupl(nGC_170)*coupl(nGC_176) + 20d0*Nc*cima*coupl(    &
                        nGC_135)*coupl(nGC_136)*coupl(nGC_170)*coupl(nGC_174   &
                        ) + 20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_139)*coupl(  &
                        nGC_140)*coupl(nGC_142) + 20d0*Nc*cima*coupl(nGC_138)* &
                        coupl(nGC_139)*coupl(nGC_178)*coupl(nGC_183) + 20d0*Nc*&
                        cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_182)*coupl&
                        (nGC_183) + 20d0*Nc*cima*coupl(nGC_139)*coupl(nGC_140)*&
                        coupl(nGC_178)*coupl(nGC_181) + 20d0*Nc*cima*coupl(    &
                        nGC_140)*coupl(nGC_142)*coupl(nGC_181)*coupl(nGC_182   &
                        ) + 20d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150)*coupl(  &
                        nGC_151)*coupl(nGC_152) + 20d0*Nc*cima*coupl(nGC_146)* &
                        coupl(nGC_150)*coupl(nGC_197)*coupl(nGC_198) + 20d0*Nc*&
                        cima*coupl(nGC_146)*coupl(nGC_152)*coupl(nGC_196)*coupl&
                        (nGC_197) + 20d0*Nc*cima*coupl(nGC_150)*coupl(nGC_151)*&
                        coupl(nGC_193)*coupl(nGC_198) + 20d0*Nc*cima*coupl(    &
                        nGC_151)*coupl(nGC_152)*coupl(nGC_193)*coupl(nGC_196   &
                        ) + 20d0*Nc*cima*coupl(nGC_170)*coupl(nGC_174)*coupl(  &
                        nGC_175)*coupl(nGC_176) + 20d0*Nc*cima*coupl(nGC_178)* &
                        coupl(nGC_181)*coupl(nGC_182)*coupl(nGC_183) + 20d0*Nc*&
                        cima*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_197)*coupl&
                        (nGC_198) + 20d0*cima*coupl(nGC_154)*coupl(nGC_158)*   &
                        coupl(nGC_159)*coupl(nGC_160) + 20d0*cima*coupl(nGC_162&
                        )*coupl(nGC_166)*coupl(nGC_167)*coupl(nGC_168) + 20d0* &
                        cima*coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_190)*coupl&
                        (nGC_191) - 5d0*cima*coupl(nGC_619)*coupl(nGC_627)*    &
                        coupl(nGC_647)*coupl(nGC_96) - 5d0*cima*coupl(nGC_619)*&
                        coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_94) - 5d0*cima*  &
                        coupl(nGC_619)*coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_91&
                        ) - 5d0*cima*coupl(nGC_619)*coupl(nGC_631)*coupl(      &
                        nGC_647)*coupl(nGC_91) - 5d0*cima*coupl(nGC_619)*coupl(&
                        nGC_647)**2d0*coupl(nGC_94) - 5d0*cima*coupl(nGC_627)* &
                        coupl(nGC_629)*coupl(nGC_645)*coupl(nGC_96) - 5d0*cima*&
                        coupl(nGC_627)*coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_72&
                        ) - 5d0*cima*coupl(nGC_627)*coupl(nGC_631)*coupl(      &
                        nGC_647)*coupl(nGC_72) - 5d0*cima*coupl(nGC_627)*coupl(&
                        nGC_64)*coupl(nGC_68)*coupl(nGC_72) - 5d0*cima*coupl(  &
                        nGC_627)*coupl(nGC_645)*coupl(nGC_647)*coupl(nGC_72) - &
                        5d0*cima*coupl(nGC_629)*coupl(nGC_631)*coupl(nGC_645)* &
                        coupl(nGC_91) - 5d0*cima*coupl(nGC_629)*coupl(nGC_64)* &
                        coupl(nGC_68)*coupl(nGC_94) - 5d0*cima*coupl(nGC_629)* &
                        coupl(nGC_645)*coupl(nGC_647)*coupl(nGC_94) - 5d0*cima*&
                        coupl(nGC_629)*coupl(nGC_68)**2d0*coupl(nGC_91) - 5d0* &
                        cima*coupl(nGC_64)*coupl(nGC_651)*coupl(nGC_72)*coupl( &
                        nGC_94) - 5d0*cima*coupl(nGC_651)*coupl(nGC_68)*coupl( &
                        nGC_72)*coupl(nGC_91) + 3d0*coupl(nGC_17)**2d0*coupl(  &
                        nGC_43) - 6d0*coupl(nGC_19)*coupl(nGC_64)*coupl(nGC_94 &
                        ) - 6d0*coupl(nGC_19)*coupl(nGC_68)*coupl(nGC_91) + 3d0&
                        *coupl(nGC_24)*coupl(nGC_619)*coupl(nGC_91) + 3d0*coupl&
                        (nGC_25)*coupl(nGC_63)*coupl(nGC_64) + 3d0*coupl(nGC_25&
                        )*coupl(nGC_68)**2d0 + 3d0*coupl(nGC_27)*coupl(nGC_629 &
                        )*coupl(nGC_94) + 3d0*coupl(nGC_33)*coupl(nGC_64)*coupl&
                        (nGC_68) + 3d0*coupl(nGC_36)*coupl(nGC_619)*coupl(     &
                        nGC_94) + 3d0*coupl(nGC_36)*coupl(nGC_629)*coupl(nGC_91&
                        ) + 3d0*coupl(nGC_39)*coupl(nGC_63)*coupl(nGC_68) + 3d0&
                        *coupl(nGC_40)*coupl(nGC_627)*coupl(nGC_68) + 6d0*coupl&
                        (nGC_40)*coupl(nGC_629)*coupl(nGC_651) + 3d0*coupl(    &
                        nGC_40)*coupl(nGC_629)*coupl(nGC_96) + 3d0*coupl(nGC_40&
                        )*coupl(nGC_647)*coupl(nGC_72) + 3d0*coupl(nGC_40)*    &
                        coupl(nGC_651)*coupl(nGC_94) + 9d0*coupl(nGC_43)*coupl(&
                        nGC_627)**2d0 + 3d0*coupl(nGC_43)*coupl(nGC_72)**2d0 + &
                        3d0*coupl(nGC_43)*coupl(nGC_96)**2d0 + 6d0*coupl(nGC_45&
                        )*coupl(nGC_627)*coupl(nGC_72) + 3d0*coupl(nGC_47)*    &
                        coupl(nGC_627)*coupl(nGC_72) + 6d0*coupl(nGC_49)*coupl(&
                        nGC_619)*coupl(nGC_651) + 3d0*coupl(nGC_49)*coupl(     &
                        nGC_619)*coupl(nGC_96) + 3d0*coupl(nGC_49)*coupl(      &
                        nGC_627)*coupl(nGC_63) + 3d0*coupl(nGC_49)*coupl(      &
                        nGC_631)*coupl(nGC_72) + 3d0*coupl(nGC_49)*coupl(      &
                        nGC_651)*coupl(nGC_91) - 3d0*coupl(nGC_62)*coupl(      &
                        nGC_631)*coupl(nGC_647) - 3d0*coupl(nGC_62)*coupl(     &
                        nGC_645)*coupl(nGC_647))/(96d0*pi**2d0)
      coupl(nGC_2662) = coupl(nGC_48)*dZGMinus/2d0
      coupl(nGC_2413) = coupl(nGC_1185)*db_QED2 + coupl(nGC_1186)*dytau2_QED3  &
                         + coupl(nGC_1187)*dytau1_QED3
      coupl(nGC_1963) = (-coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_181) - coupl(&
                        nGC_141)*coupl(nGC_142)*coupl(nGC_178) - coupl(nGC_177 &
                        )**3d0 - coupl(nGC_177)*coupl(nGC_180)**2d0 - coupl(   &
                        nGC_177)*coupl(nGC_182)**2d0 + 8d0*coupl(nGC_177)*coupl&
                        (nGC_2)**2d0 - coupl(nGC_177)*coupl(nGC_639)**2d0 + 8d0&
                        *coupl(nGC_177)*coupl(nGC_85)*coupl(nGC_88) - coupl(   &
                        nGC_178)*coupl(nGC_69)*coupl(nGC_80) - coupl(nGC_181)* &
                        coupl(nGC_631)*coupl(nGC_80) - coupl(nGC_182)*coupl(   &
                        nGC_619)*coupl(nGC_88) - coupl(nGC_182)*coupl(nGC_85)* &
                        coupl(nGC_91) - coupl(nGC_629)*coupl(nGC_639)*coupl(   &
                        nGC_88) - coupl(nGC_639)*coupl(nGC_85)*coupl(nGC_94))/(&
                        32d0*pi**2d0)
      coupl(nGC_2610) = coupl(nGC_7)*dZbR_QED2
      coupl(nGC_2664) = coupl(nGC_162)*dZHMinus_QED2/2d0 + coupl(nGC_162)*     &
                        dZmuMinusR_QED2/2d0 + coupl(nGC_162)*dZnu_muL_QED2/2d0 &
                         + coupl(nGC_166)*dZGMinusHMinus_QED2/2d0 + coupl(     &
                        nGC_2415)
      coupl(nGC_3233) = -coupl(nGC_2324) - coupl(nGC_91)*dZHl_QED2/2d0 - coupl(&
                        nGC_91)*dZZ_QED2/2d0 - coupl(nGC_94)*dZHaG0_QED2/2d0 - &
                        coupl(nGC_94)*dZHhHl_QED2/2d0
      coupl(nGC_1804) = (4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_139)**2d0 + 16d0* &
                        Nc*cMB*coupl(nGC_137)*coupl(nGC_139)*coupl(nGC_140) +  &
                        4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_140)**2d0 + 4d0*Nc*&
                        cMC*coupl(nGC_133)*coupl(nGC_135)**2d0 + 16d0*Nc*cMC*  &
                        coupl(nGC_133)*coupl(nGC_135)*coupl(nGC_136) + 4d0*Nc* &
                        cMC*coupl(nGC_133)*coupl(nGC_136)**2d0 + 4d0*Nc*cMD*   &
                        coupl(nGC_149)*coupl(nGC_151)**2d0 + 16d0*Nc*cMD*coupl(&
                        nGC_149)*coupl(nGC_151)*coupl(nGC_152) + 4d0*Nc*cMD*   &
                        coupl(nGC_149)*coupl(nGC_152)**2d0 + 4d0*Nc*cMS*coupl( &
                        nGC_173)*coupl(nGC_175)**2d0 + 16d0*Nc*cMS*coupl(      &
                        nGC_173)*coupl(nGC_175)*coupl(nGC_176) + 4d0*Nc*cMS*   &
                        coupl(nGC_173)*coupl(nGC_176)**2d0 + 4d0*Nc*cMT*coupl( &
                        nGC_180)*coupl(nGC_182)**2d0 + 16d0*Nc*cMT*coupl(      &
                        nGC_180)*coupl(nGC_182)*coupl(nGC_183) + 4d0*Nc*cMT*   &
                        coupl(nGC_180)*coupl(nGC_183)**2d0 + 4d0*Nc*cMU*coupl( &
                        nGC_195)*coupl(nGC_197)**2d0 + 16d0*Nc*cMU*coupl(      &
                        nGC_195)*coupl(nGC_197)*coupl(nGC_198) + 4d0*Nc*cMU*   &
                        coupl(nGC_195)*coupl(nGC_198)**2d0 + 4d0*cME*coupl(    &
                        nGC_157)*coupl(nGC_159)**2d0 + 16d0*cME*coupl(nGC_157)*&
                        coupl(nGC_159)*coupl(nGC_160) + 4d0*cME*coupl(nGC_157)*&
                        coupl(nGC_160)**2d0 + 4d0*cMM*coupl(nGC_165)*coupl(    &
                        nGC_167)**2d0 + 16d0*cMM*coupl(nGC_165)*coupl(nGC_167)*&
                        coupl(nGC_168) + 4d0*cMM*coupl(nGC_165)*coupl(nGC_168  &
                        )**2d0 + 4d0*cMTA*coupl(nGC_188)*coupl(nGC_190)**2d0 + &
                        16d0*cMTA*coupl(nGC_188)*coupl(nGC_190)*coupl(nGC_191  &
                        ) + 4d0*cMTA*coupl(nGC_188)*coupl(nGC_191)**2d0 + 2d0* &
                        cima*coupl(nGC_101)*coupl(nGC_129) + 4d0*cima*coupl(   &
                        nGC_125)*coupl(nGC_62) + coupl(nGC_103)*coupl(nGC_619)*&
                        coupl(nGC_94) + coupl(nGC_103)*coupl(nGC_629)*coupl(   &
                        nGC_91) + coupl(nGC_105)*coupl(nGC_629)*coupl(nGC_94   &
                        ) + coupl(nGC_106)*coupl(nGC_619)*coupl(nGC_91) + coupl&
                        (nGC_109)*coupl(nGC_619)*coupl(nGC_629) + coupl(nGC_109&
                        )*coupl(nGC_91)*coupl(nGC_94) + coupl(nGC_112)*coupl(  &
                        nGC_617)*coupl(nGC_629) + coupl(nGC_112)*coupl(nGC_92)*&
                        coupl(nGC_94) + coupl(nGC_114)*coupl(nGC_627)*coupl(   &
                        nGC_64) + coupl(nGC_114)*coupl(nGC_645)*coupl(nGC_72   &
                        ) + coupl(nGC_115)*coupl(nGC_627)*coupl(nGC_63) + coupl&
                        (nGC_115)*coupl(nGC_631)*coupl(nGC_72) + 2d0*coupl(    &
                        nGC_116)*coupl(nGC_627)*coupl(nGC_72) + coupl(nGC_117)*&
                        coupl(nGC_629)**2d0 + coupl(nGC_117)*coupl(nGC_94)**2d0&
                         + coupl(nGC_120)*coupl(nGC_617)*coupl(nGC_619) + coupl&
                        (nGC_120)*coupl(nGC_91)*coupl(nGC_92) - 2d0*coupl(     &
                        nGC_125)*coupl(nGC_627)*coupl(nGC_72) - coupl(nGC_129)*&
                        coupl(nGC_619)*coupl(nGC_91) - coupl(nGC_129)*coupl(   &
                        nGC_629)*coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_1774) = coupl(nGC_134)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2666) = -coupl(nGC_2323) - coupl(nGC_91)*dZHlHh_QED2/2d0 -     &
                        coupl(nGC_92)*dZHaG0_QED2/2d0 - coupl(nGC_94)*dZHh_QED2&
                        /2d0 - coupl(nGC_94)*dZZ_QED2/2d0
      coupl(nGC_1773) = (coupl(nGC_1)*coupl(nGC_134)*coupl(nGC_17) + 8d0*coupl(&
                        nGC_1)*coupl(nGC_134)*coupl(nGC_2) - coupl(nGC_130)*   &
                        coupl(nGC_169)*coupl(nGC_174) + coupl(nGC_130)*coupl(  &
                        nGC_63)*coupl(nGC_80) - coupl(nGC_132)*coupl(nGC_171)* &
                        coupl(nGC_174) - coupl(nGC_133)*coupl(nGC_173)*coupl(  &
                        nGC_174) + coupl(nGC_133)*coupl(nGC_68)*coupl(nGC_80   &
                        ) + coupl(nGC_134)*coupl(nGC_2)*coupl(nGC_641) + coupl(&
                        nGC_134)*coupl(nGC_651)*coupl(nGC_85) + 8d0*coupl(     &
                        nGC_134)*coupl(nGC_85)*coupl(nGC_87) + coupl(nGC_134)* &
                        coupl(nGC_87)*coupl(nGC_96) - coupl(nGC_136)*coupl(    &
                        nGC_174)*coupl(nGC_175) + coupl(nGC_136)*coupl(nGC_627 &
                        )*coupl(nGC_80))/(32d0*pi**2d0)
      coupl(nGC_1960) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_169) - coupl(nGC_130)*&
                        coupl(nGC_131)*coupl(nGC_170) - coupl(nGC_130)*coupl(  &
                        nGC_134)*coupl(nGC_174) - coupl(nGC_169)**3d0 - coupl( &
                        nGC_169)*coupl(nGC_172)**2d0 - coupl(nGC_169)*coupl(   &
                        nGC_173)**2d0 - coupl(nGC_169)*coupl(nGC_176)**2d0 +   &
                        8d0*coupl(nGC_169)*coupl(nGC_84)*coupl(nGC_87) - coupl(&
                        nGC_170)*coupl(nGC_68)*coupl(nGC_80) - coupl(nGC_172)* &
                        coupl(nGC_629)*coupl(nGC_87) - coupl(nGC_172)*coupl(   &
                        nGC_84)*coupl(nGC_94) - coupl(nGC_174)*coupl(nGC_645)* &
                        coupl(nGC_80) - coupl(nGC_176)*coupl(nGC_619)*coupl(   &
                        nGC_87) - coupl(nGC_176)*coupl(nGC_84)*coupl(nGC_91))/(&
                        32d0*pi**2d0)
      coupl(nGC_2354) = coupl(nGC_1600)*dydo1_QED1_QCD2 + coupl(nGC_1601)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_2217) = (20d0*Nc*cima*coupl(nGC_6)**4d0*sq2**4d0 + 12d0*Nc*cima&
                        *coupl(nGC_635)*coupl(nGC_637) - 12d0*Nc*cima*coupl(   &
                        nGC_637)*coupl(nGC_8) - 3d0*Nc*coupl(nGC_6)**2d0*coupl(&
                        nGC_633)*sq2**2d0 + 15d0*Nc*coupl(nGC_6)**2d0*coupl(   &
                        nGC_635)*sq2**2d0 - 15d0*Nc*coupl(nGC_6)**2d0*coupl(   &
                        nGC_637)*sq2**2d0 - 21d0*Nc*coupl(nGC_6)**2d0*coupl(   &
                        nGC_8)*sq2**2d0 - 12d0*cima*coupl(nGC_7)**4d0*sq2**4d0 &
                        )/(768d0*pi**2d0*Nc)
      coupl(nGC_1771) = (8d0*coupl(nGC_1)*coupl(nGC_181)*coupl(nGC_2) - coupl( &
                        nGC_1)*coupl(nGC_181)*coupl(nGC_641) - coupl(nGC_137)* &
                        coupl(nGC_138)*coupl(nGC_180) - coupl(nGC_138)*coupl(  &
                        nGC_139)*coupl(nGC_183) - coupl(nGC_138)*coupl(nGC_141 &
                        )*coupl(nGC_177) - coupl(nGC_138)*coupl(nGC_144)*coupl(&
                        nGC_179) - coupl(nGC_17)*coupl(nGC_181)*coupl(nGC_2) - &
                        coupl(nGC_177)*coupl(nGC_631)*coupl(nGC_80) - coupl(   &
                        nGC_180)*coupl(nGC_647)*coupl(nGC_80) - coupl(nGC_181)*&
                        coupl(nGC_651)*coupl(nGC_87) + 8d0*coupl(nGC_181)*coupl&
                        (nGC_85)*coupl(nGC_87) - coupl(nGC_181)*coupl(nGC_85)* &
                        coupl(nGC_96) - coupl(nGC_183)*coupl(nGC_72)*coupl(    &
                        nGC_80))/(32d0*pi**2d0)
      coupl(nGC_TS_GC_113_Hl) = -coupl(nGC_113)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2616) = coupl(nGC_60)*dZGMinus
      coupl(nGC_2149) = (-32d0*Nc*cima*coupl(nGC_135)*coupl(nGC_136)*coupl(    &
                        nGC_85)**2d0 + 40d0*Nc*cima*coupl(nGC_135)*coupl(      &
                        nGC_136)*coupl(nGC_85)*coupl(nGC_88) - 32d0*Nc*cima*   &
                        coupl(nGC_135)*coupl(nGC_136)*coupl(nGC_88)**2d0 - 32d0&
                        *Nc*cima*coupl(nGC_139)*coupl(nGC_140)*coupl(nGC_84)** &
                        2d0 + 40d0*Nc*cima*coupl(nGC_139)*coupl(nGC_140)*coupl(&
                        nGC_84)*coupl(nGC_87) - 32d0*Nc*cima*coupl(nGC_139)*   &
                        coupl(nGC_140)*coupl(nGC_87)**2d0 - 32d0*Nc*cima*coupl(&
                        nGC_151)*coupl(nGC_152)*coupl(nGC_84)**2d0 + 40d0*Nc*  &
                        cima*coupl(nGC_151)*coupl(nGC_152)*coupl(nGC_84)*coupl(&
                        nGC_87) - 32d0*Nc*cima*coupl(nGC_151)*coupl(nGC_152)*  &
                        coupl(nGC_87)**2d0 - 32d0*Nc*cima*coupl(nGC_175)*coupl(&
                        nGC_176)*coupl(nGC_84)**2d0 + 40d0*Nc*cima*coupl(      &
                        nGC_175)*coupl(nGC_176)*coupl(nGC_84)*coupl(nGC_87) -  &
                        32d0*Nc*cima*coupl(nGC_175)*coupl(nGC_176)*coupl(nGC_87&
                        )**2d0 - 32d0*Nc*cima*coupl(nGC_182)*coupl(nGC_183)*   &
                        coupl(nGC_85)**2d0 + 40d0*Nc*cima*coupl(nGC_182)*coupl(&
                        nGC_183)*coupl(nGC_85)*coupl(nGC_88) - 32d0*Nc*cima*   &
                        coupl(nGC_182)*coupl(nGC_183)*coupl(nGC_88)**2d0 - 32d0&
                        *Nc*cima*coupl(nGC_197)*coupl(nGC_198)*coupl(nGC_85)** &
                        2d0 + 40d0*Nc*cima*coupl(nGC_197)*coupl(nGC_198)*coupl(&
                        nGC_85)*coupl(nGC_88) - 32d0*Nc*cima*coupl(nGC_197)*   &
                        coupl(nGC_198)*coupl(nGC_88)**2d0 - 32d0*cima*coupl(   &
                        nGC_159)*coupl(nGC_160)*coupl(nGC_86)**2d0 + 40d0*cima*&
                        coupl(nGC_159)*coupl(nGC_160)*coupl(nGC_86)*coupl(     &
                        nGC_89) - 32d0*cima*coupl(nGC_159)*coupl(nGC_160)*coupl&
                        (nGC_89)**2d0 - 32d0*cima*coupl(nGC_167)*coupl(nGC_168 &
                        )*coupl(nGC_86)**2d0 + 40d0*cima*coupl(nGC_167)*coupl( &
                        nGC_168)*coupl(nGC_86)*coupl(nGC_89) - 32d0*cima*coupl(&
                        nGC_167)*coupl(nGC_168)*coupl(nGC_89)**2d0 - 32d0*cima*&
                        coupl(nGC_190)*coupl(nGC_191)*coupl(nGC_86)**2d0 + 40d0&
                        *cima*coupl(nGC_190)*coupl(nGC_191)*coupl(nGC_86)*coupl&
                        (nGC_89) - 32d0*cima*coupl(nGC_190)*coupl(nGC_191)*    &
                        coupl(nGC_89)**2d0 + 9d0*cima*coupl(nGC_609)**2d0*coupl&
                        (nGC_627)*coupl(nGC_72) + 4d0*cima*coupl(nGC_617)*coupl&
                        (nGC_629)*coupl(nGC_91)*coupl(nGC_94) + 4d0*cima*coupl(&
                        nGC_617)*coupl(nGC_629)*coupl(nGC_92)*coupl(nGC_94) +  &
                        4d0*cima*coupl(nGC_619)**2d0*coupl(nGC_91)**2d0 + 4d0* &
                        cima*coupl(nGC_619)**2d0*coupl(nGC_94)**2d0 + 4d0*cima*&
                        coupl(nGC_619)*coupl(nGC_629)*coupl(nGC_91)*coupl(     &
                        nGC_94) + 4d0*cima*coupl(nGC_619)*coupl(nGC_629)*coupl(&
                        nGC_92)*coupl(nGC_94) + 12d0*cima*coupl(nGC_62)*coupl( &
                        nGC_649) + 4d0*cima*coupl(nGC_627)*coupl(nGC_651)**2d0*&
                        coupl(nGC_72) + 9d0*cima*coupl(nGC_627)*coupl(nGC_72)* &
                        coupl(nGC_82)**2d0 + 4d0*cima*coupl(nGC_627)*coupl(    &
                        nGC_72)*coupl(nGC_96)**2d0 + 4d0*cima*coupl(nGC_629)** &
                        2d0*coupl(nGC_91)**2d0 + 4d0*cima*coupl(nGC_629)**2d0* &
                        coupl(nGC_94)**2d0 + 6d0*coupl(nGC_100)*coupl(nGC_627)*&
                        coupl(nGC_72) - 6d0*coupl(nGC_19)*coupl(nGC_609)*coupl(&
                        nGC_72) - 6d0*coupl(nGC_19)*coupl(nGC_627)*coupl(nGC_82&
                        ) - 6d0*coupl(nGC_20)*coupl(nGC_609)*coupl(nGC_627) -  &
                        6d0*coupl(nGC_20)*coupl(nGC_72)*coupl(nGC_82) + 18d0*  &
                        coupl(nGC_609)**2d0*coupl(nGC_62) + 3d0*coupl(nGC_619)*&
                        coupl(nGC_91)*coupl(nGC_99) + 18d0*coupl(nGC_62)*coupl(&
                        nGC_82)**2d0 - 6d0*coupl(nGC_627)*coupl(nGC_649)*coupl(&
                        nGC_72) + 3d0*coupl(nGC_629)*coupl(nGC_94)*coupl(nGC_99&
                        ))/(96d0*pi**2d0)
      coupl(nGC_1884) = coupl(nGC_144)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1881) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_143) - coupl(nGC_137  &
                        )**2d0*coupl(nGC_144) - coupl(nGC_137)*coupl(nGC_617)* &
                        coupl(nGC_84) - coupl(nGC_137)*coupl(nGC_87)*coupl(    &
                        nGC_92) - coupl(nGC_138)*coupl(nGC_179)*coupl(nGC_181  &
                        ) - coupl(nGC_140)**2d0*coupl(nGC_144) - coupl(nGC_141 &
                        )**2d0*coupl(nGC_144) - coupl(nGC_141)*coupl(nGC_629)* &
                        coupl(nGC_84) - coupl(nGC_141)*coupl(nGC_87)*coupl(    &
                        nGC_94) - coupl(nGC_142)*coupl(nGC_178)*coupl(nGC_179  &
                        ) - coupl(nGC_142)*coupl(nGC_72)*coupl(nGC_80) - coupl(&
                        nGC_143)**2d0*coupl(nGC_144) + 8d0*coupl(nGC_143)*coupl&
                        (nGC_84)*coupl(nGC_87))/(32d0*pi**2d0)
      coupl(nGC_1883) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_144) - coupl(nGC_137  &
                        )**2d0*coupl(nGC_143) - coupl(nGC_137)*coupl(nGC_617)* &
                        coupl(nGC_87) - coupl(nGC_137)*coupl(nGC_84)*coupl(    &
                        nGC_92) - coupl(nGC_138)*coupl(nGC_181)*coupl(nGC_639  &
                        ) - coupl(nGC_139)**2d0*coupl(nGC_143) - coupl(nGC_141 &
                        )**2d0*coupl(nGC_143) - coupl(nGC_141)*coupl(nGC_629)* &
                        coupl(nGC_87) - coupl(nGC_141)*coupl(nGC_84)*coupl(    &
                        nGC_94) - coupl(nGC_142)*coupl(nGC_178)*coupl(nGC_639  &
                        ) - coupl(nGC_142)*coupl(nGC_627)*coupl(nGC_80) - coupl&
                        (nGC_143)*coupl(nGC_144)**2d0 + 8d0*coupl(nGC_144)*    &
                        coupl(nGC_84)*coupl(nGC_87))/(32d0*pi**2d0)
      coupl(nGC_1882) = coupl(nGC_143)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1738) = coupl(nGC_2)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_1889) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_148) - coupl(nGC_145  &
                        )**2d0*coupl(nGC_147) - coupl(nGC_145)*coupl(nGC_629)* &
                        coupl(nGC_84) - coupl(nGC_145)*coupl(nGC_87)*coupl(    &
                        nGC_94) - coupl(nGC_146)*coupl(nGC_193)*coupl(nGC_194  &
                        ) - coupl(nGC_146)*coupl(nGC_72)*coupl(nGC_80) - coupl(&
                        nGC_147)*coupl(nGC_148)**2d0 - coupl(nGC_147)*coupl(   &
                        nGC_149)**2d0 - coupl(nGC_147)*coupl(nGC_152)**2d0 +   &
                        8d0*coupl(nGC_148)*coupl(nGC_84)*coupl(nGC_87) - coupl(&
                        nGC_149)*coupl(nGC_617)*coupl(nGC_84) - coupl(nGC_149)*&
                        coupl(nGC_87)*coupl(nGC_92) - coupl(nGC_150)*coupl(    &
                        nGC_194)*coupl(nGC_196))/(32d0*pi**2d0)
      coupl(nGC_1888) = coupl(nGC_132)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2653) = coupl(nGC_58)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_2120) = (20d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_134)**2d0  &
                         + 20d0*Nc*cima*coupl(nGC_138)**2d0*coupl(nGC_142)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_146)**2d0*coupl(nGC_150)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_170)**2d0*coupl(nGC_174)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_178)**2d0*coupl(nGC_181)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_193)**2d0*coupl(nGC_196)**2d0&
                         + 20d0*cima*coupl(nGC_154)**2d0*coupl(nGC_158)**2d0 + &
                        20d0*cima*coupl(nGC_162)**2d0*coupl(nGC_166)**2d0 +    &
                        20d0*cima*coupl(nGC_185)**2d0*coupl(nGC_189)**2d0 - 5d0&
                        *cima*coupl(nGC_625)**2d0*coupl(nGC_631)**2d0 - 10d0*  &
                        cima*coupl(nGC_625)**2d0*coupl(nGC_631)*coupl(nGC_645  &
                        ) - 5d0*cima*coupl(nGC_625)**2d0*coupl(nGC_645)**2d0 - &
                        10d0*cima*coupl(nGC_625)**2d0*coupl(nGC_69)**2d0 - 20d0&
                        *cima*coupl(nGC_625)*coupl(nGC_627)*coupl(nGC_69)*coupl&
                        (nGC_72) - 10d0*cima*coupl(nGC_625)*coupl(nGC_63)*coupl&
                        (nGC_631)*coupl(nGC_69) - 10d0*cima*coupl(nGC_625)*    &
                        coupl(nGC_64)*coupl(nGC_645)*coupl(nGC_69) - 10d0*cima*&
                        coupl(nGC_627)**2d0*coupl(nGC_72)**2d0 - 10d0*cima*    &
                        coupl(nGC_627)*coupl(nGC_63)*coupl(nGC_631)*coupl(     &
                        nGC_72) - 10d0*cima*coupl(nGC_627)*coupl(nGC_64)*coupl(&
                        nGC_645)*coupl(nGC_72) - 5d0*cima*coupl(nGC_63)**2d0*  &
                        coupl(nGC_69)**2d0 - 10d0*cima*coupl(nGC_63)*coupl(    &
                        nGC_631)*coupl(nGC_64)*coupl(nGC_645) - 10d0*cima*coupl&
                        (nGC_63)*coupl(nGC_64)*coupl(nGC_69)**2d0 - 5d0*cima*  &
                        coupl(nGC_64)**2d0*coupl(nGC_69)**2d0 + 6d0*coupl(     &
                        nGC_17)**2d0*coupl(nGC_60) + 6d0*coupl(nGC_17)*coupl(  &
                        nGC_60)*coupl(nGC_641) + 6d0*coupl(nGC_24)*coupl(      &
                        nGC_625)*coupl(nGC_645) + 6d0*coupl(nGC_24)*coupl(     &
                        nGC_64)*coupl(nGC_69) + 6d0*coupl(nGC_27)*coupl(nGC_625&
                        )*coupl(nGC_631) + 6d0*coupl(nGC_27)*coupl(nGC_63)*    &
                        coupl(nGC_69) + 6d0*coupl(nGC_36)*coupl(nGC_625)**2d0  &
                         + 6d0*coupl(nGC_36)*coupl(nGC_63)*coupl(nGC_64) + 6d0*&
                        coupl(nGC_36)*coupl(nGC_631)*coupl(nGC_645) + 6d0*coupl&
                        (nGC_36)*coupl(nGC_69)**2d0 + 6d0*coupl(nGC_41)*coupl( &
                        nGC_627)*coupl(nGC_63) + 6d0*coupl(nGC_41)*coupl(      &
                        nGC_627)*coupl(nGC_645) + 6d0*coupl(nGC_41)*coupl(     &
                        nGC_631)*coupl(nGC_72) + 6d0*coupl(nGC_41)*coupl(nGC_64&
                        )*coupl(nGC_72) + 6d0*coupl(nGC_48)*coupl(nGC_625)*    &
                        coupl(nGC_72) + 6d0*coupl(nGC_48)*coupl(nGC_627)*coupl(&
                        nGC_69) + 6d0*coupl(nGC_49)*coupl(nGC_625)*coupl(      &
                        nGC_627) + 6d0*coupl(nGC_49)*coupl(nGC_69)*coupl(nGC_72&
                        ) + 12d0*coupl(nGC_58)*coupl(nGC_627)*coupl(nGC_72) +  &
                        6d0*coupl(nGC_60)*coupl(nGC_641)**2d0 + 6d0*coupl(     &
                        nGC_60)*coupl(nGC_651)**2d0 + 6d0*coupl(nGC_60)*coupl( &
                        nGC_651)*coupl(nGC_96) + 6d0*coupl(nGC_60)*coupl(nGC_96&
                        )**2d0)/(96d0*pi**2d0)
      coupl(nGC_2080) = (20d0*Nc*cima*coupl(nGC_134)**4d0 + 20d0*Nc*cima*coupl(&
                        nGC_138)**4d0 + 20d0*Nc*cima*coupl(nGC_150)**4d0 + 20d0&
                        *Nc*cima*coupl(nGC_174)**4d0 + 20d0*Nc*cima*coupl(     &
                        nGC_181)**4d0 + 20d0*Nc*cima*coupl(nGC_196)**4d0 + 12d0&
                        *cima*coupl(nGC_100)**2d0 + 20d0*cima*coupl(nGC_158)** &
                        4d0 + 20d0*cima*coupl(nGC_166)**4d0 - 5d0*cima*coupl(  &
                        nGC_17)**4d0 - 10d0*cima*coupl(nGC_17)**2d0*coupl(     &
                        nGC_641)**2d0 - 10d0*cima*coupl(nGC_17)**2d0*coupl(    &
                        nGC_96)**2d0 - 20d0*cima*coupl(nGC_17)*coupl(nGC_641)* &
                        coupl(nGC_651)*coupl(nGC_96) + 12d0*cima*coupl(nGC_18  &
                        )**2d0 + 20d0*cima*coupl(nGC_189)**4d0 + 24d0*cima*    &
                        coupl(nGC_62)**2d0 - 5d0*cima*coupl(nGC_625)**2d0*coupl&
                        (nGC_68)**2d0 - 10d0*cima*coupl(nGC_625)*coupl(nGC_627 &
                        )*coupl(nGC_68)*coupl(nGC_72) - 10d0*cima*coupl(nGC_625&
                        )*coupl(nGC_627)*coupl(nGC_69)*coupl(nGC_72) - 10d0*   &
                        cima*coupl(nGC_625)*coupl(nGC_63)*coupl(nGC_631)*coupl(&
                        nGC_69) - 10d0*cima*coupl(nGC_625)*coupl(nGC_63)*coupl(&
                        nGC_645)*coupl(nGC_68) - 10d0*cima*coupl(nGC_625)*coupl&
                        (nGC_647)*coupl(nGC_68)*coupl(nGC_69) - 20d0*cima*coupl&
                        (nGC_627)**2d0*coupl(nGC_72)**2d0 - 10d0*cima*coupl(   &
                        nGC_627)*coupl(nGC_63)*coupl(nGC_631)*coupl(nGC_72) -  &
                        10d0*cima*coupl(nGC_627)*coupl(nGC_63)*coupl(nGC_645)* &
                        coupl(nGC_72) - 10d0*cima*coupl(nGC_627)*coupl(nGC_631 &
                        )*coupl(nGC_64)*coupl(nGC_72) - 10d0*cima*coupl(nGC_627&
                        )*coupl(nGC_64)*coupl(nGC_645)*coupl(nGC_72) - 10d0*   &
                        cima*coupl(nGC_627)*coupl(nGC_647)*coupl(nGC_68)*coupl(&
                        nGC_72) - 10d0*cima*coupl(nGC_627)*coupl(nGC_647)*coupl&
                        (nGC_69)*coupl(nGC_72) - 5d0*cima*coupl(nGC_63)**2d0*  &
                        coupl(nGC_645)**2d0 - 10d0*cima*coupl(nGC_63)*coupl(   &
                        nGC_631)*coupl(nGC_64)*coupl(nGC_645) - 5d0*cima*coupl(&
                        nGC_631)**2d0*coupl(nGC_64)**2d0 - 10d0*cima*coupl(    &
                        nGC_631)*coupl(nGC_64)*coupl(nGC_647)*coupl(nGC_69) -  &
                        10d0*cima*coupl(nGC_64)*coupl(nGC_645)*coupl(nGC_647)* &
                        coupl(nGC_68) - 5d0*cima*coupl(nGC_641)**4d0 - 10d0*   &
                        cima*coupl(nGC_641)**2d0*coupl(nGC_651)**2d0 - 5d0*cima&
                        *coupl(nGC_647)**2d0*coupl(nGC_69)**2d0 - 5d0*cima*    &
                        coupl(nGC_651)**4d0 - 10d0*cima*coupl(nGC_651)**2d0*   &
                        coupl(nGC_96)**2d0 - 5d0*cima*coupl(nGC_96)**4d0 + 24d0&
                        *cima*coupl(nGC_97)**2d0 - 6d0*coupl(nGC_100)*coupl(   &
                        nGC_651)**2d0 - 6d0*coupl(nGC_100)*coupl(nGC_96)**2d0  &
                         - 6d0*coupl(nGC_17)**2d0*coupl(nGC_18) + 6d0*coupl(   &
                        nGC_17)**2d0*coupl(nGC_54) + 6d0*coupl(nGC_17)*coupl(  &
                        nGC_54)*coupl(nGC_641) - 12d0*coupl(nGC_17)*coupl(     &
                        nGC_96)*coupl(nGC_97) - 6d0*coupl(nGC_18)*coupl(nGC_641&
                        )**2d0 + 6d0*coupl(nGC_23)*coupl(nGC_625)*coupl(nGC_63 &
                        ) + 6d0*coupl(nGC_23)*coupl(nGC_631)*coupl(nGC_69) +   &
                        6d0*coupl(nGC_23)*coupl(nGC_64)*coupl(nGC_647) + 6d0*  &
                        coupl(nGC_23)*coupl(nGC_645)*coupl(nGC_68) + 6d0*coupl(&
                        nGC_32)*coupl(nGC_625)*coupl(nGC_68) + 6d0*coupl(nGC_32&
                        )*coupl(nGC_647)*coupl(nGC_69) + 6d0*coupl(nGC_35)*    &
                        coupl(nGC_63)*coupl(nGC_645) + 6d0*coupl(nGC_35)*coupl(&
                        nGC_631)*coupl(nGC_64) + 12d0*coupl(nGC_53)*coupl(     &
                        nGC_627)*coupl(nGC_72) + 6d0*coupl(nGC_54)*coupl(      &
                        nGC_641)**2d0 + 6d0*coupl(nGC_54)*coupl(nGC_651)**2d0  &
                         + 6d0*coupl(nGC_54)*coupl(nGC_651)*coupl(nGC_96) + 6d0&
                        *coupl(nGC_54)*coupl(nGC_96)**2d0 - 6d0*coupl(nGC_62)* &
                        coupl(nGC_625)*coupl(nGC_68) - 12d0*coupl(nGC_62)*coupl&
                        (nGC_627)*coupl(nGC_72) - 6d0*coupl(nGC_62)*coupl(     &
                        nGC_63)*coupl(nGC_645) - 6d0*coupl(nGC_62)*coupl(      &
                        nGC_631)*coupl(nGC_64) - 6d0*coupl(nGC_62)*coupl(      &
                        nGC_647)*coupl(nGC_69) - 12d0*coupl(nGC_641)*coupl(    &
                        nGC_651)*coupl(nGC_97))/(96d0*pi**2d0)
      coupl(nGC_2081) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)**3d0 + 20d0&
                        *Nc*cima*coupl(nGC_138)**3d0*coupl(nGC_142) + 20d0*Nc* &
                        cima*coupl(nGC_146)*coupl(nGC_150)**3d0 + 20d0*Nc*cima*&
                        coupl(nGC_170)*coupl(nGC_174)**3d0 + 20d0*Nc*cima*coupl&
                        (nGC_178)*coupl(nGC_181)**3d0 + 20d0*Nc*cima*coupl(    &
                        nGC_193)*coupl(nGC_196)**3d0 + 20d0*cima*coupl(nGC_154 &
                        )*coupl(nGC_158)**3d0 + 20d0*cima*coupl(nGC_162)*coupl(&
                        nGC_166)**3d0 + 20d0*cima*coupl(nGC_185)*coupl(nGC_189 &
                        )**3d0 - 5d0*cima*coupl(nGC_625)*coupl(nGC_627)*coupl( &
                        nGC_645)*coupl(nGC_72) - 5d0*cima*coupl(nGC_625)*coupl(&
                        nGC_63)*coupl(nGC_631)*coupl(nGC_645) - 5d0*cima*coupl(&
                        nGC_625)*coupl(nGC_63)*coupl(nGC_68)**2d0 - 5d0*cima*  &
                        coupl(nGC_625)*coupl(nGC_64)*coupl(nGC_68)**2d0 - 5d0* &
                        cima*coupl(nGC_625)*coupl(nGC_645)*coupl(nGC_647)*coupl&
                        (nGC_68) - 5d0*cima*coupl(nGC_627)*coupl(nGC_63)*coupl(&
                        nGC_68)*coupl(nGC_72) - 5d0*cima*coupl(nGC_627)*coupl( &
                        nGC_631)*coupl(nGC_647)*coupl(nGC_72) - 10d0*cima*coupl&
                        (nGC_627)*coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_72) -  &
                        5d0*cima*coupl(nGC_627)*coupl(nGC_64)*coupl(nGC_69)*   &
                        coupl(nGC_72) - 10d0*cima*coupl(nGC_627)*coupl(nGC_645 &
                        )*coupl(nGC_647)*coupl(nGC_72) - 5d0*cima*coupl(nGC_63 &
                        )**2d0*coupl(nGC_645)*coupl(nGC_68) - 5d0*cima*coupl(  &
                        nGC_63)*coupl(nGC_631)*coupl(nGC_64)*coupl(nGC_68) -   &
                        5d0*cima*coupl(nGC_63)*coupl(nGC_631)*coupl(nGC_64)*   &
                        coupl(nGC_69) - 5d0*cima*coupl(nGC_63)*coupl(nGC_631)* &
                        coupl(nGC_645)*coupl(nGC_647) - 5d0*cima*coupl(nGC_63)*&
                        coupl(nGC_64)*coupl(nGC_645)*coupl(nGC_68) - 5d0*cima* &
                        coupl(nGC_631)**2d0*coupl(nGC_64)*coupl(nGC_647) - 5d0*&
                        cima*coupl(nGC_631)*coupl(nGC_64)*coupl(nGC_645)*coupl(&
                        nGC_647) - 5d0*cima*coupl(nGC_631)*coupl(nGC_647)**2d0*&
                        coupl(nGC_69) - 5d0*cima*coupl(nGC_64)*coupl(nGC_647)* &
                        coupl(nGC_68)**2d0 - 5d0*cima*coupl(nGC_64)*coupl(     &
                        nGC_647)*coupl(nGC_68)*coupl(nGC_69) - 5d0*cima*coupl( &
                        nGC_645)*coupl(nGC_647)**2d0*coupl(nGC_68) - 5d0*cima* &
                        coupl(nGC_645)*coupl(nGC_647)**2d0*coupl(nGC_69) + 6d0*&
                        coupl(nGC_17)**2d0*coupl(nGC_45) + 6d0*coupl(nGC_17)*  &
                        coupl(nGC_45)*coupl(nGC_641) + 3d0*coupl(nGC_23)*coupl(&
                        nGC_63)*coupl(nGC_64) + 3d0*coupl(nGC_23)*coupl(nGC_631&
                        )*coupl(nGC_645) + 3d0*coupl(nGC_23)*coupl(nGC_647)**  &
                        2d0 + 3d0*coupl(nGC_23)*coupl(nGC_68)**2d0 + 3d0*coupl(&
                        nGC_24)*coupl(nGC_63)*coupl(nGC_645) + 3d0*coupl(nGC_24&
                        )*coupl(nGC_631)*coupl(nGC_64) + 3d0*coupl(nGC_27)*    &
                        coupl(nGC_625)*coupl(nGC_68) + 3d0*coupl(nGC_27)*coupl(&
                        nGC_647)*coupl(nGC_69) + 3d0*coupl(nGC_32)*coupl(nGC_64&
                        )*coupl(nGC_68) + 3d0*coupl(nGC_32)*coupl(nGC_645)*    &
                        coupl(nGC_647) + 3d0*coupl(nGC_35)*coupl(nGC_63)*coupl(&
                        nGC_68) + 3d0*coupl(nGC_35)*coupl(nGC_631)*coupl(      &
                        nGC_647) + 3d0*coupl(nGC_36)*coupl(nGC_625)*coupl(     &
                        nGC_63) + 3d0*coupl(nGC_36)*coupl(nGC_631)*coupl(nGC_69&
                        ) + 3d0*coupl(nGC_36)*coupl(nGC_64)*coupl(nGC_647) +   &
                        3d0*coupl(nGC_36)*coupl(nGC_645)*coupl(nGC_68) + 3d0*  &
                        coupl(nGC_40)*coupl(nGC_625)*coupl(nGC_627) + 3d0*coupl&
                        (nGC_40)*coupl(nGC_627)*coupl(nGC_647) + 3d0*coupl(    &
                        nGC_40)*coupl(nGC_68)*coupl(nGC_72) + 3d0*coupl(nGC_40 &
                        )*coupl(nGC_69)*coupl(nGC_72) + 12d0*coupl(nGC_43)*    &
                        coupl(nGC_627)*coupl(nGC_72) + 6d0*coupl(nGC_45)*coupl(&
                        nGC_641)**2d0 + 6d0*coupl(nGC_45)*coupl(nGC_651)**2d0  &
                         + 6d0*coupl(nGC_45)*coupl(nGC_651)*coupl(nGC_96) + 6d0&
                        *coupl(nGC_45)*coupl(nGC_96)**2d0 + 3d0*coupl(nGC_49)* &
                        coupl(nGC_627)*coupl(nGC_631) + 3d0*coupl(nGC_49)*coupl&
                        (nGC_627)*coupl(nGC_645) + 3d0*coupl(nGC_49)*coupl(    &
                        nGC_63)*coupl(nGC_72) + 3d0*coupl(nGC_49)*coupl(nGC_64 &
                        )*coupl(nGC_72) - 3d0*coupl(nGC_62)*coupl(nGC_63)*coupl&
                        (nGC_68) - 3d0*coupl(nGC_62)*coupl(nGC_631)*coupl(     &
                        nGC_647) - 3d0*coupl(nGC_62)*coupl(nGC_64)*coupl(nGC_68&
                        ) - 3d0*coupl(nGC_62)*coupl(nGC_645)*coupl(nGC_647))/( &
                        96d0*pi**2d0)
      coupl(nGC_2082) = (20d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_134)**2d0  &
                         + 20d0*Nc*cima*coupl(nGC_138)**2d0*coupl(nGC_142)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_146)**2d0*coupl(nGC_150)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_170)**2d0*coupl(nGC_174)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_178)**2d0*coupl(nGC_181)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_193)**2d0*coupl(nGC_196)**2d0&
                         + 20d0*cima*coupl(nGC_154)**2d0*coupl(nGC_158)**2d0 + &
                        20d0*cima*coupl(nGC_162)**2d0*coupl(nGC_166)**2d0 +    &
                        20d0*cima*coupl(nGC_185)**2d0*coupl(nGC_189)**2d0 -    &
                        10d0*cima*coupl(nGC_627)**2d0*coupl(nGC_72)**2d0 - 10d0&
                        *cima*coupl(nGC_627)*coupl(nGC_63)*coupl(nGC_631)*coupl&
                        (nGC_72) - 10d0*cima*coupl(nGC_627)*coupl(nGC_64)*coupl&
                        (nGC_645)*coupl(nGC_72) - 20d0*cima*coupl(nGC_627)*    &
                        coupl(nGC_647)*coupl(nGC_68)*coupl(nGC_72) - 5d0*cima* &
                        coupl(nGC_63)**2d0*coupl(nGC_68)**2d0 - 10d0*cima*coupl&
                        (nGC_63)*coupl(nGC_631)*coupl(nGC_64)*coupl(nGC_645) - &
                        10d0*cima*coupl(nGC_63)*coupl(nGC_631)*coupl(nGC_647)* &
                        coupl(nGC_68) - 10d0*cima*coupl(nGC_63)*coupl(nGC_64)* &
                        coupl(nGC_68)**2d0 - 5d0*cima*coupl(nGC_631)**2d0*coupl&
                        (nGC_647)**2d0 - 10d0*cima*coupl(nGC_631)*coupl(nGC_645&
                        )*coupl(nGC_647)**2d0 - 5d0*cima*coupl(nGC_64)**2d0*   &
                        coupl(nGC_68)**2d0 - 10d0*cima*coupl(nGC_64)*coupl(    &
                        nGC_645)*coupl(nGC_647)*coupl(nGC_68) - 5d0*cima*coupl(&
                        nGC_645)**2d0*coupl(nGC_647)**2d0 - 10d0*cima*coupl(   &
                        nGC_647)**2d0*coupl(nGC_68)**2d0 + 6d0*coupl(nGC_17)** &
                        2d0*coupl(nGC_60) + 6d0*coupl(nGC_17)*coupl(nGC_60)*   &
                        coupl(nGC_641) + 6d0*coupl(nGC_24)*coupl(nGC_63)*coupl(&
                        nGC_68) + 6d0*coupl(nGC_24)*coupl(nGC_631)*coupl(      &
                        nGC_647) + 6d0*coupl(nGC_27)*coupl(nGC_64)*coupl(nGC_68&
                        ) + 6d0*coupl(nGC_27)*coupl(nGC_645)*coupl(nGC_647) +  &
                        6d0*coupl(nGC_36)*coupl(nGC_63)*coupl(nGC_64) + 6d0*   &
                        coupl(nGC_36)*coupl(nGC_631)*coupl(nGC_645) + 6d0*coupl&
                        (nGC_36)*coupl(nGC_647)**2d0 + 6d0*coupl(nGC_36)*coupl(&
                        nGC_68)**2d0 + 6d0*coupl(nGC_40)*coupl(nGC_627)*coupl( &
                        nGC_631) + 6d0*coupl(nGC_40)*coupl(nGC_627)*coupl(     &
                        nGC_64) + 6d0*coupl(nGC_40)*coupl(nGC_63)*coupl(nGC_72 &
                        ) + 6d0*coupl(nGC_40)*coupl(nGC_645)*coupl(nGC_72) +   &
                        6d0*coupl(nGC_48)*coupl(nGC_627)*coupl(nGC_647) + 6d0* &
                        coupl(nGC_48)*coupl(nGC_68)*coupl(nGC_72) + 6d0*coupl( &
                        nGC_49)*coupl(nGC_627)*coupl(nGC_68) + 6d0*coupl(nGC_49&
                        )*coupl(nGC_647)*coupl(nGC_72) + 12d0*coupl(nGC_58)*   &
                        coupl(nGC_627)*coupl(nGC_72) + 6d0*coupl(nGC_60)*coupl(&
                        nGC_641)**2d0 + 6d0*coupl(nGC_60)*coupl(nGC_651)**2d0  &
                         + 6d0*coupl(nGC_60)*coupl(nGC_651)*coupl(nGC_96) + 6d0&
                        *coupl(nGC_60)*coupl(nGC_96)**2d0)/(96d0*pi**2d0)
      coupl(nGC_1810) = (4d0*Nc*coupl(nGC_133)*coupl(nGC_135)*coupl(nGC_85) -  &
                        4d0*Nc*coupl(nGC_133)*coupl(nGC_135)*coupl(nGC_88) -   &
                        4d0*Nc*coupl(nGC_133)*coupl(nGC_136)*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_133)*coupl(nGC_136)*coupl(nGC_88) -   &
                        4d0*Nc*coupl(nGC_137)*coupl(nGC_139)*coupl(nGC_84) +   &
                        4d0*Nc*coupl(nGC_137)*coupl(nGC_139)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_137)*coupl(nGC_140)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_137)*coupl(nGC_140)*coupl(nGC_87) -   &
                        4d0*Nc*coupl(nGC_149)*coupl(nGC_151)*coupl(nGC_84) +   &
                        4d0*Nc*coupl(nGC_149)*coupl(nGC_151)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_149)*coupl(nGC_152)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_149)*coupl(nGC_152)*coupl(nGC_87) -   &
                        4d0*Nc*coupl(nGC_173)*coupl(nGC_175)*coupl(nGC_84) +   &
                        4d0*Nc*coupl(nGC_173)*coupl(nGC_175)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_173)*coupl(nGC_176)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_173)*coupl(nGC_176)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_180)*coupl(nGC_182)*coupl(nGC_85) -   &
                        4d0*Nc*coupl(nGC_180)*coupl(nGC_182)*coupl(nGC_88) -   &
                        4d0*Nc*coupl(nGC_180)*coupl(nGC_183)*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_180)*coupl(nGC_183)*coupl(nGC_88) +   &
                        4d0*Nc*coupl(nGC_195)*coupl(nGC_197)*coupl(nGC_85) -   &
                        4d0*Nc*coupl(nGC_195)*coupl(nGC_197)*coupl(nGC_88) -   &
                        4d0*Nc*coupl(nGC_195)*coupl(nGC_198)*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_195)*coupl(nGC_198)*coupl(nGC_88) -   &
                        4d0*coupl(nGC_157)*coupl(nGC_159)*coupl(nGC_86) + 4d0* &
                        coupl(nGC_157)*coupl(nGC_159)*coupl(nGC_89) + 4d0*coupl&
                        (nGC_157)*coupl(nGC_160)*coupl(nGC_86) - 4d0*coupl(    &
                        nGC_157)*coupl(nGC_160)*coupl(nGC_89) - 4d0*coupl(     &
                        nGC_165)*coupl(nGC_167)*coupl(nGC_86) + 4d0*coupl(     &
                        nGC_165)*coupl(nGC_167)*coupl(nGC_89) + 4d0*coupl(     &
                        nGC_165)*coupl(nGC_168)*coupl(nGC_86) - 4d0*coupl(     &
                        nGC_165)*coupl(nGC_168)*coupl(nGC_89) - 4d0*coupl(     &
                        nGC_188)*coupl(nGC_190)*coupl(nGC_86) + 4d0*coupl(     &
                        nGC_188)*coupl(nGC_190)*coupl(nGC_89) + 4d0*coupl(     &
                        nGC_188)*coupl(nGC_191)*coupl(nGC_86) - 4d0*coupl(     &
                        nGC_188)*coupl(nGC_191)*coupl(nGC_89) - 6d0*coupl(     &
                        nGC_609)*coupl(nGC_68)*coupl(nGC_72) + coupl(nGC_617)**&
                        2d0*coupl(nGC_629) + coupl(nGC_617)*coupl(nGC_619)*    &
                        coupl(nGC_629) + coupl(nGC_619)**2d0*coupl(nGC_629) +  &
                        coupl(nGC_625)*coupl(nGC_627)*coupl(nGC_651) + coupl(  &
                        nGC_627)*coupl(nGC_647)*coupl(nGC_96) + coupl(nGC_629  &
                        )**3d0 - 6d0*coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_82  &
                        ))/(96d0*pi**2d0)
      coupl(nGC_2085) = (20d0*Nc*cima*coupl(nGC_134)**2d0*coupl(nGC_135)*coupl(&
                        nGC_136) + 20d0*Nc*cima*coupl(nGC_134)**2d0*coupl(     &
                        nGC_175)*coupl(nGC_176) + 20d0*Nc*cima*coupl(nGC_134)* &
                        coupl(nGC_135)*coupl(nGC_174)*coupl(nGC_176) + 20d0*Nc*&
                        cima*coupl(nGC_134)*coupl(nGC_136)*coupl(nGC_174)*coupl&
                        (nGC_175) + 20d0*Nc*cima*coupl(nGC_135)*coupl(nGC_136)*&
                        coupl(nGC_174)**2d0 + 20d0*Nc*cima*coupl(nGC_138)**2d0*&
                        coupl(nGC_139)*coupl(nGC_140) + 20d0*Nc*cima*coupl(    &
                        nGC_138)**2d0*coupl(nGC_182)*coupl(nGC_183) + 20d0*Nc* &
                        cima*coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_181)*coupl&
                        (nGC_183) + 20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_140)*&
                        coupl(nGC_181)*coupl(nGC_182) + 20d0*Nc*cima*coupl(    &
                        nGC_139)*coupl(nGC_140)*coupl(nGC_181)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_150)**2d0*coupl(nGC_151)*coupl(nGC_152  &
                        ) + 20d0*Nc*cima*coupl(nGC_150)**2d0*coupl(nGC_197)*   &
                        coupl(nGC_198) + 20d0*Nc*cima*coupl(nGC_150)*coupl(    &
                        nGC_151)*coupl(nGC_196)*coupl(nGC_198) + 20d0*Nc*cima* &
                        coupl(nGC_150)*coupl(nGC_152)*coupl(nGC_196)*coupl(    &
                        nGC_197) + 20d0*Nc*cima*coupl(nGC_151)*coupl(nGC_152)* &
                        coupl(nGC_196)**2d0 + 20d0*Nc*cima*coupl(nGC_174)**2d0*&
                        coupl(nGC_175)*coupl(nGC_176) + 20d0*Nc*cima*coupl(    &
                        nGC_181)**2d0*coupl(nGC_182)*coupl(nGC_183) + 20d0*Nc* &
                        cima*coupl(nGC_196)**2d0*coupl(nGC_197)*coupl(nGC_198  &
                        ) + 6d0*cima*coupl(nGC_100)*coupl(nGC_101) + 20d0*cima*&
                        coupl(nGC_158)**2d0*coupl(nGC_159)*coupl(nGC_160) +    &
                        20d0*cima*coupl(nGC_166)**2d0*coupl(nGC_167)*coupl(    &
                        nGC_168) + 20d0*cima*coupl(nGC_189)**2d0*coupl(nGC_190 &
                        )*coupl(nGC_191) + 24d0*cima*coupl(nGC_19)*coupl(nGC_20&
                        ) - 5d0*cima*coupl(nGC_619)*coupl(nGC_627)*coupl(nGC_63&
                        )*coupl(nGC_651) - 5d0*cima*coupl(nGC_619)*coupl(      &
                        nGC_627)*coupl(nGC_64)*coupl(nGC_96) - 10d0*cima*coupl(&
                        nGC_619)*coupl(nGC_631)*coupl(nGC_64)*coupl(nGC_91) -  &
                        10d0*cima*coupl(nGC_619)*coupl(nGC_64)*coupl(nGC_647)* &
                        coupl(nGC_94) - 10d0*cima*coupl(nGC_619)*coupl(nGC_91)*&
                        coupl(nGC_96)**2d0 + 12d0*cima*coupl(nGC_62)**2d0 -    &
                        10d0*cima*coupl(nGC_625)*coupl(nGC_627)*coupl(nGC_68)* &
                        coupl(nGC_72) - 5d0*cima*coupl(nGC_625)*coupl(nGC_651)*&
                        coupl(nGC_72)*coupl(nGC_94) - 10d0*cima*coupl(nGC_627  &
                        )**2d0*coupl(nGC_72)**2d0 - 5d0*cima*coupl(nGC_627)*   &
                        coupl(nGC_629)*coupl(nGC_651)*coupl(nGC_68) - 5d0*cima*&
                        coupl(nGC_627)*coupl(nGC_629)*coupl(nGC_69)*coupl(     &
                        nGC_96) - 10d0*cima*coupl(nGC_627)*coupl(nGC_63)*coupl(&
                        nGC_645)*coupl(nGC_72) - 10d0*cima*coupl(nGC_627)*coupl&
                        (nGC_641)**2d0*coupl(nGC_72) - 10d0*cima*coupl(nGC_627 &
                        )*coupl(nGC_651)**2d0*coupl(nGC_72) - 10d0*cima*coupl( &
                        nGC_629)*coupl(nGC_631)*coupl(nGC_69)*coupl(nGC_91) -  &
                        10d0*cima*coupl(nGC_629)*coupl(nGC_647)*coupl(nGC_69)* &
                        coupl(nGC_94) - 10d0*cima*coupl(nGC_629)*coupl(nGC_94)*&
                        coupl(nGC_96)**2d0 - 5d0*cima*coupl(nGC_631)*coupl(    &
                        nGC_72)*coupl(nGC_91)*coupl(nGC_96) - 5d0*cima*coupl(  &
                        nGC_645)*coupl(nGC_651)*coupl(nGC_72)*coupl(nGC_91) -  &
                        5d0*cima*coupl(nGC_647)*coupl(nGC_72)*coupl(nGC_94)*   &
                        coupl(nGC_96) + 24d0*cima*coupl(nGC_73)*coupl(nGC_74   &
                        ) - 3d0*coupl(nGC_100)*coupl(nGC_619)*coupl(nGC_91) -  &
                        3d0*coupl(nGC_100)*coupl(nGC_629)*coupl(nGC_94) - 3d0* &
                        coupl(nGC_101)*coupl(nGC_96)**2d0 - 6d0*coupl(nGC_19)* &
                        coupl(nGC_619)*coupl(nGC_64) - 6d0*coupl(nGC_19)*coupl(&
                        nGC_627)*coupl(nGC_651) - 6d0*coupl(nGC_19)*coupl(     &
                        nGC_629)*coupl(nGC_69) - 6d0*coupl(nGC_20)*coupl(      &
                        nGC_631)*coupl(nGC_91) - 6d0*coupl(nGC_20)*coupl(      &
                        nGC_647)*coupl(nGC_94) - 6d0*coupl(nGC_20)*coupl(      &
                        nGC_651)*coupl(nGC_72) + 3d0*coupl(nGC_23)*coupl(      &
                        nGC_619)*coupl(nGC_94) + 3d0*coupl(nGC_23)*coupl(      &
                        nGC_629)*coupl(nGC_91) + 3d0*coupl(nGC_25)*coupl(      &
                        nGC_631)*coupl(nGC_69) + 3d0*coupl(nGC_25)*coupl(nGC_64&
                        )*coupl(nGC_647) + 3d0*coupl(nGC_32)*coupl(nGC_629)*   &
                        coupl(nGC_94) + 3d0*coupl(nGC_33)*coupl(nGC_647)*coupl(&
                        nGC_69) + 3d0*coupl(nGC_35)*coupl(nGC_619)*coupl(nGC_91&
                        ) + 3d0*coupl(nGC_39)*coupl(nGC_631)*coupl(nGC_64) +   &
                        6d0*coupl(nGC_53)*coupl(nGC_627)**2d0 + 3d0*coupl(     &
                        nGC_53)*coupl(nGC_641)**2d0 + 3d0*coupl(nGC_53)*coupl( &
                        nGC_651)**2d0 + 6d0*coupl(nGC_53)*coupl(nGC_72)**2d0 + &
                        6d0*coupl(nGC_54)*coupl(nGC_627)*coupl(nGC_72) + 3d0*  &
                        coupl(nGC_55)*coupl(nGC_627)*coupl(nGC_72) - 3d0*coupl(&
                        nGC_62)*coupl(nGC_625)*coupl(nGC_68) - 9d0*coupl(nGC_62&
                        )*coupl(nGC_627)*coupl(nGC_72) - 3d0*coupl(nGC_62)*    &
                        coupl(nGC_63)*coupl(nGC_645) - 6d0*coupl(nGC_627)*coupl&
                        (nGC_641)*coupl(nGC_73) - 6d0*coupl(nGC_641)*coupl(    &
                        nGC_72)*coupl(nGC_74))/(96d0*pi**2d0)
      coupl(nGC_2087) = (20d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_134)**2d0  &
                         + 20d0*Nc*cima*coupl(nGC_138)**2d0*coupl(nGC_142)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_146)**2d0*coupl(nGC_150)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_170)**2d0*coupl(nGC_174)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_178)**2d0*coupl(nGC_181)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_193)**2d0*coupl(nGC_196)**2d0&
                         + 6d0*cima*coupl(nGC_100)**2d0 + 20d0*cima*coupl(     &
                        nGC_154)**2d0*coupl(nGC_158)**2d0 + 20d0*cima*coupl(   &
                        nGC_162)**2d0*coupl(nGC_166)**2d0 - 5d0*cima*coupl(    &
                        nGC_17)**4d0 - 5d0*cima*coupl(nGC_17)**2d0*coupl(      &
                        nGC_641)**2d0 - 10d0*cima*coupl(nGC_17)**2d0*coupl(    &
                        nGC_96)**2d0 - 10d0*cima*coupl(nGC_17)*coupl(nGC_641)* &
                        coupl(nGC_651)*coupl(nGC_96) + 6d0*cima*coupl(nGC_18)**&
                        2d0 + 20d0*cima*coupl(nGC_185)**2d0*coupl(nGC_189)**2d0&
                         + 12d0*cima*coupl(nGC_62)**2d0 - 5d0*cima*coupl(      &
                        nGC_625)**2d0*coupl(nGC_631)*coupl(nGC_645) - 5d0*cima*&
                        coupl(nGC_625)**2d0*coupl(nGC_68)**2d0 - 10d0*cima*    &
                        coupl(nGC_625)*coupl(nGC_627)*coupl(nGC_68)*coupl(     &
                        nGC_72) - 5d0*cima*coupl(nGC_625)*coupl(nGC_63)*coupl( &
                        nGC_645)*coupl(nGC_68) - 10d0*cima*coupl(nGC_625)*coupl&
                        (nGC_631)*coupl(nGC_64)*coupl(nGC_68) - 5d0*cima*coupl(&
                        nGC_625)*coupl(nGC_631)*coupl(nGC_64)*coupl(nGC_69) -  &
                        10d0*cima*coupl(nGC_625)*coupl(nGC_631)*coupl(nGC_645)*&
                        coupl(nGC_647) - 5d0*cima*coupl(nGC_627)**2d0*coupl(   &
                        nGC_72)**2d0 - 5d0*cima*coupl(nGC_627)*coupl(nGC_63)*  &
                        coupl(nGC_645)*coupl(nGC_72) - 5d0*cima*coupl(nGC_627)*&
                        coupl(nGC_631)*coupl(nGC_64)*coupl(nGC_72) - 5d0*cima* &
                        coupl(nGC_63)*coupl(nGC_631)*coupl(nGC_64)*coupl(      &
                        nGC_645) - 5d0*cima*coupl(nGC_63)*coupl(nGC_631)*coupl(&
                        nGC_647)*coupl(nGC_69) - 5d0*cima*coupl(nGC_63)*coupl( &
                        nGC_645)*coupl(nGC_647)*coupl(nGC_69) - 5d0*cima*coupl(&
                        nGC_631)*coupl(nGC_64)*coupl(nGC_647)*coupl(nGC_68) -  &
                        10d0*cima*coupl(nGC_631)*coupl(nGC_64)*coupl(nGC_647)* &
                        coupl(nGC_69) - 5d0*cima*coupl(nGC_631)*coupl(nGC_645)*&
                        coupl(nGC_647)**2d0 - 5d0*cima*coupl(nGC_64)*coupl(    &
                        nGC_645)*coupl(nGC_647)*coupl(nGC_69) - 5d0*cima*coupl(&
                        nGC_651)**2d0*coupl(nGC_96)**2d0 - 5d0*cima*coupl(     &
                        nGC_96)**4d0 + 12d0*cima*coupl(nGC_97)**2d0 - 6d0*coupl&
                        (nGC_100)*coupl(nGC_96)**2d0 - 6d0*coupl(nGC_17)**2d0* &
                        coupl(nGC_18) + 6d0*coupl(nGC_17)**2d0*coupl(nGC_57) + &
                        6d0*coupl(nGC_17)*coupl(nGC_57)*coupl(nGC_641) - 12d0* &
                        coupl(nGC_17)*coupl(nGC_96)*coupl(nGC_97) + 3d0*coupl( &
                        nGC_22)*coupl(nGC_631)*coupl(nGC_69) + 3d0*coupl(nGC_22&
                        )*coupl(nGC_64)*coupl(nGC_647) + 3d0*coupl(nGC_23)*    &
                        coupl(nGC_63)*coupl(nGC_647) + 3d0*coupl(nGC_23)*coupl(&
                        nGC_645)*coupl(nGC_69) + 3d0*coupl(nGC_24)*coupl(      &
                        nGC_625)*coupl(nGC_645) + 3d0*coupl(nGC_24)*coupl(     &
                        nGC_63)*coupl(nGC_68) + 3d0*coupl(nGC_27)*coupl(nGC_625&
                        )*coupl(nGC_631) + 3d0*coupl(nGC_27)*coupl(nGC_64)*    &
                        coupl(nGC_68) + 3d0*coupl(nGC_30)*coupl(nGC_631)*coupl(&
                        nGC_64) + 3d0*coupl(nGC_32)*coupl(nGC_63)*coupl(nGC_645&
                        ) + 3d0*coupl(nGC_34)*coupl(nGC_647)*coupl(nGC_69) +   &
                        3d0*coupl(nGC_35)*coupl(nGC_647)*coupl(nGC_69) + 3d0*  &
                        coupl(nGC_36)*coupl(nGC_625)**2d0 + 3d0*coupl(nGC_36)* &
                        coupl(nGC_63)*coupl(nGC_64) + 3d0*coupl(nGC_36)*coupl( &
                        nGC_631)*coupl(nGC_645) + 3d0*coupl(nGC_36)*coupl(     &
                        nGC_68)**2d0 + 3d0*coupl(nGC_40)*coupl(nGC_627)*coupl( &
                        nGC_645) + 3d0*coupl(nGC_40)*coupl(nGC_631)*coupl(     &
                        nGC_72) + 3d0*coupl(nGC_41)*coupl(nGC_627)*coupl(nGC_64&
                        ) + 3d0*coupl(nGC_41)*coupl(nGC_63)*coupl(nGC_72) + 3d0&
                        *coupl(nGC_48)*coupl(nGC_625)*coupl(nGC_627) + 3d0*    &
                        coupl(nGC_48)*coupl(nGC_627)*coupl(nGC_68) + 3d0*coupl(&
                        nGC_49)*coupl(nGC_625)*coupl(nGC_72) + 3d0*coupl(nGC_49&
                        )*coupl(nGC_68)*coupl(nGC_72) + 6d0*coupl(nGC_56)*coupl&
                        (nGC_627)*coupl(nGC_72) + 6d0*coupl(nGC_57)*coupl(     &
                        nGC_641)**2d0 + 6d0*coupl(nGC_57)*coupl(nGC_651)**2d0  &
                         + 6d0*coupl(nGC_57)*coupl(nGC_651)*coupl(nGC_96) + 6d0&
                        *coupl(nGC_57)*coupl(nGC_96)**2d0 + 6d0*coupl(nGC_58)* &
                        coupl(nGC_627)*coupl(nGC_72) - 6d0*coupl(nGC_62)*coupl(&
                        nGC_625)*coupl(nGC_68) - 6d0*coupl(nGC_62)*coupl(      &
                        nGC_627)*coupl(nGC_72) - 3d0*coupl(nGC_62)*coupl(nGC_63&
                        )*coupl(nGC_645) - 3d0*coupl(nGC_62)*coupl(nGC_631)*   &
                        coupl(nGC_64))/(96d0*pi**2d0)
      coupl(nGC_687) = coupl(nGC_I)*dZGMinus
      coupl(nGC_2131) = (20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*coupl(     &
                        nGC_133)*coupl(nGC_134) + 10d0*Nc*cima*coupl(nGC_130)* &
                        coupl(nGC_131)*coupl(nGC_173)*coupl(nGC_174) + 20d0*Nc*&
                        cima*coupl(nGC_130)*coupl(nGC_133)*coupl(nGC_170)*coupl&
                        (nGC_174) + 10d0*Nc*cima*coupl(nGC_130)*coupl(nGC_134)*&
                        coupl(nGC_170)*coupl(nGC_173) + 10d0*Nc*cima*coupl(    &
                        nGC_131)*coupl(nGC_133)*coupl(nGC_169)*coupl(nGC_174   &
                        ) + 20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl(  &
                        nGC_169)*coupl(nGC_173) + 10d0*Nc*cima*coupl(nGC_133)* &
                        coupl(nGC_134)*coupl(nGC_169)*coupl(nGC_170) + 20d0*Nc*&
                        cima*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_141)*coupl&
                        (nGC_142) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_138)*&
                        coupl(nGC_177)*coupl(nGC_178) + 20d0*Nc*cima*coupl(    &
                        nGC_137)*coupl(nGC_141)*coupl(nGC_178)*coupl(nGC_181   &
                        ) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142)*coupl(  &
                        nGC_177)*coupl(nGC_181) + 10d0*Nc*cima*coupl(nGC_138)* &
                        coupl(nGC_141)*coupl(nGC_178)*coupl(nGC_180) + 20d0*Nc*&
                        cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_177)*coupl&
                        (nGC_180) + 10d0*Nc*cima*coupl(nGC_141)*coupl(nGC_142)*&
                        coupl(nGC_180)*coupl(nGC_181) + 20d0*Nc*cima*coupl(    &
                        nGC_145)*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_150   &
                        ) + 10d0*Nc*cima*coupl(nGC_145)*coupl(nGC_146)*coupl(  &
                        nGC_195)*coupl(nGC_196) + 20d0*Nc*cima*coupl(nGC_145)* &
                        coupl(nGC_149)*coupl(nGC_193)*coupl(nGC_196) + 10d0*Nc*&
                        cima*coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_193)*coupl&
                        (nGC_195) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_149)*&
                        coupl(nGC_192)*coupl(nGC_196) + 20d0*Nc*cima*coupl(    &
                        nGC_146)*coupl(nGC_150)*coupl(nGC_192)*coupl(nGC_195   &
                        ) + 10d0*Nc*cima*coupl(nGC_149)*coupl(nGC_150)*coupl(  &
                        nGC_192)*coupl(nGC_193) + 20d0*Nc*cima*coupl(nGC_169)* &
                        coupl(nGC_170)*coupl(nGC_173)*coupl(nGC_174) + 20d0*Nc*&
                        cima*coupl(nGC_177)*coupl(nGC_178)*coupl(nGC_180)*coupl&
                        (nGC_181) + 20d0*Nc*cima*coupl(nGC_192)*coupl(nGC_193)*&
                        coupl(nGC_195)*coupl(nGC_196) + 12d0*cima*coupl(nGC_14 &
                        )*coupl(nGC_15) + 20d0*cima*coupl(nGC_153)*coupl(      &
                        nGC_154)*coupl(nGC_157)*coupl(nGC_158) + 12d0*cima*    &
                        coupl(nGC_16)**2d0 + 20d0*cima*coupl(nGC_161)*coupl(   &
                        nGC_162)*coupl(nGC_165)*coupl(nGC_166) - 5d0*cima*coupl&
                        (nGC_17)**2d0*coupl(nGC_625)**2d0 - 5d0*cima*coupl(    &
                        nGC_17)**2d0*coupl(nGC_631)*coupl(nGC_645) + 20d0*cima*&
                        coupl(nGC_184)*coupl(nGC_185)*coupl(nGC_188)*coupl(    &
                        nGC_189) - 5d0*cima*coupl(nGC_619)*coupl(nGC_627)*coupl&
                        (nGC_72)*coupl(nGC_92) - 5d0*cima*coupl(nGC_625)**2d0* &
                        coupl(nGC_96)**2d0 - 5d0*cima*coupl(nGC_625)*coupl(    &
                        nGC_629)*coupl(nGC_72)*coupl(nGC_96) - 5d0*cima*coupl( &
                        nGC_625)*coupl(nGC_63)**2d0*coupl(nGC_69) - 10d0*cima* &
                        coupl(nGC_625)*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_69&
                        ) - 5d0*cima*coupl(nGC_625)*coupl(nGC_64)**2d0*coupl(  &
                        nGC_69) - 5d0*cima*coupl(nGC_627)*coupl(nGC_629)*coupl(&
                        nGC_72)*coupl(nGC_94) - 5d0*cima*coupl(nGC_627)*coupl( &
                        nGC_631)*coupl(nGC_91)*coupl(nGC_96) - 5d0*cima*coupl( &
                        nGC_627)*coupl(nGC_64)*coupl(nGC_651)*coupl(nGC_92) -  &
                        5d0*cima*coupl(nGC_629)*coupl(nGC_651)*coupl(nGC_69)*  &
                        coupl(nGC_72) - 5d0*cima*coupl(nGC_63)*coupl(nGC_631)* &
                        coupl(nGC_68)*coupl(nGC_69) - 5d0*cima*coupl(nGC_63)*  &
                        coupl(nGC_645)*coupl(nGC_68)*coupl(nGC_69) - 5d0*cima* &
                        coupl(nGC_631)*coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_69&
                        ) - 5d0*cima*coupl(nGC_631)*coupl(nGC_645)*coupl(nGC_96&
                        )**2d0 - 5d0*cima*coupl(nGC_64)*coupl(nGC_645)*coupl(  &
                        nGC_68)*coupl(nGC_69) + 12d0*cima*coupl(nGC_65)*coupl( &
                        nGC_66) + 12d0*cima*coupl(nGC_70)**2d0 + 3d0*coupl(    &
                        nGC_10)*coupl(nGC_625)*coupl(nGC_631) + 3d0*coupl(     &
                        nGC_13)*coupl(nGC_625)**2d0 + 3d0*coupl(nGC_13)*coupl( &
                        nGC_631)*coupl(nGC_645) - 3d0*coupl(nGC_14)*coupl(     &
                        nGC_627)*coupl(nGC_92) - 3d0*coupl(nGC_14)*coupl(      &
                        nGC_631)*coupl(nGC_96) - 3d0*coupl(nGC_15)*coupl(      &
                        nGC_619)*coupl(nGC_72) - 3d0*coupl(nGC_15)*coupl(      &
                        nGC_645)*coupl(nGC_96) - 6d0*coupl(nGC_16)*coupl(      &
                        nGC_625)*coupl(nGC_96) - 3d0*coupl(nGC_16)*coupl(      &
                        nGC_627)*coupl(nGC_94) - 3d0*coupl(nGC_16)*coupl(      &
                        nGC_629)*coupl(nGC_72) + 3d0*coupl(nGC_17)**2d0*coupl( &
                        nGC_36) - 6d0*coupl(nGC_17)*coupl(nGC_625)*coupl(nGC_70&
                        ) - 3d0*coupl(nGC_17)*coupl(nGC_631)*coupl(nGC_65) -   &
                        3d0*coupl(nGC_17)*coupl(nGC_645)*coupl(nGC_66) + 3d0*  &
                        coupl(nGC_22)*coupl(nGC_625)*coupl(nGC_64) + 3d0*coupl(&
                        nGC_22)*coupl(nGC_631)*coupl(nGC_69) + 3d0*coupl(nGC_23&
                        )*coupl(nGC_625)*coupl(nGC_63) + 3d0*coupl(nGC_23)*    &
                        coupl(nGC_645)*coupl(nGC_69) + 3d0*coupl(nGC_24)*coupl(&
                        nGC_64)*coupl(nGC_68) + 3d0*coupl(nGC_24)*coupl(nGC_64 &
                        )*coupl(nGC_69) + 3d0*coupl(nGC_27)*coupl(nGC_63)*coupl&
                        (nGC_68) + 3d0*coupl(nGC_27)*coupl(nGC_63)*coupl(nGC_69&
                        ) + 3d0*coupl(nGC_30)*coupl(nGC_631)*coupl(nGC_64) +   &
                        3d0*coupl(nGC_32)*coupl(nGC_63)*coupl(nGC_645) + 3d0*  &
                        coupl(nGC_34)*coupl(nGC_625)*coupl(nGC_69) + 3d0*coupl(&
                        nGC_35)*coupl(nGC_625)*coupl(nGC_69) + 6d0*coupl(nGC_36&
                        )*coupl(nGC_63)*coupl(nGC_64) + 6d0*coupl(nGC_36)*coupl&
                        (nGC_68)*coupl(nGC_69) + 3d0*coupl(nGC_36)*coupl(nGC_96&
                        )**2d0 + 3d0*coupl(nGC_37)*coupl(nGC_627)*coupl(nGC_72 &
                        ) + 3d0*coupl(nGC_41)*coupl(nGC_617)*coupl(nGC_651) +  &
                        3d0*coupl(nGC_41)*coupl(nGC_619)*coupl(nGC_651) + 3d0* &
                        coupl(nGC_41)*coupl(nGC_627)*coupl(nGC_63) + 3d0*coupl(&
                        nGC_41)*coupl(nGC_64)*coupl(nGC_72) + 3d0*coupl(nGC_41 &
                        )*coupl(nGC_651)*coupl(nGC_91) + 3d0*coupl(nGC_41)*    &
                        coupl(nGC_651)*coupl(nGC_92) + 3d0*coupl(nGC_42)*coupl(&
                        nGC_629)*coupl(nGC_92) + 3d0*coupl(nGC_43)*coupl(      &
                        nGC_619)*coupl(nGC_94) + 3d0*coupl(nGC_44)*coupl(      &
                        nGC_631)*coupl(nGC_68) + 3d0*coupl(nGC_44)*coupl(      &
                        nGC_645)*coupl(nGC_69) + 3d0*coupl(nGC_45)*coupl(      &
                        nGC_631)*coupl(nGC_69) + 3d0*coupl(nGC_45)*coupl(      &
                        nGC_645)*coupl(nGC_68) + 3d0*coupl(nGC_48)*coupl(      &
                        nGC_627)*coupl(nGC_68) + 3d0*coupl(nGC_48)*coupl(      &
                        nGC_629)*coupl(nGC_651) + 3d0*coupl(nGC_48)*coupl(     &
                        nGC_651)*coupl(nGC_94) + 3d0*coupl(nGC_49)*coupl(      &
                        nGC_629)*coupl(nGC_651) + 3d0*coupl(nGC_49)*coupl(     &
                        nGC_651)*coupl(nGC_94) + 3d0*coupl(nGC_49)*coupl(nGC_68&
                        )*coupl(nGC_72) + 3d0*coupl(nGC_57)*coupl(nGC_631)*    &
                        coupl(nGC_645) + 3d0*coupl(nGC_57)*coupl(nGC_69)**2d0  &
                         + 3d0*coupl(nGC_58)*coupl(nGC_619)*coupl(nGC_92) + 3d0&
                        *coupl(nGC_58)*coupl(nGC_629)*coupl(nGC_94) + 3d0*coupl&
                        (nGC_60)*coupl(nGC_631)*coupl(nGC_645) + 3d0*coupl(    &
                        nGC_60)*coupl(nGC_68)**2d0 + 3d0*coupl(nGC_625)*coupl( &
                        nGC_645)*coupl(nGC_9))/(96d0*pi**2d0)
      coupl(nGC_TS_GC_124_Hl) = -coupl(nGC_124)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2859) = coupl(nGC_137)*dZHhHl_QED2/2d0 + coupl(nGC_141)*       &
                        dZHl_QED2/2d0 + coupl(nGC_141)*dZbL_QED2/2d0 + coupl(  &
                        nGC_141)*dZbR_QED2/2d0 + coupl(nGC_2397)
      coupl(nGC_2642) = coupl(nGC_146)*dZdR_QCD2/2d0 + coupl(nGC_146)*dZuL_QCD2&
                        /2d0 + coupl(nGC_2364)
      coupl(nGC_2013) = -coupl(nGC_7)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                        nGC_145)**2d0 + coupl(nGC_146)**2d0 + coupl(nGC_147)*  &
                        coupl(nGC_148) + coupl(nGC_149)**2d0 + coupl(nGC_150)**&
                        2d0 + coupl(nGC_151)*coupl(nGC_152) + 4d0*coupl(nGC_84 &
                        )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_2012) = -coupl(nGC_7)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                        nGC_145)**2d0 + coupl(nGC_147)*coupl(nGC_148) + coupl( &
                        nGC_149)**2d0 + coupl(nGC_151)*coupl(nGC_152) + coupl( &
                        nGC_193)**2d0 + coupl(nGC_196)**2d0 + 4d0*coupl(nGC_80 &
                        )**2d0 + 4d0*coupl(nGC_87)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_2017) = coupl(nGC_7)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(      &
                        nGC_169)**2d0 - coupl(nGC_170)**2d0 - coupl(nGC_171)*  &
                        coupl(nGC_172) - coupl(nGC_173)**2d0 - coupl(nGC_174)**&
                        2d0 - coupl(nGC_175)*coupl(nGC_176) - 4d0*coupl(nGC_84 &
                        )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_2016) = coupl(nGC_7)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(      &
                        nGC_131)**2d0 - coupl(nGC_134)**2d0 - coupl(nGC_169)** &
                        2d0 - coupl(nGC_171)*coupl(nGC_172) - coupl(nGC_173)** &
                        2d0 - coupl(nGC_175)*coupl(nGC_176) - 4d0*coupl(nGC_80 &
                        )**2d0 - 4d0*coupl(nGC_87)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_2015) = -coupl(nGC_7)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                        nGC_145)**2d0 - coupl(nGC_146)**2d0 - coupl(nGC_147)*  &
                        coupl(nGC_148) - coupl(nGC_149)**2d0 - coupl(nGC_150)**&
                        2d0 - coupl(nGC_151)*coupl(nGC_152) - 4d0*coupl(nGC_84 &
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_2014) = -coupl(nGC_7)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                        nGC_145)**2d0 - coupl(nGC_147)*coupl(nGC_148) - coupl( &
                        nGC_149)**2d0 - coupl(nGC_151)*coupl(nGC_152) - coupl( &
                        nGC_193)**2d0 - coupl(nGC_196)**2d0 - 4d0*coupl(nGC_80 &
                        )**2d0 - 4d0*coupl(nGC_87)**2d0)/(64d0*pi**2d0)
      coupl(nGC_1839) = coupl(nGC_197)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2019) = coupl(nGC_7)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_131&
                        )**2d0 + coupl(nGC_134)**2d0 + coupl(nGC_169)**2d0 +   &
                        coupl(nGC_171)*coupl(nGC_172) + coupl(nGC_173)**2d0 +  &
                        coupl(nGC_175)*coupl(nGC_176) + 4d0*coupl(nGC_80)**2d0 &
                         + 4d0*coupl(nGC_87)**2d0)/(64d0*pi**2d0)
      coupl(nGC_2018) = coupl(nGC_7)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_6   &
                        ) + coupl(nGC_7))/(64d0*pi**2d0*Nc**2d0)
      coupl(nGC_2412) = coupl(nGC_1145)*db_QED2 + coupl(nGC_1146)*dym1_QED3 +  &
                        coupl(nGC_1147)*dym2_QED3
      coupl(nGC_2332) = coupl(nGC_1295)*db_QED2 + coupl(nGC_1296)*dvev1_QED1 + &
                        coupl(nGC_1297)*dcw_QED2 + coupl(nGC_1298)*dZee_QED2 + &
                        coupl(nGC_1299)*dvev2_QED1
      coupl(nGC_3208) = coupl(nGC_2313) - coupl(nGC_63)*dZGMinusHMinus_QED2/2d0&
                         + coupl(nGC_63)*dZHhHl_QED2/2d0 + coupl(nGC_69)*      &
                        dZHMinus_QED2/2d0 + coupl(nGC_69)*dZHl_QED2/2d0 + coupl&
                        (nGC_69)*dZWMinus_QED2/2d0
      coupl(nGC_2882) = coupl(nGC_131)*dZHMinus_QED2/2d0 + coupl(nGC_131)*     &
                        dZcR_QED2/2d0 + coupl(nGC_131)*dZsL_QED2/2d0 + coupl(  &
                        nGC_134)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_2367)
      coupl(nGC_2883) = coupl(nGC_131)*dZcR_QCD2/2d0 + coupl(nGC_131)*dZsL_QCD2&
                        /2d0 + coupl(nGC_2368)
      coupl(nGC_3148) = coupl(nGC_182)*dZtL_QCD2/2d0 + coupl(nGC_182)*dZtR_QCD2&
                        /2d0 + coupl(nGC_2444)
      coupl(nGC_2886) = coupl(nGC_2318) + coupl(nGC_62)*dZHa_QED2 + coupl(     &
                        nGC_62)*dZWMinus_QED2
      coupl(nGC_TS_GC_110_Hl) = -coupl(nGC_110)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3200) = -coupl(nGC_MW_GF)*dZGMinus/2d0
      coupl(nGC_3203) = coupl(nGC_2317) + coupl(nGC_63)*dZHl_QED2/2d0 + coupl( &
                        nGC_63)*dZWMinus_QED2/2d0 + coupl(nGC_68)*dZHhHl_QED2/ &
                        2d0 - coupl(nGC_69)*dZHMinusGMinus_QED2/2d0
      coupl(nGC_2339) = coupl(nGC_1087)*dZee_QED2
      coupl(nGC_1944) = (-8d0*Nc*cMB*coupl(nGC_141)*coupl(nGC_84)**2d0 + 8d0*Nc&
                        *cMB*coupl(nGC_141)*coupl(nGC_84)*coupl(nGC_87) - 8d0* &
                        Nc*cMB*coupl(nGC_141)*coupl(nGC_87)**2d0 - 8d0*Nc*cMC* &
                        coupl(nGC_130)*coupl(nGC_85)**2d0 + 8d0*Nc*cMC*coupl(  &
                        nGC_130)*coupl(nGC_85)*coupl(nGC_88) - 8d0*Nc*cMC*coupl&
                        (nGC_130)*coupl(nGC_88)**2d0 - 8d0*Nc*cMD*coupl(nGC_145&
                        )*coupl(nGC_84)**2d0 + 8d0*Nc*cMD*coupl(nGC_145)*coupl(&
                        nGC_84)*coupl(nGC_87) - 8d0*Nc*cMD*coupl(nGC_145)*coupl&
                        (nGC_87)**2d0 - 8d0*Nc*cMS*coupl(nGC_169)*coupl(nGC_84 &
                        )**2d0 + 8d0*Nc*cMS*coupl(nGC_169)*coupl(nGC_84)*coupl(&
                        nGC_87) - 8d0*Nc*cMS*coupl(nGC_169)*coupl(nGC_87)**2d0 &
                         - 8d0*Nc*cMT*coupl(nGC_177)*coupl(nGC_85)**2d0 + 8d0* &
                        Nc*cMT*coupl(nGC_177)*coupl(nGC_85)*coupl(nGC_88) - 8d0&
                        *Nc*cMT*coupl(nGC_177)*coupl(nGC_88)**2d0 - 8d0*Nc*cMU*&
                        coupl(nGC_192)*coupl(nGC_85)**2d0 + 8d0*Nc*cMU*coupl(  &
                        nGC_192)*coupl(nGC_85)*coupl(nGC_88) - 8d0*Nc*cMU*coupl&
                        (nGC_192)*coupl(nGC_88)**2d0 - 8d0*cME*coupl(nGC_153)* &
                        coupl(nGC_86)**2d0 + 8d0*cME*coupl(nGC_153)*coupl(     &
                        nGC_86)*coupl(nGC_89) - 8d0*cME*coupl(nGC_153)*coupl(  &
                        nGC_89)**2d0 - 8d0*cMM*coupl(nGC_161)*coupl(nGC_86)**  &
                        2d0 + 8d0*cMM*coupl(nGC_161)*coupl(nGC_86)*coupl(nGC_89&
                        ) - 8d0*cMM*coupl(nGC_161)*coupl(nGC_89)**2d0 - 8d0*   &
                        cMTA*coupl(nGC_184)*coupl(nGC_86)**2d0 + 8d0*cMTA*coupl&
                        (nGC_184)*coupl(nGC_86)*coupl(nGC_89) - 8d0*cMTA*coupl(&
                        nGC_184)*coupl(nGC_89)**2d0 + 4d0*cima*coupl(nGC_124)* &
                        coupl(nGC_649) - coupl(nGC_102)*coupl(nGC_609)*coupl(  &
                        nGC_625) - coupl(nGC_102)*coupl(nGC_609)*coupl(nGC_68  &
                        ) - coupl(nGC_102)*coupl(nGC_647)*coupl(nGC_82) - coupl&
                        (nGC_102)*coupl(nGC_69)*coupl(nGC_82) - coupl(nGC_107)*&
                        coupl(nGC_609)*coupl(nGC_63) - coupl(nGC_107)*coupl(   &
                        nGC_609)*coupl(nGC_645) - coupl(nGC_107)*coupl(nGC_631 &
                        )*coupl(nGC_82) - coupl(nGC_107)*coupl(nGC_64)*coupl(  &
                        nGC_82) + 6d0*coupl(nGC_124)*coupl(nGC_609)**2d0 + 6d0*&
                        coupl(nGC_124)*coupl(nGC_82)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1945) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_141) - coupl(nGC_137  &
                        )**2d0*coupl(nGC_141) - coupl(nGC_138)*coupl(nGC_177)* &
                        coupl(nGC_181) - coupl(nGC_138)*coupl(nGC_645)*coupl(  &
                        nGC_80) - coupl(nGC_140)**2d0*coupl(nGC_141) - coupl(  &
                        nGC_140)*coupl(nGC_619)*coupl(nGC_87) - coupl(nGC_140)*&
                        coupl(nGC_84)*coupl(nGC_91) - coupl(nGC_141)**3d0 -    &
                        coupl(nGC_141)*coupl(nGC_143)**2d0 + 8d0*coupl(nGC_141 &
                        )*coupl(nGC_84)*coupl(nGC_87) - coupl(nGC_142)*coupl(  &
                        nGC_177)*coupl(nGC_178) - coupl(nGC_142)*coupl(nGC_68)*&
                        coupl(nGC_80) - coupl(nGC_143)*coupl(nGC_629)*coupl(   &
                        nGC_87) - coupl(nGC_143)*coupl(nGC_84)*coupl(nGC_94))/(&
                        32d0*pi**2d0)
      coupl(nGC_1946) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_141) - coupl(nGC_137  &
                        )**2d0*coupl(nGC_141) - coupl(nGC_138)*coupl(nGC_177)* &
                        coupl(nGC_181) - coupl(nGC_138)*coupl(nGC_63)*coupl(   &
                        nGC_80) - coupl(nGC_139)**2d0*coupl(nGC_141) - coupl(  &
                        nGC_139)*coupl(nGC_619)*coupl(nGC_84) - coupl(nGC_139)*&
                        coupl(nGC_87)*coupl(nGC_91) - coupl(nGC_141)**3d0 -    &
                        coupl(nGC_141)*coupl(nGC_144)**2d0 + 8d0*coupl(nGC_141 &
                        )*coupl(nGC_84)*coupl(nGC_87) - coupl(nGC_142)*coupl(  &
                        nGC_177)*coupl(nGC_178) - coupl(nGC_142)*coupl(nGC_625 &
                        )*coupl(nGC_80) - coupl(nGC_144)*coupl(nGC_629)*coupl( &
                        nGC_84) - coupl(nGC_144)*coupl(nGC_87)*coupl(nGC_94))/(&
                        32d0*pi**2d0)
      coupl(nGC_3206) = coupl(nGC_145)*dZdL_QCD2/2d0 + coupl(nGC_145)*dZdR_QCD2&
                        /2d0 + coupl(nGC_2394)
      coupl(nGC_2729) = coupl(nGC_138)*dZbR_QED2/2d0 + coupl(nGC_138)*dZtL_QED2&
                        /2d0 + coupl(nGC_142)*dZHMinusGMinus_QED2/2d0 + coupl( &
                        nGC_2361)
      coupl(nGC_2093) = (20d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_134)**2d0  &
                         + 20d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_174)**2d0&
                         + 40d0*Nc*cima*coupl(nGC_130)*coupl(nGC_134)*coupl(   &
                        nGC_169)*coupl(nGC_174) + 20d0*Nc*cima*coupl(nGC_134)**&
                        2d0*coupl(nGC_169)**2d0 + 20d0*Nc*cima*coupl(nGC_138)**&
                        2d0*coupl(nGC_141)**2d0 + 20d0*Nc*cima*coupl(nGC_138)**&
                        2d0*coupl(nGC_177)**2d0 + 40d0*Nc*cima*coupl(nGC_138)* &
                        coupl(nGC_141)*coupl(nGC_177)*coupl(nGC_181) + 20d0*Nc*&
                        cima*coupl(nGC_141)**2d0*coupl(nGC_181)**2d0 + 20d0*Nc*&
                        cima*coupl(nGC_145)**2d0*coupl(nGC_150)**2d0 + 20d0*Nc*&
                        cima*coupl(nGC_145)**2d0*coupl(nGC_196)**2d0 + 40d0*Nc*&
                        cima*coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_192)*coupl&
                        (nGC_196) + 20d0*Nc*cima*coupl(nGC_150)**2d0*coupl(    &
                        nGC_192)**2d0 + 20d0*Nc*cima*coupl(nGC_169)**2d0*coupl(&
                        nGC_174)**2d0 + 20d0*Nc*cima*coupl(nGC_177)**2d0*coupl(&
                        nGC_181)**2d0 + 20d0*Nc*cima*coupl(nGC_192)**2d0*coupl(&
                        nGC_196)**2d0 + 6d0*cima*coupl(nGC_100)*coupl(nGC_99   &
                        ) + 24d0*cima*coupl(nGC_14)**2d0 + 20d0*cima*coupl(    &
                        nGC_153)**2d0*coupl(nGC_158)**2d0 + 20d0*cima*coupl(   &
                        nGC_161)**2d0*coupl(nGC_166)**2d0 + 20d0*cima*coupl(   &
                        nGC_184)**2d0*coupl(nGC_189)**2d0 + 12d0*cima*coupl(   &
                        nGC_61)*coupl(nGC_62) - 10d0*cima*coupl(nGC_619)*coupl(&
                        nGC_627)*coupl(nGC_72)*coupl(nGC_91) - 5d0*cima*coupl( &
                        nGC_619)*coupl(nGC_631)*coupl(nGC_651)*coupl(nGC_72) - &
                        5d0*cima*coupl(nGC_619)*coupl(nGC_645)*coupl(nGC_72)*  &
                        coupl(nGC_96) - 10d0*cima*coupl(nGC_619)*coupl(nGC_91)*&
                        coupl(nGC_96)**2d0 - 10d0*cima*coupl(nGC_625)*coupl(   &
                        nGC_631)*coupl(nGC_64)*coupl(nGC_68) - 10d0*cima*coupl(&
                        nGC_625)*coupl(nGC_647)*coupl(nGC_68)*coupl(nGC_69) -  &
                        5d0*cima*coupl(nGC_627)*coupl(nGC_63)*coupl(nGC_91)*   &
                        coupl(nGC_96) - 10d0*cima*coupl(nGC_627)*coupl(nGC_631 &
                        )*coupl(nGC_64)*coupl(nGC_72) - 5d0*cima*coupl(nGC_627 &
                        )*coupl(nGC_64)*coupl(nGC_651)*coupl(nGC_91) - 10d0*   &
                        cima*coupl(nGC_627)*coupl(nGC_647)*coupl(nGC_69)*coupl(&
                        nGC_72) - 10d0*cima*coupl(nGC_629)*coupl(nGC_94)*coupl(&
                        nGC_96)**2d0 - 10d0*cima*coupl(nGC_63)*coupl(nGC_631)* &
                        coupl(nGC_64)*coupl(nGC_645) - 10d0*cima*coupl(nGC_63)*&
                        coupl(nGC_645)*coupl(nGC_647)*coupl(nGC_69) - 10d0*cima&
                        *coupl(nGC_631)*coupl(nGC_64)*coupl(nGC_641)**2d0 -    &
                        10d0*cima*coupl(nGC_631)*coupl(nGC_64)*coupl(nGC_651)**&
                        2d0 + 24d0*cima*coupl(nGC_65)**2d0 - 3d0*coupl(nGC_100 &
                        )*coupl(nGC_619)*coupl(nGC_91) - 3d0*coupl(nGC_100)*   &
                        coupl(nGC_629)*coupl(nGC_94) + 3d0*coupl(nGC_11)*coupl(&
                        nGC_631)*coupl(nGC_64) + 3d0*coupl(nGC_13)*coupl(      &
                        nGC_647)*coupl(nGC_69) - 6d0*coupl(nGC_14)*coupl(      &
                        nGC_619)*coupl(nGC_72) - 6d0*coupl(nGC_14)*coupl(      &
                        nGC_627)*coupl(nGC_91) - 6d0*coupl(nGC_14)*coupl(      &
                        nGC_631)*coupl(nGC_651) - 6d0*coupl(nGC_14)*coupl(     &
                        nGC_64)*coupl(nGC_651) + 6d0*coupl(nGC_23)*coupl(      &
                        nGC_625)*coupl(nGC_631) + 6d0*coupl(nGC_23)*coupl(     &
                        nGC_64)*coupl(nGC_68) + 6d0*coupl(nGC_24)*coupl(nGC_63 &
                        )*coupl(nGC_647) + 6d0*coupl(nGC_24)*coupl(nGC_645)*   &
                        coupl(nGC_69) + 6d0*coupl(nGC_35)*coupl(nGC_63)*coupl( &
                        nGC_64) + 6d0*coupl(nGC_35)*coupl(nGC_631)*coupl(      &
                        nGC_645) + 3d0*coupl(nGC_35)*coupl(nGC_641)**2d0 + 3d0*&
                        coupl(nGC_35)*coupl(nGC_651)**2d0 + 6d0*coupl(nGC_36)* &
                        coupl(nGC_625)*coupl(nGC_69) + 6d0*coupl(nGC_36)*coupl(&
                        nGC_647)*coupl(nGC_68) + 3d0*coupl(nGC_39)*coupl(      &
                        nGC_627)*coupl(nGC_72) + 3d0*coupl(nGC_43)*coupl(      &
                        nGC_619)*coupl(nGC_94) + 3d0*coupl(nGC_43)*coupl(      &
                        nGC_629)*coupl(nGC_91) + 3d0*coupl(nGC_45)*coupl(      &
                        nGC_625)*coupl(nGC_645) + 3d0*coupl(nGC_45)*coupl(     &
                        nGC_63)*coupl(nGC_68) + 3d0*coupl(nGC_45)*coupl(nGC_631&
                        )*coupl(nGC_647) + 3d0*coupl(nGC_45)*coupl(nGC_64)*    &
                        coupl(nGC_69) + 6d0*coupl(nGC_48)*coupl(nGC_627)*coupl(&
                        nGC_647) + 6d0*coupl(nGC_49)*coupl(nGC_69)*coupl(nGC_72&
                        ) + 3d0*coupl(nGC_53)*coupl(nGC_619)*coupl(nGC_91) +   &
                        3d0*coupl(nGC_54)*coupl(nGC_63)*coupl(nGC_645) + 3d0*  &
                        coupl(nGC_54)*coupl(nGC_631)*coupl(nGC_64) + 3d0*coupl(&
                        nGC_56)*coupl(nGC_629)*coupl(nGC_94) + 3d0*coupl(nGC_57&
                        )*coupl(nGC_625)*coupl(nGC_68) + 3d0*coupl(nGC_57)*    &
                        coupl(nGC_647)*coupl(nGC_69) - 3d0*coupl(nGC_61)*coupl(&
                        nGC_625)*coupl(nGC_68) - 3d0*coupl(nGC_61)*coupl(      &
                        nGC_627)*coupl(nGC_72) - 3d0*coupl(nGC_61)*coupl(nGC_63&
                        )*coupl(nGC_645) - 3d0*coupl(nGC_62)*coupl(nGC_625)*   &
                        coupl(nGC_68) - 3d0*coupl(nGC_62)*coupl(nGC_63)*coupl( &
                        nGC_645) - 3d0*coupl(nGC_62)*coupl(nGC_631)*coupl(     &
                        nGC_64) - 3d0*coupl(nGC_62)*coupl(nGC_647)*coupl(nGC_69&
                        ) - 6d0*coupl(nGC_631)*coupl(nGC_641)*coupl(nGC_65) +  &
                        3d0*coupl(nGC_631)*coupl(nGC_69)*coupl(nGC_9) - 6d0*   &
                        coupl(nGC_64)*coupl(nGC_641)*coupl(nGC_65) + 3d0*coupl(&
                        nGC_64)*coupl(nGC_647)*coupl(nGC_9) - 3d0*coupl(nGC_96 &
                        )**2d0*coupl(nGC_99))/(96d0*pi**2d0)
      coupl(nGC_2239) = coupl(nGC_1126)*dZee_QED2 + coupl(nGC_1127)*dcw_QED2 + &
                        coupl(nGC_1128)*dsw_QED2
      coupl(nGC_2238) = coupl(nGC_1157)*dZee_QED2 + coupl(nGC_1158)*dcw_QED2 + &
                        coupl(nGC_1159)*dsw_QED2
      coupl(nGC_TS_GC_10_Hh) = -coupl(nGC_10)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3147) = -coupl(nGC_179)*dZHaG0_QED2/2d0 + coupl(nGC_182)*      &
                        dZtL_QED2/2d0 + coupl(nGC_182)*dZtR_QED2/2d0 + coupl(  &
                        nGC_2443)
      coupl(nGC_2233) = coupl(nGC_1103)*dZgs_QCD2
      coupl(nGC_2231) = cima*coupl(nGC_7)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
      coupl(nGC_2230) = -3d0*cima*coupl(nGC_7)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**&
                        3d0)
      coupl(nGC_2237) = coupl(nGC_1117)*dZee_QED2 + coupl(nGC_1118)*dsw_QED2
      coupl(nGC_2236) = coupl(nGC_1154)*dZee_QED2 + coupl(nGC_1155)*dcw_QED2 + &
                        coupl(nGC_1156)*dsw_QED2
      coupl(nGC_2726) = coupl(nGC_2237) + 2d0*coupl(nGC_78)*dZWMinus_QED2
      coupl(nGC_2640) = coupl(nGC_193)*dZdL_QCD2/2d0 + coupl(nGC_193)*dZuR_QCD2&
                        /2d0 + coupl(nGC_2366)
      coupl(nGC_2061) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_131)*coupl(      &
                        nGC_136)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_140)*coupl(nGC_142)*coupl(nGC_80) + 4d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_146)*coupl(nGC_152)*coupl(nGC_80&
                        ) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_170)*coupl(     &
                        nGC_176)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_178)*coupl(nGC_183)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_198)*coupl( &
                        nGC_80) + 4d0*Nc*cima*coupl(nGC_131)*coupl(nGC_136)*   &
                        coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_140&
                        )*coupl(nGC_142)*coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_146)*coupl(nGC_152)*coupl(nGC_2)*coupl( &
                        nGC_80) - 16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_176)*  &
                        coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_178 &
                        )*coupl(nGC_183)*coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*  &
                        cima*coupl(nGC_193)*coupl(nGC_198)*coupl(nGC_2)*coupl( &
                        nGC_80) + 4d0*cima*coupl(nGC_154)*coupl(nGC_160)*coupl(&
                        nGC_4)*coupl(nGC_80) + 4d0*cima*coupl(nGC_162)*coupl(  &
                        nGC_168)*coupl(nGC_4)*coupl(nGC_80) + 4d0*cima*coupl(  &
                        nGC_17)*coupl(nGC_619)*coupl(nGC_651)*coupl(nGC_68) +  &
                        4d0*cima*coupl(nGC_17)*coupl(nGC_629)*coupl(nGC_64)*   &
                        coupl(nGC_651) + 4d0*cima*coupl(nGC_185)*coupl(nGC_191 &
                        )*coupl(nGC_4)*coupl(nGC_80) + 9d0*cima*coupl(nGC_3)*  &
                        coupl(nGC_609)*coupl(nGC_64)*coupl(nGC_94) + 9d0*cima* &
                        coupl(nGC_3)*coupl(nGC_609)*coupl(nGC_68)*coupl(nGC_91 &
                        ) + 4d0*cima*coupl(nGC_627)*coupl(nGC_64)*coupl(nGC_641&
                        )*coupl(nGC_647) + 4d0*cima*coupl(nGC_627)*coupl(      &
                        nGC_641)*coupl(nGC_645)*coupl(nGC_69) - 6d0*coupl(     &
                        nGC_607)*coupl(nGC_64)*coupl(nGC_94) - 6d0*coupl(      &
                        nGC_607)*coupl(nGC_68)*coupl(nGC_91) + 6d0*coupl(      &
                        nGC_619)*coupl(nGC_651)*coupl(nGC_70) - 6d0*coupl(     &
                        nGC_619)*coupl(nGC_70)*coupl(nGC_82) + 6d0*coupl(      &
                        nGC_627)*coupl(nGC_645)*coupl(nGC_70) + 6d0*coupl(     &
                        nGC_627)*coupl(nGC_647)*coupl(nGC_65) + 6d0*coupl(     &
                        nGC_629)*coupl(nGC_651)*coupl(nGC_66) - 6d0*coupl(     &
                        nGC_629)*coupl(nGC_66)*coupl(nGC_82))/(192d0*pi**2d0)
      coupl(nGC_1868) = (coupl(nGC_1)*coupl(nGC_142)*coupl(nGC_17) + 8d0*coupl(&
                        nGC_1)*coupl(nGC_142)*coupl(nGC_2) - coupl(nGC_137)*   &
                        coupl(nGC_178)*coupl(nGC_180) + coupl(nGC_137)*coupl(  &
                        nGC_645)*coupl(nGC_80) - coupl(nGC_139)*coupl(nGC_178)*&
                        coupl(nGC_183) - coupl(nGC_141)*coupl(nGC_177)*coupl(  &
                        nGC_178) + coupl(nGC_141)*coupl(nGC_647)*coupl(nGC_80  &
                        ) + coupl(nGC_142)*coupl(nGC_2)*coupl(nGC_641) + coupl(&
                        nGC_142)*coupl(nGC_651)*coupl(nGC_88) + 8d0*coupl(     &
                        nGC_142)*coupl(nGC_84)*coupl(nGC_88) + coupl(nGC_142)* &
                        coupl(nGC_84)*coupl(nGC_96) - coupl(nGC_144)*coupl(    &
                        nGC_178)*coupl(nGC_179) + coupl(nGC_144)*coupl(nGC_627 &
                        )*coupl(nGC_80))/(32d0*pi**2d0)
      coupl(nGC_2948) = coupl(nGC_2241) + coupl(nGC_43)*dZHMinusGMinus_QED2 +  &
                        coupl(nGC_43)*dZHaG0_QED2
      coupl(nGC_2730) = coupl(nGC_138)*dZbR_QCD2/2d0 + coupl(nGC_138)*dZtL_QCD2&
                        /2d0 + coupl(nGC_2362)
      coupl(nGC_2005) = -coupl(nGC_7)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                        nGC_137)**2d0 - coupl(nGC_139)*coupl(nGC_140) - coupl( &
                        nGC_141)**2d0 - coupl(nGC_143)*coupl(nGC_144) - coupl( &
                        nGC_178)**2d0 - coupl(nGC_181)**2d0 - 4d0*coupl(nGC_80 &
                        )**2d0 - 4d0*coupl(nGC_87)**2d0)/(64d0*pi**2d0)
      coupl(nGC_2419) = coupl(nGC_1188)*db_QED2 + coupl(nGC_1189)*dym1_QED3 +  &
                        coupl(nGC_1190)*dym2_QED3
      coupl(nGC_2100) = (10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)*coupl(     &
                        nGC_134)*coupl(nGC_135) + 10d0*Nc*cima*coupl(nGC_131)* &
                        coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_136) + 10d0*Nc*&
                        cima*coupl(nGC_131)*coupl(nGC_133)*coupl(nGC_174)*coupl&
                        (nGC_175) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*&
                        coupl(nGC_173)*coupl(nGC_175) + 10d0*Nc*cima*coupl(    &
                        nGC_131)*coupl(nGC_134)*coupl(nGC_173)*coupl(nGC_176   &
                        ) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_136)*coupl(  &
                        nGC_173)*coupl(nGC_174) + 10d0*Nc*cima*coupl(nGC_133)* &
                        coupl(nGC_134)*coupl(nGC_170)*coupl(nGC_176) + 10d0*Nc*&
                        cima*coupl(nGC_133)*coupl(nGC_135)*coupl(nGC_170)*coupl&
                        (nGC_174) + 10d0*Nc*cima*coupl(nGC_133)*coupl(nGC_136)*&
                        coupl(nGC_170)*coupl(nGC_174) + 10d0*Nc*cima*coupl(    &
                        nGC_134)*coupl(nGC_135)*coupl(nGC_170)*coupl(nGC_173   &
                        ) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_138)*coupl(  &
                        nGC_139)*coupl(nGC_142) + 10d0*Nc*cima*coupl(nGC_137)* &
                        coupl(nGC_138)*coupl(nGC_140)*coupl(nGC_142) + 10d0*Nc*&
                        cima*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_178)*coupl&
                        (nGC_183) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_139)*&
                        coupl(nGC_178)*coupl(nGC_181) + 10d0*Nc*cima*coupl(    &
                        nGC_137)*coupl(nGC_140)*coupl(nGC_178)*coupl(nGC_181   &
                        ) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142)*coupl(  &
                        nGC_181)*coupl(nGC_182) + 10d0*Nc*cima*coupl(nGC_138)* &
                        coupl(nGC_139)*coupl(nGC_178)*coupl(nGC_180) + 10d0*Nc*&
                        cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_180)*coupl&
                        (nGC_182) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*&
                        coupl(nGC_180)*coupl(nGC_183) + 10d0*Nc*cima*coupl(    &
                        nGC_140)*coupl(nGC_142)*coupl(nGC_180)*coupl(nGC_181   &
                        ) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_149)*coupl(  &
                        nGC_150)*coupl(nGC_151) + 10d0*Nc*cima*coupl(nGC_146)* &
                        coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_152) + 10d0*Nc*&
                        cima*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_196)*coupl&
                        (nGC_197) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150)*&
                        coupl(nGC_195)*coupl(nGC_197) + 10d0*Nc*cima*coupl(    &
                        nGC_146)*coupl(nGC_150)*coupl(nGC_195)*coupl(nGC_198   &
                        ) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_152)*coupl(  &
                        nGC_195)*coupl(nGC_196) + 10d0*Nc*cima*coupl(nGC_149)* &
                        coupl(nGC_150)*coupl(nGC_193)*coupl(nGC_198) + 10d0*Nc*&
                        cima*coupl(nGC_149)*coupl(nGC_151)*coupl(nGC_193)*coupl&
                        (nGC_196) + 10d0*Nc*cima*coupl(nGC_149)*coupl(nGC_152)*&
                        coupl(nGC_193)*coupl(nGC_196) + 10d0*Nc*cima*coupl(    &
                        nGC_150)*coupl(nGC_151)*coupl(nGC_193)*coupl(nGC_195   &
                        ) + 10d0*Nc*cima*coupl(nGC_170)*coupl(nGC_173)*coupl(  &
                        nGC_174)*coupl(nGC_175) + 10d0*Nc*cima*coupl(nGC_170)* &
                        coupl(nGC_173)*coupl(nGC_174)*coupl(nGC_176) + 10d0*Nc*&
                        cima*coupl(nGC_178)*coupl(nGC_180)*coupl(nGC_181)*coupl&
                        (nGC_182) + 10d0*Nc*cima*coupl(nGC_178)*coupl(nGC_180)*&
                        coupl(nGC_181)*coupl(nGC_183) + 10d0*Nc*cima*coupl(    &
                        nGC_193)*coupl(nGC_195)*coupl(nGC_196)*coupl(nGC_197   &
                        ) + 10d0*Nc*cima*coupl(nGC_193)*coupl(nGC_195)*coupl(  &
                        nGC_196)*coupl(nGC_198) + 12d0*cima*coupl(nGC_15)*coupl&
                        (nGC_19) + 10d0*cima*coupl(nGC_154)*coupl(nGC_157)*    &
                        coupl(nGC_158)*coupl(nGC_159) + 10d0*cima*coupl(nGC_154&
                        )*coupl(nGC_157)*coupl(nGC_158)*coupl(nGC_160) + 10d0* &
                        cima*coupl(nGC_162)*coupl(nGC_165)*coupl(nGC_166)*coupl&
                        (nGC_167) + 10d0*cima*coupl(nGC_162)*coupl(nGC_165)*   &
                        coupl(nGC_166)*coupl(nGC_168) - 5d0*cima*coupl(nGC_17  &
                        )**2d0*coupl(nGC_627)*coupl(nGC_64) + 10d0*cima*coupl( &
                        nGC_185)*coupl(nGC_188)*coupl(nGC_189)*coupl(nGC_190   &
                        ) + 10d0*cima*coupl(nGC_185)*coupl(nGC_188)*coupl(     &
                        nGC_189)*coupl(nGC_191) - 5d0*cima*coupl(nGC_617)*coupl&
                        (nGC_619)*coupl(nGC_63)*coupl(nGC_72) - 5d0*cima*coupl(&
                        nGC_617)*coupl(nGC_629)*coupl(nGC_68)*coupl(nGC_72) -  &
                        5d0*cima*coupl(nGC_619)*coupl(nGC_63)*coupl(nGC_645)*  &
                        coupl(nGC_651) - 5d0*cima*coupl(nGC_625)*coupl(nGC_627 &
                        )*coupl(nGC_631)*coupl(nGC_647) - 5d0*cima*coupl(      &
                        nGC_625)*coupl(nGC_627)*coupl(nGC_645)*coupl(nGC_647   &
                        ) - 5d0*cima*coupl(nGC_627)**2d0*coupl(nGC_92)*coupl(  &
                        nGC_96) - 5d0*cima*coupl(nGC_627)*coupl(nGC_64)*coupl( &
                        nGC_94)**2d0 - 5d0*cima*coupl(nGC_627)*coupl(nGC_64)*  &
                        coupl(nGC_96)**2d0 - 5d0*cima*coupl(nGC_627)*coupl(    &
                        nGC_68)*coupl(nGC_91)*coupl(nGC_94) - 5d0*cima*coupl(  &
                        nGC_629)*coupl(nGC_645)*coupl(nGC_651)*coupl(nGC_68) - &
                        5d0*cima*coupl(nGC_631)*coupl(nGC_647)*coupl(nGC_68)*  &
                        coupl(nGC_72) - 5d0*cima*coupl(nGC_64)*coupl(nGC_647)* &
                        coupl(nGC_651)*coupl(nGC_94) - 5d0*cima*coupl(nGC_645)*&
                        coupl(nGC_647)*coupl(nGC_68)*coupl(nGC_72) - 5d0*cima* &
                        coupl(nGC_647)*coupl(nGC_651)*coupl(nGC_68)*coupl(     &
                        nGC_91) + 12d0*cima*coupl(nGC_66)*coupl(nGC_73) - 3d0* &
                        coupl(nGC_15)*coupl(nGC_619)*coupl(nGC_63) - 3d0*coupl(&
                        nGC_15)*coupl(nGC_627)*coupl(nGC_96) - 3d0*coupl(nGC_15&
                        )*coupl(nGC_629)*coupl(nGC_68) - 3d0*coupl(nGC_16)*    &
                        coupl(nGC_64)*coupl(nGC_94) - 3d0*coupl(nGC_16)*coupl( &
                        nGC_68)*coupl(nGC_91) + 3d0*coupl(nGC_17)**2d0*coupl(  &
                        nGC_40) - 3d0*coupl(nGC_17)*coupl(nGC_627)*coupl(nGC_66&
                        ) - 3d0*coupl(nGC_19)*coupl(nGC_627)*coupl(nGC_92) -   &
                        3d0*coupl(nGC_19)*coupl(nGC_645)*coupl(nGC_651) + 3d0* &
                        coupl(nGC_23)*coupl(nGC_627)*coupl(nGC_647) + 3d0*coupl&
                        (nGC_25)*coupl(nGC_627)*coupl(nGC_68) + 3d0*coupl(     &
                        nGC_27)*coupl(nGC_629)*coupl(nGC_651) + 3d0*coupl(     &
                        nGC_27)*coupl(nGC_647)*coupl(nGC_72) + 3d0*coupl(nGC_27&
                        )*coupl(nGC_651)*coupl(nGC_94) + 3d0*coupl(nGC_29)*    &
                        coupl(nGC_68)*coupl(nGC_72) + 3d0*coupl(nGC_32)*coupl( &
                        nGC_627)*coupl(nGC_645) + 3d0*coupl(nGC_33)*coupl(     &
                        nGC_627)*coupl(nGC_64) + 3d0*coupl(nGC_36)*coupl(      &
                        nGC_619)*coupl(nGC_651) + 3d0*coupl(nGC_36)*coupl(     &
                        nGC_631)*coupl(nGC_72) + 3d0*coupl(nGC_36)*coupl(      &
                        nGC_651)*coupl(nGC_91) + 3d0*coupl(nGC_37)*coupl(nGC_63&
                        )*coupl(nGC_72) + 3d0*coupl(nGC_40)*coupl(nGC_617)*    &
                        coupl(nGC_619) + 3d0*coupl(nGC_40)*coupl(nGC_629)**2d0 &
                         + 3d0*coupl(nGC_40)*coupl(nGC_63)*coupl(nGC_64) + 3d0*&
                        coupl(nGC_40)*coupl(nGC_68)*coupl(nGC_69) + 3d0*coupl( &
                        nGC_40)*coupl(nGC_72)**2d0 + 3d0*coupl(nGC_40)*coupl(  &
                        nGC_96)**2d0 + 3d0*coupl(nGC_43)*coupl(nGC_627)*coupl( &
                        nGC_69) + 3d0*coupl(nGC_43)*coupl(nGC_629)*coupl(nGC_96&
                        ) + 3d0*coupl(nGC_43)*coupl(nGC_647)*coupl(nGC_72) +   &
                        3d0*coupl(nGC_43)*coupl(nGC_94)*coupl(nGC_96) + 3d0*   &
                        coupl(nGC_45)*coupl(nGC_625)*coupl(nGC_627) + 3d0*coupl&
                        (nGC_45)*coupl(nGC_627)*coupl(nGC_647) + 3d0*coupl(    &
                        nGC_48)*coupl(nGC_617)*coupl(nGC_629) + 3d0*coupl(     &
                        nGC_49)*coupl(nGC_619)*coupl(nGC_629) + 3d0*coupl(     &
                        nGC_49)*coupl(nGC_63)*coupl(nGC_68) + 3d0*coupl(nGC_49 &
                        )*coupl(nGC_63)*coupl(nGC_69) + 3d0*coupl(nGC_56)*coupl&
                        (nGC_627)*coupl(nGC_645) + 3d0*coupl(nGC_57)*coupl(    &
                        nGC_627)*coupl(nGC_64) + 3d0*coupl(nGC_58)*coupl(      &
                        nGC_617)*coupl(nGC_96) + 3d0*coupl(nGC_58)*coupl(nGC_63&
                        )*coupl(nGC_72) + 3d0*coupl(nGC_58)*coupl(nGC_92)*coupl&
                        (nGC_96) + 3d0*coupl(nGC_60)*coupl(nGC_627)*coupl(     &
                        nGC_63) - 3d0*coupl(nGC_641)*coupl(nGC_645)*coupl(     &
                        nGC_73))/(96d0*pi**2d0)
      coupl(nGC_2112) = (20d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_131)*coupl(&
                        nGC_134) + 20d0*Nc*cima*coupl(nGC_130)**2d0*coupl(     &
                        nGC_170)*coupl(nGC_174) + 20d0*Nc*cima*coupl(nGC_130)* &
                        coupl(nGC_131)*coupl(nGC_169)*coupl(nGC_174) + 20d0*Nc*&
                        cima*coupl(nGC_130)*coupl(nGC_134)*coupl(nGC_169)*coupl&
                        (nGC_170) + 20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*&
                        coupl(nGC_169)**2d0 + 20d0*Nc*cima*coupl(nGC_138)*coupl&
                        (nGC_141)**2d0*coupl(nGC_142) + 20d0*Nc*cima*coupl(    &
                        nGC_138)*coupl(nGC_141)*coupl(nGC_177)*coupl(nGC_178   &
                        ) + 20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*coupl(  &
                        nGC_177)**2d0 + 20d0*Nc*cima*coupl(nGC_141)**2d0*coupl(&
                        nGC_178)*coupl(nGC_181) + 20d0*Nc*cima*coupl(nGC_141)* &
                        coupl(nGC_142)*coupl(nGC_177)*coupl(nGC_181) + 20d0*Nc*&
                        cima*coupl(nGC_145)**2d0*coupl(nGC_146)*coupl(nGC_150  &
                        ) + 20d0*Nc*cima*coupl(nGC_145)**2d0*coupl(nGC_193)*   &
                        coupl(nGC_196) + 20d0*Nc*cima*coupl(nGC_145)*coupl(    &
                        nGC_146)*coupl(nGC_192)*coupl(nGC_196) + 20d0*Nc*cima* &
                        coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_192)*coupl(    &
                        nGC_193) + 20d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150)* &
                        coupl(nGC_192)**2d0 + 20d0*Nc*cima*coupl(nGC_169)**2d0*&
                        coupl(nGC_170)*coupl(nGC_174) + 20d0*Nc*cima*coupl(    &
                        nGC_177)**2d0*coupl(nGC_178)*coupl(nGC_181) + 20d0*Nc* &
                        cima*coupl(nGC_192)**2d0*coupl(nGC_193)*coupl(nGC_196  &
                        ) + 24d0*cima*coupl(nGC_14)*coupl(nGC_16) + 20d0*cima* &
                        coupl(nGC_153)**2d0*coupl(nGC_154)*coupl(nGC_158) +    &
                        20d0*cima*coupl(nGC_161)**2d0*coupl(nGC_162)*coupl(    &
                        nGC_166) + 20d0*cima*coupl(nGC_184)**2d0*coupl(nGC_185 &
                        )*coupl(nGC_189) - 10d0*cima*coupl(nGC_619)*coupl(     &
                        nGC_627)*coupl(nGC_72)*coupl(nGC_94) - 5d0*cima*coupl( &
                        nGC_619)*coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_96) -   &
                        5d0*cima*coupl(nGC_627)*coupl(nGC_63)*coupl(nGC_94)*   &
                        coupl(nGC_96) - 5d0*cima*coupl(nGC_627)*coupl(nGC_647)*&
                        coupl(nGC_651)*coupl(nGC_91) - 5d0*cima*coupl(nGC_629)*&
                        coupl(nGC_631)*coupl(nGC_651)*coupl(nGC_72) - 10d0*cima&
                        *coupl(nGC_63)*coupl(nGC_631)*coupl(nGC_64)*coupl(     &
                        nGC_68) - 10d0*cima*coupl(nGC_63)*coupl(nGC_647)*coupl(&
                        nGC_68)*coupl(nGC_69) - 10d0*cima*coupl(nGC_631)*coupl(&
                        nGC_64)**2d0*coupl(nGC_68) - 10d0*cima*coupl(nGC_631)* &
                        coupl(nGC_641)**2d0*coupl(nGC_647) - 10d0*cima*coupl(  &
                        nGC_631)*coupl(nGC_647)*coupl(nGC_651)**2d0 - 10d0*cima&
                        *coupl(nGC_64)*coupl(nGC_647)*coupl(nGC_68)*coupl(     &
                        nGC_69) + 24d0*cima*coupl(nGC_65)*coupl(nGC_70) + 3d0* &
                        coupl(nGC_11)*coupl(nGC_631)*coupl(nGC_647) + 3d0*coupl&
                        (nGC_13)*coupl(nGC_645)*coupl(nGC_647) - 6d0*coupl(    &
                        nGC_14)*coupl(nGC_627)*coupl(nGC_94) - 6d0*coupl(nGC_14&
                        )*coupl(nGC_647)*coupl(nGC_651) - 6d0*coupl(nGC_16)*   &
                        coupl(nGC_619)*coupl(nGC_72) - 6d0*coupl(nGC_16)*coupl(&
                        nGC_631)*coupl(nGC_651) + 6d0*coupl(nGC_22)*coupl(     &
                        nGC_647)*coupl(nGC_68) + 6d0*coupl(nGC_23)*coupl(      &
                        nGC_631)*coupl(nGC_64) + 6d0*coupl(nGC_24)*coupl(nGC_63&
                        )*coupl(nGC_64) + 3d0*coupl(nGC_24)*coupl(nGC_641)**2d0&
                         + 3d0*coupl(nGC_24)*coupl(nGC_651)**2d0 + 6d0*coupl(  &
                        nGC_24)*coupl(nGC_68)*coupl(nGC_69) + 3d0*coupl(nGC_28 &
                        )*coupl(nGC_627)*coupl(nGC_72) + 6d0*coupl(nGC_30)*    &
                        coupl(nGC_63)*coupl(nGC_647) + 6d0*coupl(nGC_35)*coupl(&
                        nGC_631)*coupl(nGC_68) + 6d0*coupl(nGC_36)*coupl(nGC_64&
                        )*coupl(nGC_68) + 6d0*coupl(nGC_36)*coupl(nGC_64)*coupl&
                        (nGC_69) + 6d0*coupl(nGC_40)*coupl(nGC_629)*coupl(     &
                        nGC_96) + 6d0*coupl(nGC_40)*coupl(nGC_69)*coupl(nGC_72 &
                        ) + 6d0*coupl(nGC_40)*coupl(nGC_94)*coupl(nGC_96) + 3d0&
                        *coupl(nGC_42)*coupl(nGC_629)*coupl(nGC_94) + 3d0*coupl&
                        (nGC_43)*coupl(nGC_619)*coupl(nGC_91) + 3d0*coupl(     &
                        nGC_44)*coupl(nGC_625)*coupl(nGC_68) + 3d0*coupl(nGC_44&
                        )*coupl(nGC_647)*coupl(nGC_69) + 3d0*coupl(nGC_45)*    &
                        coupl(nGC_63)*coupl(nGC_645) + 3d0*coupl(nGC_45)*coupl(&
                        nGC_631)*coupl(nGC_64) + 6d0*coupl(nGC_49)*coupl(      &
                        nGC_619)*coupl(nGC_96) + 6d0*coupl(nGC_49)*coupl(      &
                        nGC_627)*coupl(nGC_64) + 6d0*coupl(nGC_49)*coupl(nGC_91&
                        )*coupl(nGC_96) + 3d0*coupl(nGC_57)*coupl(nGC_63)*coupl&
                        (nGC_68) + 3d0*coupl(nGC_57)*coupl(nGC_631)*coupl(     &
                        nGC_647) + 3d0*coupl(nGC_58)*coupl(nGC_619)*coupl(     &
                        nGC_94) + 3d0*coupl(nGC_58)*coupl(nGC_629)*coupl(nGC_91&
                        ) + 3d0*coupl(nGC_60)*coupl(nGC_625)*coupl(nGC_645) +  &
                        3d0*coupl(nGC_60)*coupl(nGC_64)*coupl(nGC_69) - 3d0*   &
                        coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_68) - 3d0*coupl( &
                        nGC_61)*coupl(nGC_64)*coupl(nGC_68) - 6d0*coupl(nGC_631&
                        )*coupl(nGC_641)*coupl(nGC_70) + 3d0*coupl(nGC_631)*   &
                        coupl(nGC_645)*coupl(nGC_9) - 6d0*coupl(nGC_641)*coupl(&
                        nGC_647)*coupl(nGC_65) + 3d0*coupl(nGC_647)**2d0*coupl(&
                        nGC_9))/(96d0*pi**2d0)
      coupl(nGC_2103) = (20d0*Nc*cima*coupl(nGC_131)**3d0*coupl(nGC_134) + 20d0&
                        *Nc*cima*coupl(nGC_138)*coupl(nGC_142)**3d0 + 20d0*Nc* &
                        cima*coupl(nGC_146)**3d0*coupl(nGC_150) + 20d0*Nc*cima*&
                        coupl(nGC_170)**3d0*coupl(nGC_174) + 20d0*Nc*cima*coupl&
                        (nGC_178)**3d0*coupl(nGC_181) + 20d0*Nc*cima*coupl(    &
                        nGC_193)**3d0*coupl(nGC_196) + 20d0*cima*coupl(nGC_154 &
                        )**3d0*coupl(nGC_158) + 20d0*cima*coupl(nGC_162)**3d0* &
                        coupl(nGC_166) + 20d0*cima*coupl(nGC_185)**3d0*coupl(  &
                        nGC_189) - 5d0*cima*coupl(nGC_625)*coupl(nGC_63)*coupl(&
                        nGC_68)**2d0 - 5d0*cima*coupl(nGC_625)*coupl(nGC_64)*  &
                        coupl(nGC_68)**2d0 - 15d0*cima*coupl(nGC_627)*coupl(   &
                        nGC_63)*coupl(nGC_68)*coupl(nGC_72) - 10d0*cima*coupl( &
                        nGC_627)*coupl(nGC_63)*coupl(nGC_69)*coupl(nGC_72) -   &
                        5d0*cima*coupl(nGC_627)*coupl(nGC_631)*coupl(nGC_647)* &
                        coupl(nGC_72) - 5d0*cima*coupl(nGC_627)*coupl(nGC_64)* &
                        coupl(nGC_68)*coupl(nGC_72) - 5d0*cima*coupl(nGC_627)* &
                        coupl(nGC_645)*coupl(nGC_647)*coupl(nGC_72) - 5d0*cima*&
                        coupl(nGC_63)*coupl(nGC_631)*coupl(nGC_64)*coupl(nGC_68&
                        ) - 5d0*cima*coupl(nGC_63)*coupl(nGC_631)*coupl(nGC_645&
                        )*coupl(nGC_647) - 10d0*cima*coupl(nGC_63)*coupl(nGC_64&
                        )*coupl(nGC_645)*coupl(nGC_68) - 10d0*cima*coupl(nGC_63&
                        )*coupl(nGC_64)*coupl(nGC_645)*coupl(nGC_69) - 5d0*cima&
                        *coupl(nGC_63)*coupl(nGC_645)**2d0*coupl(nGC_647) -    &
                        10d0*cima*coupl(nGC_63)*coupl(nGC_647)*coupl(nGC_68)** &
                        2d0 - 10d0*cima*coupl(nGC_63)*coupl(nGC_647)*coupl(    &
                        nGC_68)*coupl(nGC_69) - 5d0*cima*coupl(nGC_631)*coupl( &
                        nGC_64)**2d0*coupl(nGC_68) - 5d0*cima*coupl(nGC_631)*  &
                        coupl(nGC_647)**2d0*coupl(nGC_69) - 5d0*cima*coupl(    &
                        nGC_645)*coupl(nGC_647)**2d0*coupl(nGC_69) + 6d0*coupl(&
                        nGC_17)**2d0*coupl(nGC_44) + 6d0*coupl(nGC_17)*coupl(  &
                        nGC_44)*coupl(nGC_641) + 6d0*coupl(nGC_22)*coupl(nGC_63&
                        )*coupl(nGC_64) + 6d0*coupl(nGC_22)*coupl(nGC_68)**2d0 &
                         + 6d0*coupl(nGC_24)*coupl(nGC_647)*coupl(nGC_69) + 6d0&
                        *coupl(nGC_27)*coupl(nGC_63)*coupl(nGC_645) + 6d0*coupl&
                        (nGC_30)*coupl(nGC_63)*coupl(nGC_68) + 6d0*coupl(nGC_34&
                        )*coupl(nGC_64)*coupl(nGC_68) + 6d0*coupl(nGC_36)*coupl&
                        (nGC_63)*coupl(nGC_647) + 6d0*coupl(nGC_36)*coupl(     &
                        nGC_645)*coupl(nGC_69) + 6d0*coupl(nGC_40)*coupl(      &
                        nGC_627)*coupl(nGC_69) + 6d0*coupl(nGC_40)*coupl(      &
                        nGC_647)*coupl(nGC_72) + 12d0*coupl(nGC_42)*coupl(     &
                        nGC_627)*coupl(nGC_72) + 6d0*coupl(nGC_44)*coupl(      &
                        nGC_641)**2d0 + 6d0*coupl(nGC_44)*coupl(nGC_651)**2d0  &
                         + 6d0*coupl(nGC_44)*coupl(nGC_651)*coupl(nGC_96) + 6d0&
                        *coupl(nGC_44)*coupl(nGC_96)**2d0 + 6d0*coupl(nGC_48)* &
                        coupl(nGC_627)*coupl(nGC_63) + 6d0*coupl(nGC_48)*coupl(&
                        nGC_645)*coupl(nGC_72) - 6d0*coupl(nGC_62)*coupl(      &
                        nGC_631)*coupl(nGC_647) - 6d0*coupl(nGC_62)*coupl(     &
                        nGC_645)*coupl(nGC_647))/(96d0*pi**2d0)
      coupl(nGC_3115) = coupl(nGC_103)*dZHh_QED2 + coupl(nGC_103)*dZHl_QED2/2d0&
                         + coupl(nGC_105)*dZHhHl_QED2/2d0 + coupl(nGC_106)*    &
                        dZHlHh_QED2 + coupl(nGC_2296) + coupl(nGC_TS_GC_10_Hh  &
                        ) + coupl(nGC_TS_GC_13_Hl)
      coupl(nGC_2641) = coupl(nGC_146)*dZHMinus_QED2/2d0 + coupl(nGC_146)*     &
                        dZdR_QED2/2d0 + coupl(nGC_146)*dZuL_QED2/2d0 + coupl(  &
                        nGC_150)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_2363)
      coupl(nGC_2685) = coupl(nGC_19)*dZZA_QED2/2d0 + coupl(nGC_2316) + coupl( &
                        nGC_73)*dZA_QED2/2d0 + coupl(nGC_73)*dZWMinus_QED2/2d0
      coupl(nGC_2105) = cima*coupl(nGC_7)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl(&
                        nGC_2))/(32d0*pi**2d0*Nc)
      coupl(nGC_3119) = -coupl(nGC_2326) - coupl(nGC_92)*dZHa_QED2/2d0 - coupl(&
                        nGC_92)*dZHh_QED2/2d0 - coupl(nGC_92)*dZZ_QED2/2d0 -   &
                        coupl(nGC_94)*dZG0Ha_QED2/2d0 - coupl(nGC_94)*         &
                        dZHlHh_QED2/2d0
      coupl(nGC_2104) = cima*coupl(nGC_7)**3d0*sq2**3d0*(coupl(nGC_1) + coupl( &
                        nGC_2))/(16d0*pi**2d0*Nc**2d0)
      coupl(nGC_2346) = coupl(nGC_1325)*dZee_QED2 + coupl(nGC_1326)*dcw_QED2 + &
                        coupl(nGC_1327)*dsw_QED2
      coupl(nGC_2345) = coupl(nGC_1205)*dZee_QED2 + coupl(nGC_1206)*dcw_QED2 + &
                        coupl(nGC_1207)*dsw_QED2
      coupl(nGC_2836) = coupl(nGC_2314) + coupl(nGC_64)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_64)*dZHh_QED2/2d0 + coupl(nGC_64)*           &
                        dZWMinus_QED2/2d0 + coupl(nGC_68)*dZHlHh_QED2/2d0 -    &
                        coupl(nGC_69)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_2831) = -coupl(nGC_2232) - coupl(nGC_6)*dZg_QCD2/2d0
      coupl(nGC_2833) = coupl(nGC_2234) + coupl(nGC_3)*dZA_QED2/2d0 + coupl(   &
                        nGC_3)*dZWMinus_QED2 + coupl(nGC_82)*dZZA_QED2/2d0
      coupl(nGC_2832) = -coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_2783) = coupl(nGC_128)*dZZA_QED2/2d0
      coupl(nGC_2106) = cima*coupl(nGC_7)**3d0*sq2**3d0*(coupl(nGC_1) + coupl( &
                        nGC_2))/(64d0*pi**2d0)
      coupl(nGC_2839) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_2838) = coupl(nGC_2253) + coupl(nGC_42)*dZHaG0_QED2 + coupl(   &
                        nGC_43)*dZGMinusHMinus_QED2 + coupl(nGC_56)*           &
                        dZHMinus_QED2
      coupl(nGC_2348) = coupl(nGC_1470)*dZee_QED2 + coupl(nGC_1471)*dcw_QED2 + &
                        coupl(nGC_1472)*dsw_QED2
      coupl(nGC_2347) = coupl(nGC_1166)*dZee_QED2 + coupl(nGC_1167)*dcw_QED2 + &
                        coupl(nGC_1168)*dsw_QED2
      coupl(nGC_2935) = coupl(nGC_2593) + coupl(nGC_MT)*dZtL_QCD2/2d0 + coupl( &
                        nGC_MT)*dZtR_QCD2/2d0
      coupl(nGC_2834) = coupl(nGC_MW_GF)*dZGMinus/2d0
      coupl(nGC_1842) = (4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_142)**2d0 + 4d0*Nc&
                        *cMB*coupl(nGC_137)*coupl(nGC_178)**2d0 + 4d0*Nc*cMB*  &
                        coupl(nGC_142)*coupl(nGC_178)*coupl(nGC_180) + 4d0*Nc* &
                        cMC*coupl(nGC_131)**2d0*coupl(nGC_133) + 4d0*Nc*cMC*   &
                        coupl(nGC_131)*coupl(nGC_170)*coupl(nGC_173) + 4d0*Nc* &
                        cMC*coupl(nGC_133)*coupl(nGC_170)**2d0 + 4d0*Nc*cMD*   &
                        coupl(nGC_146)**2d0*coupl(nGC_149) + 4d0*Nc*cMD*coupl( &
                        nGC_146)*coupl(nGC_193)*coupl(nGC_195) + 4d0*Nc*cMD*   &
                        coupl(nGC_149)*coupl(nGC_193)**2d0 + 4d0*Nc*cMS*coupl( &
                        nGC_131)**2d0*coupl(nGC_173) + 4d0*Nc*cMS*coupl(nGC_131&
                        )*coupl(nGC_133)*coupl(nGC_170) + 4d0*Nc*cMS*coupl(    &
                        nGC_170)**2d0*coupl(nGC_173) + 4d0*Nc*cMT*coupl(nGC_137&
                        )*coupl(nGC_142)*coupl(nGC_178) + 4d0*Nc*cMT*coupl(    &
                        nGC_142)**2d0*coupl(nGC_180) + 4d0*Nc*cMT*coupl(nGC_178&
                        )**2d0*coupl(nGC_180) + 4d0*Nc*cMU*coupl(nGC_146)**2d0*&
                        coupl(nGC_195) + 4d0*Nc*cMU*coupl(nGC_146)*coupl(      &
                        nGC_149)*coupl(nGC_193) + 4d0*Nc*cMU*coupl(nGC_193)**  &
                        2d0*coupl(nGC_195) + 4d0*cME*coupl(nGC_154)**2d0*coupl(&
                        nGC_157) + 4d0*cMM*coupl(nGC_162)**2d0*coupl(nGC_165   &
                        ) + 4d0*cMTA*coupl(nGC_185)**2d0*coupl(nGC_188) + 2d0* &
                        cima*coupl(nGC_100)*coupl(nGC_129) + 8d0*cima*coupl(   &
                        nGC_102)*coupl(nGC_15) + 4d0*cima*coupl(nGC_125)*coupl(&
                        nGC_62) + 8d0*cima*coupl(nGC_126)*coupl(nGC_66) - coupl&
                        (nGC_102)*coupl(nGC_617)*coupl(nGC_72) - coupl(nGC_102 &
                        )*coupl(nGC_627)*coupl(nGC_92) - coupl(nGC_102)*coupl( &
                        nGC_63)*coupl(nGC_651) - coupl(nGC_102)*coupl(nGC_645)*&
                        coupl(nGC_651) + coupl(nGC_103)*coupl(nGC_63)*coupl(   &
                        nGC_647) + coupl(nGC_103)*coupl(nGC_645)*coupl(nGC_69  &
                        ) + coupl(nGC_105)*coupl(nGC_63)*coupl(nGC_645) + coupl&
                        (nGC_106)*coupl(nGC_647)*coupl(nGC_69) + coupl(nGC_110 &
                        )*coupl(nGC_625)*coupl(nGC_645) + coupl(nGC_110)*coupl(&
                        nGC_63)*coupl(nGC_68) + coupl(nGC_111)*coupl(nGC_631)* &
                        coupl(nGC_69) + coupl(nGC_111)*coupl(nGC_64)*coupl(    &
                        nGC_647) + coupl(nGC_118)*coupl(nGC_63)*coupl(nGC_64   &
                        ) + coupl(nGC_118)*coupl(nGC_631)*coupl(nGC_645) +     &
                        coupl(nGC_118)*coupl(nGC_641)**2d0 + coupl(nGC_118)*   &
                        coupl(nGC_651)**2d0 + coupl(nGC_119)*coupl(nGC_625)*   &
                        coupl(nGC_69) + coupl(nGC_119)*coupl(nGC_647)*coupl(   &
                        nGC_68) + coupl(nGC_121)*coupl(nGC_627)*coupl(nGC_72   &
                        ) + coupl(nGC_122)*coupl(nGC_627)*coupl(nGC_69) + coupl&
                        (nGC_123)*coupl(nGC_647)*coupl(nGC_72) - coupl(nGC_125 &
                        )*coupl(nGC_625)*coupl(nGC_68) - coupl(nGC_125)*coupl( &
                        nGC_627)*coupl(nGC_72) - coupl(nGC_125)*coupl(nGC_631)*&
                        coupl(nGC_64) - coupl(nGC_126)*coupl(nGC_63)*coupl(    &
                        nGC_641) - coupl(nGC_126)*coupl(nGC_641)*coupl(nGC_645 &
                        ) - coupl(nGC_129)*coupl(nGC_96)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2344) = coupl(nGC_1368)*dZee_QED2 + coupl(nGC_1369)*dcw_QED2 + &
                        coupl(nGC_1370)*dsw_QED2
      coupl(nGC_3159) = coupl(nGC_2350) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_86)*dZZ_QED2/2d0 + coupl(nGC_86)*dZeMinusR_QED2
      coupl(nGC_2118) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_131)*coupl( &
                        nGC_134) + coupl(nGC_138)*coupl(nGC_142) + coupl(      &
                        nGC_146)*coupl(nGC_150) + coupl(nGC_170)*coupl(nGC_174 &
                        ) + coupl(nGC_178)*coupl(nGC_181) + coupl(nGC_193)*    &
                        coupl(nGC_196))/(32d0*pi**2d0*Nc)
      coupl(nGC_1680) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_141)**2d0 - 8d0*Nc*cMC&
                        **2d0*cima*coupl(nGC_130)**2d0 - 8d0*Nc*cMD**2d0*cima* &
                        coupl(nGC_145)**2d0 - 8d0*Nc*cMS**2d0*cima*coupl(      &
                        nGC_169)**2d0 - 8d0*Nc*cMT**2d0*cima*coupl(nGC_177)**  &
                        2d0 - 8d0*Nc*cMU**2d0*cima*coupl(nGC_192)**2d0 - 8d0*  &
                        cME**2d0*cima*coupl(nGC_153)**2d0 - cMHA**2d0*cima*    &
                        coupl(nGC_629)*coupl(nGC_94) - cMHC**2d0*cima*coupl(   &
                        nGC_625)*coupl(nGC_68) - cMHC**2d0*cima*coupl(nGC_647)*&
                        coupl(nGC_69) - 8d0*cMM**2d0*cima*coupl(nGC_161)**2d0  &
                         - 8d0*cMTA**2d0*cima*coupl(nGC_184)**2d0 - cMW**2d0*  &
                        cima*coupl(nGC_625)*coupl(nGC_68) - 2d0*cMW**2d0*cima* &
                        coupl(nGC_63)*coupl(nGC_645) - 2d0*cMW**2d0*cima*coupl(&
                        nGC_631)*coupl(nGC_64) - cMW**2d0*cima*coupl(nGC_647)* &
                        coupl(nGC_69) - 4d0*cMW**2d0*coupl(nGC_61) - 2d0*cMZ** &
                        2d0*cima*coupl(nGC_619)*coupl(nGC_91) - cMZ**2d0*cima* &
                        coupl(nGC_629)*coupl(nGC_94) - 2d0*cMZ**2d0*coupl(     &
                        nGC_99) + 4d0*cima*coupl(nGC_124)**2d0 + 2d0*cima*coupl&
                        (nGC_128)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2341) = coupl(nGC_1208)*dZee_QED2
      coupl(nGC_1905) = (-coupl(nGC_184)**2d0*coupl(nGC_187) + coupl(nGC_184)* &
                        coupl(nGC_629)*coupl(nGC_86) + coupl(nGC_184)*coupl(   &
                        nGC_89)*coupl(nGC_94) + coupl(nGC_185)*coupl(nGC_72)*  &
                        coupl(nGC_80) - coupl(nGC_186)**2d0*coupl(nGC_187) +   &
                        8d0*coupl(nGC_186)*coupl(nGC_4)**2d0 + 8d0*coupl(      &
                        nGC_186)*coupl(nGC_86)*coupl(nGC_89) - coupl(nGC_187)* &
                        coupl(nGC_188)**2d0 - coupl(nGC_187)*coupl(nGC_190)**  &
                        2d0 + coupl(nGC_188)*coupl(nGC_617)*coupl(nGC_86) +    &
                        coupl(nGC_188)*coupl(nGC_89)*coupl(nGC_92))/(32d0*pi** &
                        2d0)
      coupl(nGC_2215) = sq2**2d0*(-2d0*Nc*cima*coupl(nGC_6)**4d0*sq2**2d0 + 3d0&
                        *Nc*coupl(nGC_6)**2d0*coupl(nGC_633) - 3d0*Nc*coupl(   &
                        nGC_6)**2d0*coupl(nGC_637) - 30d0*cima*coupl(nGC_7)**  &
                        4d0*sq2**2d0)/(384d0*pi**2d0)
      coupl(nGC_1700) = cME*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_86)*coupl(    &
                        nGC_89))/(8d0*pi**2d0)
      coupl(nGC_2426) = coupl(nGC_1613)*dye2_QED3 + coupl(nGC_1614)*da_QED2 +  &
                        coupl(nGC_1615)*dye1_QED3
      coupl(nGC_3158) = coupl(nGC_2349) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_89)*dZZ_QED2/2d0 + coupl(nGC_89)*dZeMinusL_QED2
      coupl(nGC_2789) = coupl(nGC_107)*dZGMinus/2d0
      coupl(nGC_2782) = coupl(nGC_2275) + coupl(nGC_40)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_40)*dZHa_QED2/2d0 + coupl(nGC_40)*dZHl_QED2/ &
                        2d0 + coupl(nGC_48)*dZHhHl_QED2/2d0 + coupl(nGC_49)*   &
                        dZG0Ha_QED2/2d0
      coupl(nGC_2471) = coupl(nGC_862)*dZee_QED2 + coupl(nGC_863)*dMW2_QED2 +  &
                        coupl(nGC_864)*dsw_QED2
      coupl(nGC_1901) = (-coupl(nGC_138)*coupl(nGC_144)*coupl(nGC_181) - coupl(&
                        nGC_142)*coupl(nGC_144)*coupl(nGC_178) - coupl(nGC_177 &
                        )**2d0*coupl(nGC_179) - coupl(nGC_177)*coupl(nGC_629)* &
                        coupl(nGC_85) - coupl(nGC_177)*coupl(nGC_88)*coupl(    &
                        nGC_94) - coupl(nGC_178)*coupl(nGC_72)*coupl(nGC_80) - &
                        coupl(nGC_179)*coupl(nGC_180)**2d0 - coupl(nGC_179)*   &
                        coupl(nGC_182)**2d0 - coupl(nGC_179)*coupl(nGC_639)**  &
                        2d0 - coupl(nGC_180)*coupl(nGC_617)*coupl(nGC_85) -    &
                        coupl(nGC_180)*coupl(nGC_88)*coupl(nGC_92) + 8d0*coupl(&
                        nGC_2)**2d0*coupl(nGC_639) + 8d0*coupl(nGC_639)*coupl( &
                        nGC_85)*coupl(nGC_88))/(32d0*pi**2d0)
      coupl(nGC_2901) = coupl(nGC_2323) + coupl(nGC_91)*dZHlHh_QED2/2d0 + coupl&
                        (nGC_92)*dZHaG0_QED2/2d0 + coupl(nGC_94)*dZHh_QED2/2d0 &
                         + coupl(nGC_94)*dZZ_QED2/2d0
      coupl(nGC_1823) = coupl(nGC_151)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2905) = -coupl(nGC_2470) - coupl(nGC_4)*dZAZ_QED2/2d0 - coupl( &
                        nGC_81)*dZZ_QED2/2d0
      coupl(nGC_2473) = coupl(nGC_1649)*db_QED2 + coupl(nGC_1650)*dZee_QED2 +  &
                        coupl(nGC_1651)*dsw_QED2 + coupl(nGC_1652)*dMZ2_QED2 + &
                        coupl(nGC_1653)*da_QED2 + coupl(nGC_1654)*dcw_QED2
      coupl(nGC_2907) = coupl(nGC_116)*dZGMinus
      coupl(nGC_2909) = dZHMinusGMinus_QED2*(coupl(nGC_122) + coupl(nGC_123))/ &
                        2d0
      coupl(nGC_2908) = -coupl(nGC_17)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2472) = coupl(nGC_969)*dZee_QED2 + coupl(nGC_970)*dMZ2_QED2 +  &
                        coupl(nGC_971)*dsw_QED2
      coupl(nGC_1821) = coupl(nGC_152)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1820) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_152) - coupl(nGC_145  &
                        )**2d0*coupl(nGC_151) - coupl(nGC_145)*coupl(nGC_619)* &
                        coupl(nGC_84) - coupl(nGC_145)*coupl(nGC_87)*coupl(    &
                        nGC_91) - coupl(nGC_146)*coupl(nGC_193)*coupl(nGC_198  &
                        ) - coupl(nGC_148)**2d0*coupl(nGC_151) - coupl(nGC_149 &
                        )**2d0*coupl(nGC_151) - coupl(nGC_149)*coupl(nGC_629)* &
                        coupl(nGC_84) - coupl(nGC_149)*coupl(nGC_87)*coupl(    &
                        nGC_94) - coupl(nGC_150)*coupl(nGC_196)*coupl(nGC_198  &
                        ) - coupl(nGC_150)*coupl(nGC_72)*coupl(nGC_80) - coupl(&
                        nGC_151)*coupl(nGC_152)**2d0 + 8d0*coupl(nGC_152)*coupl&
                        (nGC_84)*coupl(nGC_87))/(32d0*pi**2d0)
      coupl(nGC_2420) = coupl(nGC_1180)*db_QED2 + coupl(nGC_1181)*dym1_QED3 +  &
                        coupl(nGC_1182)*dym2_QED3
      coupl(nGC_1827) = (-coupl(nGC_161)**2d0*coupl(nGC_167) + coupl(nGC_161)* &
                        coupl(nGC_619)*coupl(nGC_89) + coupl(nGC_161)*coupl(   &
                        nGC_86)*coupl(nGC_91) - coupl(nGC_164)**2d0*coupl(     &
                        nGC_167) - coupl(nGC_165)**2d0*coupl(nGC_167) + coupl( &
                        nGC_165)*coupl(nGC_629)*coupl(nGC_89) + coupl(nGC_165)*&
                        coupl(nGC_86)*coupl(nGC_94) + coupl(nGC_166)*coupl(    &
                        nGC_627)*coupl(nGC_80) - coupl(nGC_167)*coupl(nGC_168  &
                        )**2d0 + 8d0*coupl(nGC_168)*coupl(nGC_4)**2d0 + 8d0*   &
                        coupl(nGC_168)*coupl(nGC_86)*coupl(nGC_89))/(32d0*pi** &
                        2d0)
      coupl(nGC_1826) = (-coupl(nGC_161)**2d0*coupl(nGC_168) + coupl(nGC_161)* &
                        coupl(nGC_619)*coupl(nGC_86) + coupl(nGC_161)*coupl(   &
                        nGC_89)*coupl(nGC_91) - coupl(nGC_163)**2d0*coupl(     &
                        nGC_168) - coupl(nGC_165)**2d0*coupl(nGC_168) + coupl( &
                        nGC_165)*coupl(nGC_629)*coupl(nGC_86) + coupl(nGC_165)*&
                        coupl(nGC_89)*coupl(nGC_94) + coupl(nGC_166)*coupl(    &
                        nGC_72)*coupl(nGC_80) - coupl(nGC_167)**2d0*coupl(     &
                        nGC_168) + 8d0*coupl(nGC_167)*coupl(nGC_4)**2d0 + 8d0* &
                        coupl(nGC_167)*coupl(nGC_86)*coupl(nGC_89))/(32d0*pi** &
                        2d0)
      coupl(nGC_1849) = (8d0*coupl(nGC_1)*coupl(nGC_142)*coupl(nGC_2) - coupl( &
                        nGC_1)*coupl(nGC_142)*coupl(nGC_641) - coupl(nGC_137)* &
                        coupl(nGC_178)*coupl(nGC_180) - coupl(nGC_137)*coupl(  &
                        nGC_631)*coupl(nGC_80) - coupl(nGC_140)*coupl(nGC_178)*&
                        coupl(nGC_182) - coupl(nGC_141)*coupl(nGC_177)*coupl(  &
                        nGC_178) - coupl(nGC_141)*coupl(nGC_625)*coupl(nGC_80  &
                        ) - coupl(nGC_142)*coupl(nGC_17)*coupl(nGC_2) - coupl( &
                        nGC_142)*coupl(nGC_651)*coupl(nGC_84) + 8d0*coupl(     &
                        nGC_142)*coupl(nGC_84)*coupl(nGC_88) - coupl(nGC_142)* &
                        coupl(nGC_88)*coupl(nGC_96) - coupl(nGC_143)*coupl(    &
                        nGC_178)*coupl(nGC_639) - coupl(nGC_143)*coupl(nGC_627 &
                        )*coupl(nGC_80))/(32d0*pi**2d0)
      coupl(nGC_2049) = (10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_134&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_1)*coupl(     &
                        nGC_131)*coupl(nGC_134)*coupl(nGC_87) - 16d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_84&
                        ) + 10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_138)*coupl(    &
                        nGC_142)*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_84) + 10d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_146)*coupl(nGC_150)*coupl( &
                        nGC_88) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_170)*    &
                        coupl(nGC_174)*coupl(nGC_84) + 10d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_88) + 10d0*Nc&
                        *cima*coupl(nGC_1)*coupl(nGC_178)*coupl(nGC_181)*coupl(&
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_178)*    &
                        coupl(nGC_181)*coupl(nGC_87) + 10d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_85) - 16d0*Nc&
                        *cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_196)*coupl(&
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*  &
                        coupl(nGC_2)*coupl(nGC_85) + 10d0*Nc*cima*coupl(nGC_131&
                        )*coupl(nGC_134)*coupl(nGC_2)*coupl(nGC_87) + 10d0*Nc* &
                        cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_2)*coupl( &
                        nGC_84) - 16d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*  &
                        coupl(nGC_2)*coupl(nGC_88) + 10d0*Nc*cima*coupl(nGC_146&
                        )*coupl(nGC_150)*coupl(nGC_2)*coupl(nGC_84) - 16d0*Nc* &
                        cima*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_2)*coupl( &
                        nGC_88) + 10d0*Nc*cima*coupl(nGC_170)*coupl(nGC_174)*  &
                        coupl(nGC_2)*coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_170&
                        )*coupl(nGC_174)*coupl(nGC_2)*coupl(nGC_88) - 16d0*Nc* &
                        cima*coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_2)*coupl( &
                        nGC_85) + 10d0*Nc*cima*coupl(nGC_178)*coupl(nGC_181)*  &
                        coupl(nGC_2)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_193&
                        )*coupl(nGC_196)*coupl(nGC_2)*coupl(nGC_85) + 10d0*Nc* &
                        cima*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_2)*coupl( &
                        nGC_87) - 16d0*cima*coupl(nGC_154)*coupl(nGC_158)*coupl&
                        (nGC_4)*coupl(nGC_86) + 10d0*cima*coupl(nGC_154)*coupl(&
                        nGC_158)*coupl(nGC_4)*coupl(nGC_90) - 16d0*cima*coupl( &
                        nGC_162)*coupl(nGC_166)*coupl(nGC_4)*coupl(nGC_86) +   &
                        10d0*cima*coupl(nGC_162)*coupl(nGC_166)*coupl(nGC_4)*  &
                        coupl(nGC_90) - 16d0*cima*coupl(nGC_185)*coupl(nGC_189 &
                        )*coupl(nGC_4)*coupl(nGC_86) + 10d0*cima*coupl(nGC_185 &
                        )*coupl(nGC_189)*coupl(nGC_4)*coupl(nGC_90) + 9d0*cima*&
                        coupl(nGC_3)*coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_82  &
                        ) + 9d0*cima*coupl(nGC_3)*coupl(nGC_64)*coupl(nGC_68)* &
                        coupl(nGC_82) - 3d0*coupl(nGC_14)*coupl(nGC_3)*coupl(  &
                        nGC_68) - 3d0*coupl(nGC_15)*coupl(nGC_3)*coupl(nGC_68  &
                        ) - 3d0*coupl(nGC_16)*coupl(nGC_3)*coupl(nGC_63) - 3d0*&
                        coupl(nGC_16)*coupl(nGC_3)*coupl(nGC_64) - 3d0*coupl(  &
                        nGC_609)*coupl(nGC_631)*coupl(nGC_70) - 3d0*coupl(     &
                        nGC_609)*coupl(nGC_647)*coupl(nGC_66) - 3d0*coupl(     &
                        nGC_63)*coupl(nGC_68)*coupl(nGC_83) - 3d0*coupl(nGC_64 &
                        )*coupl(nGC_68)*coupl(nGC_83) - 3d0*coupl(nGC_64)*coupl&
                        (nGC_70)*coupl(nGC_82) - 3d0*coupl(nGC_65)*coupl(nGC_68&
                        )*coupl(nGC_82))/(96d0*pi**2d0)
      coupl(nGC_1806) = (-4d0*Nc*coupl(nGC_131)*coupl(nGC_135)*coupl(nGC_80) + &
                        4d0*Nc*coupl(nGC_139)*coupl(nGC_142)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_146)*coupl(nGC_151)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_170)*coupl(nGC_175)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_178)*coupl(nGC_182)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_193)*coupl(nGC_197)*coupl(nGC_80) +   &
                        4d0*coupl(nGC_154)*coupl(nGC_159)*coupl(nGC_80) + 4d0* &
                        coupl(nGC_162)*coupl(nGC_167)*coupl(nGC_80) + 4d0*coupl&
                        (nGC_185)*coupl(nGC_190)*coupl(nGC_80) + coupl(nGC_619 &
                        )*coupl(nGC_69)*coupl(nGC_96) + coupl(nGC_625)*coupl(  &
                        nGC_627)*coupl(nGC_63) + coupl(nGC_627)*coupl(nGC_631)*&
                        coupl(nGC_68) + coupl(nGC_629)*coupl(nGC_63)*coupl(    &
                        nGC_96) - 6d0*coupl(nGC_63)*coupl(nGC_82)*coupl(nGC_94 &
                        ) - 6d0*coupl(nGC_69)*coupl(nGC_82)*coupl(nGC_91))/(   &
                        96d0*pi**2d0)
      coupl(nGC_TS_GC_68_Hh) = -coupl(nGC_68)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_68_Hl) = -coupl(nGC_68)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2942) = coupl(nGC_1)*dZdR_QCD2
      coupl(nGC_1797) = (8d0*coupl(nGC_1)*coupl(nGC_174)*coupl(nGC_2) - coupl( &
                        nGC_1)*coupl(nGC_174)*coupl(nGC_641) - coupl(nGC_130)* &
                        coupl(nGC_134)*coupl(nGC_169) - coupl(nGC_132)*coupl(  &
                        nGC_134)*coupl(nGC_171) - coupl(nGC_133)*coupl(nGC_134 &
                        )*coupl(nGC_173) - coupl(nGC_134)*coupl(nGC_136)*coupl(&
                        nGC_175) - coupl(nGC_169)*coupl(nGC_645)*coupl(nGC_80  &
                        ) - coupl(nGC_17)*coupl(nGC_174)*coupl(nGC_2) - coupl( &
                        nGC_173)*coupl(nGC_625)*coupl(nGC_80) - coupl(nGC_174)*&
                        coupl(nGC_651)*coupl(nGC_84) + 8d0*coupl(nGC_174)*coupl&
                        (nGC_84)*coupl(nGC_88) - coupl(nGC_174)*coupl(nGC_88)* &
                        coupl(nGC_96) - coupl(nGC_175)*coupl(nGC_72)*coupl(    &
                        nGC_80))/(32d0*pi**2d0)
      coupl(nGC_1735) = coupl(nGC_1)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_2147) = (20d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_135)**2d0  &
                         + 80d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_135)*    &
                        coupl(nGC_136) + 20d0*Nc*cima*coupl(nGC_130)**2d0*coupl&
                        (nGC_136)**2d0 + 20d0*Nc*cima*coupl(nGC_139)**2d0*coupl&
                        (nGC_141)**2d0 + 80d0*Nc*cima*coupl(nGC_139)*coupl(    &
                        nGC_140)*coupl(nGC_141)**2d0 + 20d0*Nc*cima*coupl(     &
                        nGC_140)**2d0*coupl(nGC_141)**2d0 + 20d0*Nc*cima*coupl(&
                        nGC_145)**2d0*coupl(nGC_151)**2d0 + 80d0*Nc*cima*coupl(&
                        nGC_145)**2d0*coupl(nGC_151)*coupl(nGC_152) + 20d0*Nc* &
                        cima*coupl(nGC_145)**2d0*coupl(nGC_152)**2d0 + 20d0*Nc*&
                        cima*coupl(nGC_169)**2d0*coupl(nGC_175)**2d0 + 80d0*Nc*&
                        cima*coupl(nGC_169)**2d0*coupl(nGC_175)*coupl(nGC_176  &
                        ) + 20d0*Nc*cima*coupl(nGC_169)**2d0*coupl(nGC_176)**  &
                        2d0 + 20d0*Nc*cima*coupl(nGC_177)**2d0*coupl(nGC_182)**&
                        2d0 + 80d0*Nc*cima*coupl(nGC_177)**2d0*coupl(nGC_182)* &
                        coupl(nGC_183) + 20d0*Nc*cima*coupl(nGC_177)**2d0*coupl&
                        (nGC_183)**2d0 + 20d0*Nc*cima*coupl(nGC_192)**2d0*coupl&
                        (nGC_197)**2d0 + 80d0*Nc*cima*coupl(nGC_192)**2d0*coupl&
                        (nGC_197)*coupl(nGC_198) + 20d0*Nc*cima*coupl(nGC_192  &
                        )**2d0*coupl(nGC_198)**2d0 + 6d0*cima*coupl(nGC_101)*  &
                        coupl(nGC_99) + 20d0*cima*coupl(nGC_153)**2d0*coupl(   &
                        nGC_159)**2d0 + 80d0*cima*coupl(nGC_153)**2d0*coupl(   &
                        nGC_159)*coupl(nGC_160) + 20d0*cima*coupl(nGC_153)**2d0&
                        *coupl(nGC_160)**2d0 + 20d0*cima*coupl(nGC_161)**2d0*  &
                        coupl(nGC_167)**2d0 + 80d0*cima*coupl(nGC_161)**2d0*   &
                        coupl(nGC_167)*coupl(nGC_168) + 20d0*cima*coupl(nGC_161&
                        )**2d0*coupl(nGC_168)**2d0 + 20d0*cima*coupl(nGC_184)**&
                        2d0*coupl(nGC_190)**2d0 + 80d0*cima*coupl(nGC_184)**2d0&
                        *coupl(nGC_190)*coupl(nGC_191) + 20d0*cima*coupl(      &
                        nGC_184)**2d0*coupl(nGC_191)**2d0 + 12d0*cima*coupl(   &
                        nGC_61)*coupl(nGC_62) - 10d0*cima*coupl(nGC_619)**2d0* &
                        coupl(nGC_91)**2d0 - 20d0*cima*coupl(nGC_619)*coupl(   &
                        nGC_629)*coupl(nGC_91)*coupl(nGC_94) - 10d0*cima*coupl(&
                        nGC_625)*coupl(nGC_627)*coupl(nGC_68)*coupl(nGC_72) -  &
                        5d0*cima*coupl(nGC_627)**2d0*coupl(nGC_631)**2d0 - 5d0*&
                        cima*coupl(nGC_627)**2d0*coupl(nGC_645)**2d0 - 20d0*   &
                        cima*coupl(nGC_627)*coupl(nGC_63)*coupl(nGC_645)*coupl(&
                        nGC_72) - 20d0*cima*coupl(nGC_627)*coupl(nGC_631)*coupl&
                        (nGC_64)*coupl(nGC_72) - 10d0*cima*coupl(nGC_627)*coupl&
                        (nGC_647)*coupl(nGC_69)*coupl(nGC_72) - 10d0*cima*coupl&
                        (nGC_629)**2d0*coupl(nGC_94)**2d0 - 5d0*cima*coupl(    &
                        nGC_63)**2d0*coupl(nGC_72)**2d0 - 5d0*cima*coupl(nGC_64&
                        )**2d0*coupl(nGC_72)**2d0 - 3d0*coupl(nGC_101)*coupl(  &
                        nGC_619)*coupl(nGC_91) - 3d0*coupl(nGC_101)*coupl(     &
                        nGC_629)*coupl(nGC_94) + 3d0*coupl(nGC_11)*coupl(      &
                        nGC_619)*coupl(nGC_91) + 3d0*coupl(nGC_13)*coupl(      &
                        nGC_629)*coupl(nGC_94) + 6d0*coupl(nGC_25)*coupl(      &
                        nGC_619)*coupl(nGC_629) + 6d0*coupl(nGC_25)*coupl(     &
                        nGC_91)*coupl(nGC_94) + 6d0*coupl(nGC_28)*coupl(nGC_619&
                        )*coupl(nGC_629) + 6d0*coupl(nGC_28)*coupl(nGC_91)*    &
                        coupl(nGC_94) + 6d0*coupl(nGC_35)*coupl(nGC_627)*coupl(&
                        nGC_72) + 6d0*coupl(nGC_37)*coupl(nGC_629)**2d0 + 6d0* &
                        coupl(nGC_37)*coupl(nGC_94)**2d0 + 6d0*coupl(nGC_39)*  &
                        coupl(nGC_619)**2d0 + 6d0*coupl(nGC_39)*coupl(nGC_91)**&
                        2d0 + 3d0*coupl(nGC_43)*coupl(nGC_625)*coupl(nGC_645   &
                        ) + 3d0*coupl(nGC_43)*coupl(nGC_63)*coupl(nGC_68) + 3d0&
                        *coupl(nGC_43)*coupl(nGC_631)*coupl(nGC_647) + 3d0*    &
                        coupl(nGC_43)*coupl(nGC_64)*coupl(nGC_69) + 3d0*coupl( &
                        nGC_47)*coupl(nGC_619)*coupl(nGC_94) + 3d0*coupl(nGC_47&
                        )*coupl(nGC_629)*coupl(nGC_91) + 6d0*coupl(nGC_48)*    &
                        coupl(nGC_627)*coupl(nGC_68) + 6d0*coupl(nGC_48)*coupl(&
                        nGC_647)*coupl(nGC_72) + 6d0*coupl(nGC_49)*coupl(      &
                        nGC_625)*coupl(nGC_72) + 6d0*coupl(nGC_49)*coupl(      &
                        nGC_627)*coupl(nGC_69) + 3d0*coupl(nGC_53)*coupl(nGC_63&
                        )*coupl(nGC_645) + 3d0*coupl(nGC_53)*coupl(nGC_631)*   &
                        coupl(nGC_64) + 3d0*coupl(nGC_55)*coupl(nGC_619)*coupl(&
                        nGC_91) + 3d0*coupl(nGC_56)*coupl(nGC_625)*coupl(nGC_68&
                        ) + 3d0*coupl(nGC_56)*coupl(nGC_647)*coupl(nGC_69) +   &
                        3d0*coupl(nGC_59)*coupl(nGC_629)*coupl(nGC_94) - 6d0*  &
                        coupl(nGC_61)*coupl(nGC_627)*coupl(nGC_72) + 3d0*coupl(&
                        nGC_619)*coupl(nGC_9)*coupl(nGC_94) - 3d0*coupl(nGC_619&
                        )*coupl(nGC_91)*coupl(nGC_99) - 3d0*coupl(nGC_62)*coupl&
                        (nGC_625)*coupl(nGC_68) - 3d0*coupl(nGC_62)*coupl(     &
                        nGC_63)*coupl(nGC_645) - 3d0*coupl(nGC_62)*coupl(      &
                        nGC_631)*coupl(nGC_64) - 3d0*coupl(nGC_62)*coupl(      &
                        nGC_647)*coupl(nGC_69) + 3d0*coupl(nGC_629)*coupl(nGC_9&
                        )*coupl(nGC_91) - 3d0*coupl(nGC_629)*coupl(nGC_94)*    &
                        coupl(nGC_99))/(96d0*pi**2d0)
      coupl(nGC_1717) = (2d0*Nc*coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_134) +   &
                        2d0*Nc*coupl(nGC_1)*coupl(nGC_138)*coupl(nGC_142) + 2d0&
                        *Nc*coupl(nGC_1)*coupl(nGC_146)*coupl(nGC_150) + 2d0*Nc&
                        *coupl(nGC_1)*coupl(nGC_170)*coupl(nGC_174) + 2d0*Nc*  &
                        coupl(nGC_1)*coupl(nGC_178)*coupl(nGC_181) + 2d0*Nc*   &
                        coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_196) - 2d0*Nc*   &
                        coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_2) - 2d0*Nc*   &
                        coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_2) - 2d0*Nc*   &
                        coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_2) - 2d0*Nc*   &
                        coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_2) - 2d0*Nc*   &
                        coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_2) - 2d0*Nc*   &
                        coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_2) + 2d0*coupl(&
                        nGC_154)*coupl(nGC_158)*coupl(nGC_4) + 2d0*coupl(      &
                        nGC_162)*coupl(nGC_166)*coupl(nGC_4) + 2d0*coupl(      &
                        nGC_185)*coupl(nGC_189)*coupl(nGC_4) - 3d0*coupl(nGC_3 &
                        )*coupl(nGC_63)*coupl(nGC_68) - 3d0*coupl(nGC_3)*coupl(&
                        nGC_64)*coupl(nGC_68))/(48d0*pi**2d0)
      coupl(nGC_2309) = coupl(nGC_1352)*dZee_QED2 + coupl(nGC_1353)*da_QED2 +  &
                        coupl(nGC_1354)*dsw_QED2 + coupl(nGC_1355)*db_QED2
      coupl(nGC_1932) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_173) - coupl(nGC_131)*&
                        coupl(nGC_133)*coupl(nGC_170) - coupl(nGC_133)*coupl(  &
                        nGC_134)*coupl(nGC_174) - coupl(nGC_169)**2d0*coupl(   &
                        nGC_173) - coupl(nGC_170)*coupl(nGC_631)*coupl(nGC_80  &
                        ) - coupl(nGC_171)**2d0*coupl(nGC_173) - coupl(nGC_171 &
                        )*coupl(nGC_617)*coupl(nGC_84) - coupl(nGC_171)*coupl( &
                        nGC_87)*coupl(nGC_92) - coupl(nGC_173)**3d0 - coupl(   &
                        nGC_173)*coupl(nGC_175)**2d0 + 8d0*coupl(nGC_173)*coupl&
                        (nGC_84)*coupl(nGC_87) - coupl(nGC_174)*coupl(nGC_68)* &
                        coupl(nGC_80) - coupl(nGC_175)*coupl(nGC_629)*coupl(   &
                        nGC_84) - coupl(nGC_175)*coupl(nGC_87)*coupl(nGC_94))/(&
                        32d0*pi**2d0)
      coupl(nGC_2607) = coupl(nGC_2342) + coupl(nGC_7)*dZbL_QCD2 + coupl(nGC_7 &
                        )*dZg_QCD2/2d0
      coupl(nGC_2604) = coupl(nGC_601)*dMZ2_QED2
      coupl(nGC_2605) = 3d0*coupl(nGC_45)*dZGMinus/2d0
      coupl(nGC_2769) = coupl(nGC_173)*dZsL_QCD2/2d0 + coupl(nGC_173)*dZsR_QCD2&
                        /2d0 + coupl(nGC_2390)
      coupl(nGC_2768) = coupl(nGC_169)*dZHlHh_QED2/2d0 + coupl(nGC_173)*       &
                        dZHh_QED2/2d0 + coupl(nGC_173)*dZsL_QED2/2d0 + coupl(  &
                        nGC_173)*dZsR_QED2/2d0 + coupl(nGC_2389)
      coupl(nGC_2976) = -coupl(nGC_2236) - coupl(nGC_3)*dZAZ_QED2/2d0 - coupl( &
                        nGC_82)*dZZ_QED2/2d0
      coupl(nGC_2767) = coupl(nGC_2279) + coupl(nGC_43)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_53)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_56)* &
                        dZHMinusGMinus_QED2/2d0 + coupl(nGC_58)*dZHaG0_QED2
      coupl(nGC_TS_GC_40_Hh) = -coupl(nGC_40)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2761) = coupl(nGC_2272) + coupl(nGC_41)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_41)*dZHh_QED2/2d0 + coupl(nGC_48)*dZHlHh_QED2&
                        /2d0 + coupl(nGC_49)*dZHaG0_QED2/2d0
      coupl(nGC_1959) = (-coupl(nGC_161)**3d0 - coupl(nGC_161)*coupl(nGC_164)**&
                        2d0 - coupl(nGC_161)*coupl(nGC_165)**2d0 - coupl(      &
                        nGC_161)*coupl(nGC_168)**2d0 + 8d0*coupl(nGC_161)*coupl&
                        (nGC_4)**2d0 + 8d0*coupl(nGC_161)*coupl(nGC_86)*coupl( &
                        nGC_89) + coupl(nGC_162)*coupl(nGC_647)*coupl(nGC_80   &
                        ) + coupl(nGC_164)*coupl(nGC_629)*coupl(nGC_86) + coupl&
                        (nGC_164)*coupl(nGC_89)*coupl(nGC_94) + coupl(nGC_166)*&
                        coupl(nGC_64)*coupl(nGC_80) + coupl(nGC_168)*coupl(    &
                        nGC_619)*coupl(nGC_86) + coupl(nGC_168)*coupl(nGC_89)* &
                        coupl(nGC_91))/(32d0*pi**2d0)
      coupl(nGC_2608) = coupl(nGC_7)*dZbL_QED2
      coupl(nGC_2609) = coupl(nGC_2342) + coupl(nGC_7)*dZbR_QCD2 + coupl(nGC_7 &
                        )*dZg_QCD2/2d0
      coupl(nGC_1958) = (-coupl(nGC_161)**3d0 - coupl(nGC_161)*coupl(nGC_163)**&
                        2d0 - coupl(nGC_161)*coupl(nGC_165)**2d0 - coupl(      &
                        nGC_161)*coupl(nGC_167)**2d0 + 8d0*coupl(nGC_161)*coupl&
                        (nGC_4)**2d0 + 8d0*coupl(nGC_161)*coupl(nGC_86)*coupl( &
                        nGC_89) + coupl(nGC_162)*coupl(nGC_69)*coupl(nGC_80) + &
                        coupl(nGC_163)*coupl(nGC_629)*coupl(nGC_89) + coupl(   &
                        nGC_163)*coupl(nGC_86)*coupl(nGC_94) + coupl(nGC_166)* &
                        coupl(nGC_631)*coupl(nGC_80) + coupl(nGC_167)*coupl(   &
                        nGC_619)*coupl(nGC_89) + coupl(nGC_167)*coupl(nGC_86)* &
                        coupl(nGC_91))/(32d0*pi**2d0)
      coupl(nGC_1791) = (-4d0*Nc*coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_80) + &
                        4d0*Nc*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_173)*coupl(nGC_174)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_180)*coupl(nGC_181)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_195)*coupl(nGC_196)*coupl(nGC_80) +   &
                        4d0*coupl(nGC_157)*coupl(nGC_158)*coupl(nGC_80) + 4d0* &
                        coupl(nGC_165)*coupl(nGC_166)*coupl(nGC_80) + 4d0*coupl&
                        (nGC_188)*coupl(nGC_189)*coupl(nGC_80) - 6d0*coupl(    &
                        nGC_609)*coupl(nGC_651)*coupl(nGC_69) - 6d0*coupl(     &
                        nGC_623)*coupl(nGC_641)*coupl(nGC_69) + coupl(nGC_625  &
                        )**2d0*coupl(nGC_647) + coupl(nGC_625)*coupl(nGC_63)*  &
                        coupl(nGC_64) + coupl(nGC_627)*coupl(nGC_629)*coupl(   &
                        nGC_96) - 6d0*coupl(nGC_627)*coupl(nGC_82)*coupl(nGC_94&
                        ) + coupl(nGC_63)*coupl(nGC_645)*coupl(nGC_68) + coupl(&
                        nGC_645)**2d0*coupl(nGC_647) + coupl(nGC_647)*coupl(   &
                        nGC_72)**2d0)/(96d0*pi**2d0)
      coupl(nGC_1764) = (-4d0*Nc*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_85) + &
                        4d0*Nc*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_88) +   &
                        4d0*Nc*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_88) +   &
                        4d0*Nc*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_88) -   &
                        4d0*Nc*coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_87) -   &
                        4d0*Nc*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_87) +   &
                        4d0*coupl(nGC_154)*coupl(nGC_158)*coupl(nGC_86) - 4d0* &
                        coupl(nGC_154)*coupl(nGC_158)*coupl(nGC_90) + 4d0*coupl&
                        (nGC_162)*coupl(nGC_166)*coupl(nGC_86) - 4d0*coupl(    &
                        nGC_162)*coupl(nGC_166)*coupl(nGC_90) + 4d0*coupl(     &
                        nGC_185)*coupl(nGC_189)*coupl(nGC_86) - 4d0*coupl(     &
                        nGC_185)*coupl(nGC_189)*coupl(nGC_90) + coupl(nGC_617)*&
                        coupl(nGC_627)*coupl(nGC_647) + coupl(nGC_627)*coupl(  &
                        nGC_629)*coupl(nGC_631) - 6d0*coupl(nGC_63)*coupl(     &
                        nGC_68)*coupl(nGC_82) - 6d0*coupl(nGC_64)*coupl(nGC_68 &
                        )*coupl(nGC_82) + coupl(nGC_645)*coupl(nGC_72)*coupl(  &
                        nGC_94) + coupl(nGC_647)*coupl(nGC_72)*coupl(nGC_91))/(&
                        96d0*pi**2d0)
      coupl(nGC_2897) = coupl(nGC_119)*dZGMinus/2d0
      coupl(nGC_1766) = (4d0*Nc*coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_80) -  &
                        4d0*Nc*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_173)*coupl(nGC_174)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_180)*coupl(nGC_181)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_195)*coupl(nGC_196)*coupl(nGC_80) -   &
                        4d0*coupl(nGC_157)*coupl(nGC_158)*coupl(nGC_80) - 4d0* &
                        coupl(nGC_165)*coupl(nGC_166)*coupl(nGC_80) - 6d0*coupl&
                        (nGC_17)*coupl(nGC_3)*coupl(nGC_68) - 4d0*coupl(nGC_188&
                        )*coupl(nGC_189)*coupl(nGC_80) - 6d0*coupl(nGC_609)*   &
                        coupl(nGC_627)*coupl(nGC_94) + coupl(nGC_625)*coupl(   &
                        nGC_631)**2d0 + coupl(nGC_625)*coupl(nGC_647)**2d0 +   &
                        coupl(nGC_625)*coupl(nGC_72)**2d0 + coupl(nGC_627)*    &
                        coupl(nGC_629)*coupl(nGC_651) + coupl(nGC_63)*coupl(   &
                        nGC_64)*coupl(nGC_647) + coupl(nGC_631)*coupl(nGC_64)* &
                        coupl(nGC_69) - 6d0*coupl(nGC_68)*coupl(nGC_82)*coupl( &
                        nGC_96))/(96d0*pi**2d0)
      coupl(nGC_2207) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_130)**2d0 + &
                        coupl(nGC_141)**2d0 + coupl(nGC_145)**2d0 + coupl(     &
                        nGC_169)**2d0 + coupl(nGC_177)**2d0 + coupl(nGC_192)** &
                        2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1760) = (4d0*Nc*coupl(nGC_134)*coupl(nGC_135)*coupl(nGC_80) -  &
                        4d0*Nc*coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_150)*coupl(nGC_151)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_174)*coupl(nGC_175)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_181)*coupl(nGC_182)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_196)*coupl(nGC_197)*coupl(nGC_80) -   &
                        4d0*coupl(nGC_158)*coupl(nGC_159)*coupl(nGC_80) - 4d0* &
                        coupl(nGC_166)*coupl(nGC_167)*coupl(nGC_80) - 6d0*coupl&
                        (nGC_17)*coupl(nGC_3)*coupl(nGC_627) - 4d0*coupl(      &
                        nGC_189)*coupl(nGC_190)*coupl(nGC_80) - 6d0*coupl(     &
                        nGC_609)*coupl(nGC_619)*coupl(nGC_63) - 6d0*coupl(     &
                        nGC_609)*coupl(nGC_629)*coupl(nGC_68) - 6d0*coupl(     &
                        nGC_627)*coupl(nGC_82)*coupl(nGC_96) + coupl(nGC_63)*  &
                        coupl(nGC_651)*coupl(nGC_91) + coupl(nGC_631)**2d0*    &
                        coupl(nGC_72) + coupl(nGC_647)**2d0*coupl(nGC_72) +    &
                        coupl(nGC_651)*coupl(nGC_68)*coupl(nGC_94) + coupl(    &
                        nGC_72)**3d0)/(96d0*pi**2d0)
      coupl(nGC_1762) = (4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_142&
                        ) + 4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_178)*coupl(    &
                        nGC_181) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_178)*   &
                        coupl(nGC_180) + 2d0*Nc*cMB*coupl(nGC_142)*coupl(      &
                        nGC_180)*coupl(nGC_181) + 4d0*Nc*cMC*coupl(nGC_131)*   &
                        coupl(nGC_133)*coupl(nGC_134) + 2d0*Nc*cMC*coupl(      &
                        nGC_131)*coupl(nGC_173)*coupl(nGC_174) + 4d0*Nc*cMC*   &
                        coupl(nGC_133)*coupl(nGC_170)*coupl(nGC_174) + 2d0*Nc* &
                        cMC*coupl(nGC_134)*coupl(nGC_170)*coupl(nGC_173) + 4d0*&
                        Nc*cMD*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_150) +  &
                        2d0*Nc*cMD*coupl(nGC_146)*coupl(nGC_195)*coupl(nGC_196 &
                        ) + 4d0*Nc*cMD*coupl(nGC_149)*coupl(nGC_193)*coupl(    &
                        nGC_196) + 2d0*Nc*cMD*coupl(nGC_150)*coupl(nGC_193)*   &
                        coupl(nGC_195) + 2d0*Nc*cMS*coupl(nGC_131)*coupl(      &
                        nGC_133)*coupl(nGC_174) + 4d0*Nc*cMS*coupl(nGC_131)*   &
                        coupl(nGC_134)*coupl(nGC_173) + 2d0*Nc*cMS*coupl(      &
                        nGC_133)*coupl(nGC_134)*coupl(nGC_170) + 4d0*Nc*cMS*   &
                        coupl(nGC_170)*coupl(nGC_173)*coupl(nGC_174) + 2d0*Nc* &
                        cMT*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_178) + 2d0*&
                        Nc*cMT*coupl(nGC_137)*coupl(nGC_142)*coupl(nGC_181) +  &
                        4d0*Nc*cMT*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_180 &
                        ) + 4d0*Nc*cMT*coupl(nGC_178)*coupl(nGC_180)*coupl(    &
                        nGC_181) + 2d0*Nc*cMU*coupl(nGC_146)*coupl(nGC_149)*   &
                        coupl(nGC_196) + 4d0*Nc*cMU*coupl(nGC_146)*coupl(      &
                        nGC_150)*coupl(nGC_195) + 2d0*Nc*cMU*coupl(nGC_149)*   &
                        coupl(nGC_150)*coupl(nGC_193) + 4d0*Nc*cMU*coupl(      &
                        nGC_193)*coupl(nGC_195)*coupl(nGC_196) + 4d0*cME*coupl(&
                        nGC_154)*coupl(nGC_157)*coupl(nGC_158) + 4d0*cMM*coupl(&
                        nGC_162)*coupl(nGC_165)*coupl(nGC_166) + 4d0*cMTA*coupl&
                        (nGC_185)*coupl(nGC_188)*coupl(nGC_189) + 4d0*cima*    &
                        coupl(nGC_102)*coupl(nGC_16) + 4d0*cima*coupl(nGC_107)*&
                        coupl(nGC_15) + 4d0*cima*coupl(nGC_126)*coupl(nGC_70   &
                        ) + 4d0*cima*coupl(nGC_127)*coupl(nGC_66) - coupl(     &
                        nGC_102)*coupl(nGC_629)*coupl(nGC_72) - coupl(nGC_102)*&
                        coupl(nGC_647)*coupl(nGC_651) + coupl(nGC_103)*coupl(  &
                        nGC_631)*coupl(nGC_645) + coupl(nGC_103)*coupl(nGC_647 &
                        )**2d0 + coupl(nGC_105)*coupl(nGC_645)*coupl(nGC_647   &
                        ) + coupl(nGC_106)*coupl(nGC_631)*coupl(nGC_647) -     &
                        coupl(nGC_107)*coupl(nGC_627)*coupl(nGC_92) - coupl(   &
                        nGC_107)*coupl(nGC_645)*coupl(nGC_651) + coupl(nGC_108 &
                        )*coupl(nGC_647)*coupl(nGC_68) + coupl(nGC_110)*coupl( &
                        nGC_63)*coupl(nGC_645) + coupl(nGC_111)*coupl(nGC_63)* &
                        coupl(nGC_64) + coupl(nGC_111)*coupl(nGC_641)**2d0 +   &
                        coupl(nGC_111)*coupl(nGC_651)**2d0 + coupl(nGC_111)*   &
                        coupl(nGC_68)*coupl(nGC_69) + coupl(nGC_112)*coupl(    &
                        nGC_627)*coupl(nGC_72) + coupl(nGC_115)*coupl(nGC_627)*&
                        coupl(nGC_69) + coupl(nGC_115)*coupl(nGC_629)*coupl(   &
                        nGC_96) + coupl(nGC_115)*coupl(nGC_94)*coupl(nGC_96) + &
                        coupl(nGC_116)*coupl(nGC_64)*coupl(nGC_647) + coupl(   &
                        nGC_118)*coupl(nGC_645)*coupl(nGC_68) + coupl(nGC_119)*&
                        coupl(nGC_63)*coupl(nGC_68) + coupl(nGC_119)*coupl(    &
                        nGC_63)*coupl(nGC_69) + coupl(nGC_122)*coupl(nGC_617)* &
                        coupl(nGC_96) + coupl(nGC_122)*coupl(nGC_63)*coupl(    &
                        nGC_72) + coupl(nGC_122)*coupl(nGC_92)*coupl(nGC_96) - &
                        coupl(nGC_125)*coupl(nGC_63)*coupl(nGC_68) - coupl(    &
                        nGC_125)*coupl(nGC_64)*coupl(nGC_68) - coupl(nGC_126)* &
                        coupl(nGC_641)*coupl(nGC_647) - coupl(nGC_127)*coupl(  &
                        nGC_641)*coupl(nGC_645))/(32d0*pi**2d0)
      coupl(nGC_2896) = coupl(nGC_108)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_110 &
                        )*dZHMinusGMinus_QED2/2d0 + coupl(nGC_111)*dZHhHl_QED2/&
                        2d0 + coupl(nGC_119)*dZHMinus_QED2/2d0 + coupl(nGC_119 &
                        )*dZHl_QED2/2d0 + coupl(nGC_2291) + coupl(             &
                        nGC_TS_GC_24_Hl) + coupl(nGC_TS_GC_36_Hh)
      coupl(nGC_TS_GC_157_Hh) = -coupl(nGC_157)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1814) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_139) - coupl(nGC_137  &
                        )**2d0*coupl(nGC_140) - coupl(nGC_137)*coupl(nGC_629)* &
                        coupl(nGC_87) - coupl(nGC_137)*coupl(nGC_84)*coupl(    &
                        nGC_94) - coupl(nGC_138)*coupl(nGC_181)*coupl(nGC_182  &
                        ) - coupl(nGC_138)*coupl(nGC_627)*coupl(nGC_80) - coupl&
                        (nGC_139)**2d0*coupl(nGC_140) + 8d0*coupl(nGC_139)*    &
                        coupl(nGC_84)*coupl(nGC_87) - coupl(nGC_140)*coupl(    &
                        nGC_141)**2d0 - coupl(nGC_140)*coupl(nGC_144)**2d0 -   &
                        coupl(nGC_141)*coupl(nGC_619)*coupl(nGC_87) - coupl(   &
                        nGC_141)*coupl(nGC_84)*coupl(nGC_91) - coupl(nGC_142)* &
                        coupl(nGC_178)*coupl(nGC_182))/(32d0*pi**2d0)
      coupl(nGC_2372) = coupl(nGC_1611)*dyt1_QED1_QCD2 + coupl(nGC_1612)*      &
                        dyt2_QED1_QCD2
      coupl(nGC_3120) = coupl(nGC_2336) + coupl(nGC_99)*dZHh_QED2 + coupl(     &
                        nGC_99)*dZZ_QED2
      coupl(nGC_2163) = (20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)**2d0*coupl(&
                        nGC_133) + 20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)* &
                        coupl(nGC_170)*coupl(nGC_173) + 20d0*Nc*cima*coupl(    &
                        nGC_130)*coupl(nGC_133)*coupl(nGC_170)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_131)**2d0*coupl(nGC_169)*coupl(nGC_173  &
                        ) + 20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)*coupl(  &
                        nGC_169)*coupl(nGC_170) + 20d0*Nc*cima*coupl(nGC_137)* &
                        coupl(nGC_141)*coupl(nGC_142)**2d0 + 20d0*Nc*cima*coupl&
                        (nGC_137)*coupl(nGC_141)*coupl(nGC_178)**2d0 + 20d0*Nc*&
                        cima*coupl(nGC_137)*coupl(nGC_142)*coupl(nGC_177)*coupl&
                        (nGC_178) + 20d0*Nc*cima*coupl(nGC_141)*coupl(nGC_142)*&
                        coupl(nGC_178)*coupl(nGC_180) + 20d0*Nc*cima*coupl(    &
                        nGC_142)**2d0*coupl(nGC_177)*coupl(nGC_180) + 20d0*Nc* &
                        cima*coupl(nGC_145)*coupl(nGC_146)**2d0*coupl(nGC_149  &
                        ) + 20d0*Nc*cima*coupl(nGC_145)*coupl(nGC_146)*coupl(  &
                        nGC_193)*coupl(nGC_195) + 20d0*Nc*cima*coupl(nGC_145)* &
                        coupl(nGC_149)*coupl(nGC_193)**2d0 + 20d0*Nc*cima*coupl&
                        (nGC_146)**2d0*coupl(nGC_192)*coupl(nGC_195) + 20d0*Nc*&
                        cima*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_192)*coupl&
                        (nGC_193) + 20d0*Nc*cima*coupl(nGC_169)*coupl(nGC_170  &
                        )**2d0*coupl(nGC_173) + 20d0*Nc*cima*coupl(nGC_177)*   &
                        coupl(nGC_178)**2d0*coupl(nGC_180) + 20d0*Nc*cima*coupl&
                        (nGC_192)*coupl(nGC_193)**2d0*coupl(nGC_195) + 24d0*   &
                        cima*coupl(nGC_15)*coupl(nGC_16) + 20d0*cima*coupl(    &
                        nGC_153)*coupl(nGC_154)**2d0*coupl(nGC_157) + 20d0*cima&
                        *coupl(nGC_161)*coupl(nGC_162)**2d0*coupl(nGC_165) +   &
                        20d0*cima*coupl(nGC_184)*coupl(nGC_185)**2d0*coupl(    &
                        nGC_188) - 5d0*cima*coupl(nGC_617)*coupl(nGC_627)*coupl&
                        (nGC_72)*coupl(nGC_94) - 5d0*cima*coupl(nGC_617)*coupl(&
                        nGC_68)*coupl(nGC_72)*coupl(nGC_96) - 5d0*cima*coupl(  &
                        nGC_617)*coupl(nGC_94)*coupl(nGC_96)**2d0 - 5d0*cima*  &
                        coupl(nGC_619)*coupl(nGC_94)*coupl(nGC_96)**2d0 - 5d0* &
                        cima*coupl(nGC_625)*coupl(nGC_627)*coupl(nGC_92)*coupl(&
                        nGC_96) - 5d0*cima*coupl(nGC_625)*coupl(nGC_63)*coupl( &
                        nGC_647)*coupl(nGC_68) - 5d0*cima*coupl(nGC_625)*coupl(&
                        nGC_631)*coupl(nGC_68)*coupl(nGC_69) - 5d0*cima*coupl( &
                        nGC_625)*coupl(nGC_64)*coupl(nGC_647)*coupl(nGC_68) -  &
                        5d0*cima*coupl(nGC_625)*coupl(nGC_645)*coupl(nGC_68)*  &
                        coupl(nGC_69) - 5d0*cima*coupl(nGC_627)*coupl(nGC_629)*&
                        coupl(nGC_72)*coupl(nGC_92) - 5d0*cima*coupl(nGC_627)* &
                        coupl(nGC_63)*coupl(nGC_647)*coupl(nGC_72) - 5d0*cima* &
                        coupl(nGC_627)*coupl(nGC_631)*coupl(nGC_69)*coupl(     &
                        nGC_72) - 5d0*cima*coupl(nGC_627)*coupl(nGC_64)*coupl( &
                        nGC_647)*coupl(nGC_72) - 5d0*cima*coupl(nGC_627)*coupl(&
                        nGC_645)*coupl(nGC_651)*coupl(nGC_94) - 5d0*cima*coupl(&
                        nGC_627)*coupl(nGC_645)*coupl(nGC_69)*coupl(nGC_72) -  &
                        5d0*cima*coupl(nGC_629)*coupl(nGC_63)*coupl(nGC_651)*  &
                        coupl(nGC_72) - 5d0*cima*coupl(nGC_629)*coupl(nGC_91)* &
                        coupl(nGC_96)**2d0 - 5d0*cima*coupl(nGC_629)*coupl(    &
                        nGC_92)*coupl(nGC_96)**2d0 - 5d0*cima*coupl(nGC_63)*   &
                        coupl(nGC_631)*coupl(nGC_64)*coupl(nGC_647) - 5d0*cima*&
                        coupl(nGC_63)*coupl(nGC_641)**2d0*coupl(nGC_647) - 5d0*&
                        cima*coupl(nGC_63)*coupl(nGC_647)*coupl(nGC_651)**2d0  &
                         - 5d0*cima*coupl(nGC_631)**2d0*coupl(nGC_64)*coupl(   &
                        nGC_69) - 5d0*cima*coupl(nGC_631)*coupl(nGC_64)**2d0*  &
                        coupl(nGC_647) - 5d0*cima*coupl(nGC_631)*coupl(nGC_64)*&
                        coupl(nGC_645)*coupl(nGC_69) - 5d0*cima*coupl(nGC_641  &
                        )**2d0*coupl(nGC_645)*coupl(nGC_69) - 5d0*cima*coupl(  &
                        nGC_645)*coupl(nGC_651)**2d0*coupl(nGC_69) + 24d0*cima*&
                        coupl(nGC_66)*coupl(nGC_70) + 3d0*coupl(nGC_10)*coupl( &
                        nGC_63)*coupl(nGC_645) - 3d0*coupl(nGC_100)*coupl(     &
                        nGC_617)*coupl(nGC_94) - 3d0*coupl(nGC_100)*coupl(     &
                        nGC_629)*coupl(nGC_91) + 3d0*coupl(nGC_13)*coupl(nGC_63&
                        )*coupl(nGC_647) + 3d0*coupl(nGC_13)*coupl(nGC_645)*   &
                        coupl(nGC_69) - 3d0*coupl(nGC_15)*coupl(nGC_627)*coupl(&
                        nGC_94) - 3d0*coupl(nGC_15)*coupl(nGC_629)*coupl(nGC_72&
                        ) - 3d0*coupl(nGC_15)*coupl(nGC_647)*coupl(nGC_651) -  &
                        3d0*coupl(nGC_15)*coupl(nGC_651)*coupl(nGC_69) - 3d0*  &
                        coupl(nGC_16)*coupl(nGC_617)*coupl(nGC_72) - 3d0*coupl(&
                        nGC_16)*coupl(nGC_627)*coupl(nGC_92) - 3d0*coupl(nGC_16&
                        )*coupl(nGC_63)*coupl(nGC_651) - 3d0*coupl(nGC_16)*    &
                        coupl(nGC_645)*coupl(nGC_651) + 3d0*coupl(nGC_22)*coupl&
                        (nGC_625)*coupl(nGC_647) + 3d0*coupl(nGC_22)*coupl(    &
                        nGC_63)*coupl(nGC_64) + 3d0*coupl(nGC_22)*coupl(nGC_631&
                        )*coupl(nGC_645) + 3d0*coupl(nGC_22)*coupl(nGC_641)**  &
                        2d0 + 3d0*coupl(nGC_22)*coupl(nGC_651)**2d0 + 3d0*coupl&
                        (nGC_22)*coupl(nGC_68)*coupl(nGC_69) + 3d0*coupl(nGC_24&
                        )*coupl(nGC_625)*coupl(nGC_69) + 3d0*coupl(nGC_24)*    &
                        coupl(nGC_647)*coupl(nGC_68) + 3d0*coupl(nGC_26)*coupl(&
                        nGC_627)*coupl(nGC_72) + 6d0*coupl(nGC_27)*coupl(      &
                        nGC_631)*coupl(nGC_64) + 3d0*coupl(nGC_30)*coupl(      &
                        nGC_625)*coupl(nGC_645) + 3d0*coupl(nGC_30)*coupl(     &
                        nGC_63)*coupl(nGC_68) + 3d0*coupl(nGC_34)*coupl(nGC_631&
                        )*coupl(nGC_647) + 3d0*coupl(nGC_34)*coupl(nGC_64)*    &
                        coupl(nGC_69) + 3d0*coupl(nGC_36)*coupl(nGC_625)*coupl(&
                        nGC_64) + 3d0*coupl(nGC_36)*coupl(nGC_631)*coupl(nGC_68&
                        ) + 3d0*coupl(nGC_36)*coupl(nGC_631)*coupl(nGC_69) +   &
                        3d0*coupl(nGC_36)*coupl(nGC_64)*coupl(nGC_647) + 3d0*  &
                        coupl(nGC_40)*coupl(nGC_627)*coupl(nGC_69) + 3d0*coupl(&
                        nGC_41)*coupl(nGC_647)*coupl(nGC_72) + 3d0*coupl(nGC_42&
                        )*coupl(nGC_619)*coupl(nGC_92) + 3d0*coupl(nGC_42)*    &
                        coupl(nGC_629)*coupl(nGC_94) + 6d0*coupl(nGC_44)*coupl(&
                        nGC_631)*coupl(nGC_645) + 3d0*coupl(nGC_44)*coupl(     &
                        nGC_68)**2d0 + 3d0*coupl(nGC_44)*coupl(nGC_69)**2d0 +  &
                        3d0*coupl(nGC_48)*coupl(nGC_627)*coupl(nGC_64) + 3d0*  &
                        coupl(nGC_49)*coupl(nGC_631)*coupl(nGC_72) + 3d0*coupl(&
                        nGC_50)*coupl(nGC_629)*coupl(nGC_92) + 3d0*coupl(nGC_51&
                        )*coupl(nGC_631)*coupl(nGC_68) + 3d0*coupl(nGC_51)*    &
                        coupl(nGC_645)*coupl(nGC_69) + 3d0*coupl(nGC_56)*coupl(&
                        nGC_619)*coupl(nGC_94) + 3d0*coupl(nGC_57)*coupl(      &
                        nGC_631)*coupl(nGC_69) + 3d0*coupl(nGC_57)*coupl(      &
                        nGC_645)*coupl(nGC_68) - 3d0*coupl(nGC_62)*coupl(      &
                        nGC_625)*coupl(nGC_63) - 3d0*coupl(nGC_62)*coupl(      &
                        nGC_625)*coupl(nGC_64) - 3d0*coupl(nGC_62)*coupl(nGC_63&
                        )*coupl(nGC_647) - 3d0*coupl(nGC_62)*coupl(nGC_64)*    &
                        coupl(nGC_647) - 3d0*coupl(nGC_63)*coupl(nGC_641)*coupl&
                        (nGC_70) - 3d0*coupl(nGC_641)*coupl(nGC_645)*coupl(    &
                        nGC_70) - 3d0*coupl(nGC_641)*coupl(nGC_647)*coupl(     &
                        nGC_66) - 3d0*coupl(nGC_641)*coupl(nGC_66)*coupl(nGC_69&
                        ) + 3d0*coupl(nGC_647)*coupl(nGC_69)*coupl(nGC_9))/(   &
                        96d0*pi**2d0)
      coupl(nGC_2162) = (20d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_133)**2d0  &
                         + 20d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_173)**2d0&
                         + 40d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)*coupl(   &
                        nGC_170)*coupl(nGC_173) + 20d0*Nc*cima*coupl(nGC_133)**&
                        2d0*coupl(nGC_170)**2d0 + 20d0*Nc*cima*coupl(nGC_137)**&
                        2d0*coupl(nGC_142)**2d0 + 20d0*Nc*cima*coupl(nGC_137)**&
                        2d0*coupl(nGC_178)**2d0 + 40d0*Nc*cima*coupl(nGC_137)* &
                        coupl(nGC_142)*coupl(nGC_178)*coupl(nGC_180) + 20d0*Nc*&
                        cima*coupl(nGC_142)**2d0*coupl(nGC_180)**2d0 + 20d0*Nc*&
                        cima*coupl(nGC_146)**2d0*coupl(nGC_149)**2d0 + 20d0*Nc*&
                        cima*coupl(nGC_146)**2d0*coupl(nGC_195)**2d0 + 40d0*Nc*&
                        cima*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_193)*coupl&
                        (nGC_195) + 20d0*Nc*cima*coupl(nGC_149)**2d0*coupl(    &
                        nGC_193)**2d0 + 20d0*Nc*cima*coupl(nGC_170)**2d0*coupl(&
                        nGC_173)**2d0 + 20d0*Nc*cima*coupl(nGC_178)**2d0*coupl(&
                        nGC_180)**2d0 + 20d0*Nc*cima*coupl(nGC_193)**2d0*coupl(&
                        nGC_195)**2d0 + 6d0*cima*coupl(nGC_100)*coupl(nGC_99   &
                        ) + 24d0*cima*coupl(nGC_15)**2d0 + 20d0*cima*coupl(    &
                        nGC_154)**2d0*coupl(nGC_157)**2d0 + 20d0*cima*coupl(   &
                        nGC_162)**2d0*coupl(nGC_165)**2d0 + 20d0*cima*coupl(   &
                        nGC_185)**2d0*coupl(nGC_188)**2d0 + 12d0*cima*coupl(   &
                        nGC_61)*coupl(nGC_62) - 10d0*cima*coupl(nGC_617)*coupl(&
                        nGC_627)*coupl(nGC_72)*coupl(nGC_92) - 5d0*cima*coupl( &
                        nGC_617)*coupl(nGC_63)*coupl(nGC_651)*coupl(nGC_72) -  &
                        5d0*cima*coupl(nGC_617)*coupl(nGC_64)*coupl(nGC_72)*   &
                        coupl(nGC_96) - 10d0*cima*coupl(nGC_617)*coupl(nGC_92)*&
                        coupl(nGC_96)**2d0 - 10d0*cima*coupl(nGC_625)*coupl(   &
                        nGC_63)*coupl(nGC_645)*coupl(nGC_68) - 10d0*cima*coupl(&
                        nGC_625)*coupl(nGC_647)*coupl(nGC_68)*coupl(nGC_69) -  &
                        10d0*cima*coupl(nGC_627)*coupl(nGC_63)*coupl(nGC_645)* &
                        coupl(nGC_72) - 5d0*cima*coupl(nGC_627)*coupl(nGC_631)*&
                        coupl(nGC_92)*coupl(nGC_96) - 5d0*cima*coupl(nGC_627)* &
                        coupl(nGC_645)*coupl(nGC_651)*coupl(nGC_92) - 10d0*cima&
                        *coupl(nGC_627)*coupl(nGC_647)*coupl(nGC_69)*coupl(    &
                        nGC_72) - 10d0*cima*coupl(nGC_629)*coupl(nGC_94)*coupl(&
                        nGC_96)**2d0 - 10d0*cima*coupl(nGC_63)*coupl(nGC_631)* &
                        coupl(nGC_64)*coupl(nGC_645) - 10d0*cima*coupl(nGC_63)*&
                        coupl(nGC_641)**2d0*coupl(nGC_645) - 10d0*cima*coupl(  &
                        nGC_63)*coupl(nGC_645)*coupl(nGC_651)**2d0 - 10d0*cima*&
                        coupl(nGC_631)*coupl(nGC_64)*coupl(nGC_647)*coupl(     &
                        nGC_69) + 24d0*cima*coupl(nGC_66)**2d0 + 3d0*coupl(    &
                        nGC_10)*coupl(nGC_63)*coupl(nGC_647) + 3d0*coupl(nGC_10&
                        )*coupl(nGC_645)*coupl(nGC_69) - 3d0*coupl(nGC_100)*   &
                        coupl(nGC_617)*coupl(nGC_92) - 3d0*coupl(nGC_100)*coupl&
                        (nGC_629)*coupl(nGC_94) + 3d0*coupl(nGC_12)*coupl(     &
                        nGC_63)*coupl(nGC_645) + 3d0*coupl(nGC_13)*coupl(      &
                        nGC_647)*coupl(nGC_69) - 6d0*coupl(nGC_15)*coupl(      &
                        nGC_617)*coupl(nGC_72) - 6d0*coupl(nGC_15)*coupl(      &
                        nGC_627)*coupl(nGC_92) - 6d0*coupl(nGC_15)*coupl(nGC_63&
                        )*coupl(nGC_651) - 6d0*coupl(nGC_15)*coupl(nGC_645)*   &
                        coupl(nGC_651) + 6d0*coupl(nGC_22)*coupl(nGC_625)*coupl&
                        (nGC_645) + 6d0*coupl(nGC_22)*coupl(nGC_63)*coupl(     &
                        nGC_68) + 6d0*coupl(nGC_27)*coupl(nGC_631)*coupl(nGC_69&
                        ) + 6d0*coupl(nGC_27)*coupl(nGC_64)*coupl(nGC_647) +   &
                        6d0*coupl(nGC_34)*coupl(nGC_63)*coupl(nGC_64) + 6d0*   &
                        coupl(nGC_34)*coupl(nGC_631)*coupl(nGC_645) + 3d0*coupl&
                        (nGC_34)*coupl(nGC_641)**2d0 + 3d0*coupl(nGC_34)*coupl(&
                        nGC_651)**2d0 + 6d0*coupl(nGC_36)*coupl(nGC_625)*coupl(&
                        nGC_69) + 6d0*coupl(nGC_36)*coupl(nGC_647)*coupl(nGC_68&
                        ) + 3d0*coupl(nGC_38)*coupl(nGC_627)*coupl(nGC_72) +   &
                        3d0*coupl(nGC_42)*coupl(nGC_617)*coupl(nGC_94) + 3d0*  &
                        coupl(nGC_42)*coupl(nGC_629)*coupl(nGC_92) + 3d0*coupl(&
                        nGC_44)*coupl(nGC_625)*coupl(nGC_631) + 3d0*coupl(     &
                        nGC_44)*coupl(nGC_63)*coupl(nGC_69) + 3d0*coupl(nGC_44 &
                        )*coupl(nGC_64)*coupl(nGC_68) + 3d0*coupl(nGC_44)*coupl&
                        (nGC_645)*coupl(nGC_647) + 6d0*coupl(nGC_48)*coupl(    &
                        nGC_627)*coupl(nGC_69) + 6d0*coupl(nGC_49)*coupl(      &
                        nGC_647)*coupl(nGC_72) + 3d0*coupl(nGC_50)*coupl(      &
                        nGC_617)*coupl(nGC_92) + 3d0*coupl(nGC_51)*coupl(nGC_63&
                        )*coupl(nGC_645) + 3d0*coupl(nGC_51)*coupl(nGC_631)*   &
                        coupl(nGC_64) + 3d0*coupl(nGC_56)*coupl(nGC_629)*coupl(&
                        nGC_94) + 3d0*coupl(nGC_57)*coupl(nGC_625)*coupl(nGC_68&
                        ) + 3d0*coupl(nGC_57)*coupl(nGC_647)*coupl(nGC_69) -   &
                        3d0*coupl(nGC_61)*coupl(nGC_625)*coupl(nGC_68) - 3d0*  &
                        coupl(nGC_61)*coupl(nGC_627)*coupl(nGC_72) - 3d0*coupl(&
                        nGC_61)*coupl(nGC_631)*coupl(nGC_64) - 3d0*coupl(nGC_62&
                        )*coupl(nGC_625)*coupl(nGC_68) - 3d0*coupl(nGC_62)*    &
                        coupl(nGC_63)*coupl(nGC_645) - 3d0*coupl(nGC_62)*coupl(&
                        nGC_631)*coupl(nGC_64) - 3d0*coupl(nGC_62)*coupl(      &
                        nGC_647)*coupl(nGC_69) - 6d0*coupl(nGC_63)*coupl(      &
                        nGC_641)*coupl(nGC_66) - 6d0*coupl(nGC_641)*coupl(     &
                        nGC_645)*coupl(nGC_66) - 3d0*coupl(nGC_96)**2d0*coupl( &
                        nGC_99))/(96d0*pi**2d0)
      coupl(nGC_2288) = coupl(nGC_1341)*dvev2_QED1 + coupl(nGC_1342)*dvev1_QED1&
                         + coupl(nGC_1343)*dl2_QED4 + coupl(nGC_1344)*dl1_QED4 &
                         + coupl(nGC_1345)*dl4_QED4 + coupl(nGC_1346)*dl3_QED4 &
                         + coupl(nGC_1347)*da_QED2 + coupl(nGC_1348)*dl5_QED4
      coupl(nGC_2289) = coupl(nGC_323)*db_QED2 + coupl(nGC_325)*dvev2_QED1 +   &
                        coupl(nGC_327)*da_QED2 + coupl(nGC_329)*dl2_QED4 +     &
                        coupl(nGC_331)*dl1_QED4 + coupl(nGC_333)*dl4_QED4 +    &
                        coupl(nGC_335)*dl3_QED4 + coupl(nGC_337)*dvev1_QED1 +  &
                        coupl(nGC_339)*dl5_QED4
      coupl(nGC_2167) = (-16d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_80)**2d0  &
                         - 16d0*Nc*cima*coupl(nGC_142)**2d0*coupl(nGC_80)**2d0 &
                         - 16d0*Nc*cima*coupl(nGC_146)**2d0*coupl(nGC_80)**2d0 &
                         - 16d0*Nc*cima*coupl(nGC_170)**2d0*coupl(nGC_80)**2d0 &
                         - 16d0*Nc*cima*coupl(nGC_178)**2d0*coupl(nGC_80)**2d0 &
                         - 16d0*Nc*cima*coupl(nGC_193)**2d0*coupl(nGC_80)**2d0 &
                         + 12d0*cima*coupl(nGC_100)*coupl(nGC_649) - 16d0*cima*&
                        coupl(nGC_154)**2d0*coupl(nGC_80)**2d0 - 16d0*cima*    &
                        coupl(nGC_162)**2d0*coupl(nGC_80)**2d0 + 9d0*cima*coupl&
                        (nGC_17)**2d0*coupl(nGC_3)**2d0 + 9d0*cima*coupl(nGC_17&
                        )**2d0*coupl(nGC_623)**2d0 + 18d0*cima*coupl(nGC_17)*  &
                        coupl(nGC_3)*coupl(nGC_82)*coupl(nGC_96) + 18d0*cima*  &
                        coupl(nGC_17)*coupl(nGC_609)*coupl(nGC_623)*coupl(     &
                        nGC_96) + 12d0*cima*coupl(nGC_18)*coupl(nGC_643) - 16d0&
                        *cima*coupl(nGC_185)**2d0*coupl(nGC_80)**2d0 + 9d0*cima&
                        *coupl(nGC_609)**2d0*coupl(nGC_625)*coupl(nGC_68) + 9d0&
                        *cima*coupl(nGC_609)**2d0*coupl(nGC_627)*coupl(nGC_72  &
                        ) + 9d0*cima*coupl(nGC_609)**2d0*coupl(nGC_631)*coupl( &
                        nGC_64) + 9d0*cima*coupl(nGC_609)**2d0*coupl(nGC_96)** &
                        2d0 + 24d0*cima*coupl(nGC_62)*coupl(nGC_78) + 9d0*cima*&
                        coupl(nGC_623)**2d0*coupl(nGC_625)*coupl(nGC_68) + 9d0*&
                        cima*coupl(nGC_623)**2d0*coupl(nGC_627)*coupl(nGC_72   &
                        ) + 9d0*cima*coupl(nGC_623)**2d0*coupl(nGC_631)*coupl( &
                        nGC_64) + 4d0*cima*coupl(nGC_625)*coupl(nGC_63)**2d0*  &
                        coupl(nGC_647) + 4d0*cima*coupl(nGC_625)*coupl(nGC_63)*&
                        coupl(nGC_64)*coupl(nGC_647) + 4d0*cima*coupl(nGC_625)*&
                        coupl(nGC_63)*coupl(nGC_645)*coupl(nGC_68) + 4d0*cima* &
                        coupl(nGC_625)*coupl(nGC_641)**2d0*coupl(nGC_68) + 4d0*&
                        cima*coupl(nGC_625)*coupl(nGC_647)*coupl(nGC_68)*coupl(&
                        nGC_69) + 4d0*cima*coupl(nGC_625)*coupl(nGC_647)*coupl(&
                        nGC_72)**2d0 + 4d0*cima*coupl(nGC_625)*coupl(nGC_651)**&
                        2d0*coupl(nGC_68) + 4d0*cima*coupl(nGC_627)**2d0*coupl(&
                        nGC_63)**2d0 + 4d0*cima*coupl(nGC_627)**2d0*coupl(     &
                        nGC_63)*coupl(nGC_64) + 4d0*cima*coupl(nGC_627)**2d0*  &
                        coupl(nGC_68)*coupl(nGC_69) + 4d0*cima*coupl(nGC_627)**&
                        2d0*coupl(nGC_69)**2d0 + 8d0*cima*coupl(nGC_627)**2d0* &
                        coupl(nGC_72)**2d0 + 4d0*cima*coupl(nGC_627)*coupl(    &
                        nGC_641)**2d0*coupl(nGC_72) + 4d0*cima*coupl(nGC_627)* &
                        coupl(nGC_651)**2d0*coupl(nGC_72) + 4d0*cima*coupl(    &
                        nGC_63)**2d0*coupl(nGC_645)**2d0 + 4d0*cima*coupl(     &
                        nGC_63)**2d0*coupl(nGC_647)**2d0 + 4d0*cima*coupl(     &
                        nGC_63)*coupl(nGC_631)*coupl(nGC_64)*coupl(nGC_645) +  &
                        4d0*cima*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_647)**  &
                        2d0 + 8d0*cima*coupl(nGC_63)*coupl(nGC_645)*coupl(     &
                        nGC_647)*coupl(nGC_69) + 4d0*cima*coupl(nGC_631)*coupl(&
                        nGC_64)*coupl(nGC_641)**2d0 + 4d0*cima*coupl(nGC_631)* &
                        coupl(nGC_64)*coupl(nGC_647)*coupl(nGC_69) + 4d0*cima* &
                        coupl(nGC_631)*coupl(nGC_64)*coupl(nGC_651)**2d0 + 4d0*&
                        cima*coupl(nGC_631)*coupl(nGC_645)*coupl(nGC_68)*coupl(&
                        nGC_69) + 4d0*cima*coupl(nGC_631)*coupl(nGC_645)*coupl(&
                        nGC_69)**2d0 + 4d0*cima*coupl(nGC_631)*coupl(nGC_645)* &
                        coupl(nGC_72)**2d0 + 4d0*cima*coupl(nGC_645)**2d0*coupl&
                        (nGC_68)*coupl(nGC_69) + 4d0*cima*coupl(nGC_645)**2d0* &
                        coupl(nGC_69)**2d0 + 4d0*cima*coupl(nGC_645)**2d0*coupl&
                        (nGC_72)**2d0 + 4d0*cima*coupl(nGC_647)**2d0*coupl(    &
                        nGC_69)**2d0 + 4d0*cima*coupl(nGC_647)**2d0*coupl(     &
                        nGC_72)**2d0 + 9d0*cima*coupl(nGC_82)**2d0*coupl(nGC_96&
                        )**2d0 + 24d0*cima*coupl(nGC_83)*coupl(nGC_97) + 36d0* &
                        coupl(nGC_100)*coupl(nGC_82)**2d0 - 6d0*coupl(nGC_15)* &
                        coupl(nGC_609)*coupl(nGC_631) - 6d0*coupl(nGC_15)*coupl&
                        (nGC_609)*coupl(nGC_64) - 6d0*coupl(nGC_16)*coupl(     &
                        nGC_609)*coupl(nGC_625) - 6d0*coupl(nGC_16)*coupl(     &
                        nGC_609)*coupl(nGC_68) - 6d0*coupl(nGC_17)**2d0*coupl( &
                        nGC_643) - 12d0*coupl(nGC_17)*coupl(nGC_3)*coupl(nGC_62&
                        ) - 12d0*coupl(nGC_17)*coupl(nGC_62)*coupl(nGC_623) -  &
                        12d0*coupl(nGC_17)*coupl(nGC_83)*coupl(nGC_96) + 36d0* &
                        coupl(nGC_18)*coupl(nGC_3)**2d0 - 6d0*coupl(nGC_19)*   &
                        coupl(nGC_609)*coupl(nGC_72) - 6d0*coupl(nGC_20)*coupl(&
                        nGC_609)*coupl(nGC_627) + 72d0*coupl(nGC_3)*coupl(     &
                        nGC_82)*coupl(nGC_97) + 36d0*coupl(nGC_609)**2d0*coupl(&
                        nGC_62) - 12d0*coupl(nGC_609)*coupl(nGC_62)*coupl(     &
                        nGC_96) + 6d0*coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_645&
                        ) + 6d0*coupl(nGC_61)*coupl(nGC_647)*coupl(nGC_69) +   &
                        36d0*coupl(nGC_62)*coupl(nGC_623)**2d0 + 6d0*coupl(    &
                        nGC_62)*coupl(nGC_627)*coupl(nGC_72) + 6d0*coupl(nGC_62&
                        )*coupl(nGC_641)**2d0 + 6d0*coupl(nGC_62)*coupl(nGC_651&
                        )**2d0 - 12d0*coupl(nGC_62)*coupl(nGC_82)*coupl(nGC_96 &
                        ) - 6d0*coupl(nGC_623)*coupl(nGC_625)*coupl(nGC_70) -  &
                        6d0*coupl(nGC_623)*coupl(nGC_627)*coupl(nGC_74) - 6d0* &
                        coupl(nGC_623)*coupl(nGC_631)*coupl(nGC_66) - 6d0*coupl&
                        (nGC_623)*coupl(nGC_64)*coupl(nGC_66) - 6d0*coupl(     &
                        nGC_623)*coupl(nGC_68)*coupl(nGC_70) - 6d0*coupl(      &
                        nGC_623)*coupl(nGC_72)*coupl(nGC_73) - 6d0*coupl(      &
                        nGC_625)*coupl(nGC_68)*coupl(nGC_78) - 6d0*coupl(      &
                        nGC_627)*coupl(nGC_72)*coupl(nGC_78) - 6d0*coupl(      &
                        nGC_631)*coupl(nGC_64)*coupl(nGC_78) - 6d0*coupl(      &
                        nGC_649)*coupl(nGC_96)**2d0)/(192d0*pi**2d0)
      coupl(nGC_2370) = coupl(nGC_1304)*dyd12x2_QED1_QCD2 + coupl(nGC_1305)*   &
                        dys2_QED1_QCD2
      coupl(nGC_1952) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_145) - coupl(nGC_145  &
                        )**3d0 - coupl(nGC_145)*coupl(nGC_147)**2d0 - coupl(   &
                        nGC_145)*coupl(nGC_149)**2d0 - coupl(nGC_145)*coupl(   &
                        nGC_151)**2d0 + 8d0*coupl(nGC_145)*coupl(nGC_84)*coupl(&
                        nGC_87) - coupl(nGC_146)*coupl(nGC_192)*coupl(nGC_193  &
                        ) - coupl(nGC_146)*coupl(nGC_625)*coupl(nGC_80) - coupl&
                        (nGC_147)*coupl(nGC_629)*coupl(nGC_84) - coupl(nGC_147 &
                        )*coupl(nGC_87)*coupl(nGC_94) - coupl(nGC_150)*coupl(  &
                        nGC_192)*coupl(nGC_196) - coupl(nGC_150)*coupl(nGC_63)*&
                        coupl(nGC_80) - coupl(nGC_151)*coupl(nGC_619)*coupl(   &
                        nGC_84) - coupl(nGC_151)*coupl(nGC_87)*coupl(nGC_91))/(&
                        32d0*pi**2d0)
      coupl(nGC_2282) = coupl(nGC_876)*db_QED2 + coupl(nGC_877)*dl3_QED4 +     &
                        coupl(nGC_878)*dl2_QED4 + coupl(nGC_879)*dl1_QED4 +    &
                        coupl(nGC_880)*dl4_QED4 + coupl(nGC_881)*dl5_QED4
      coupl(nGC_2283) = coupl(nGC_916)*db_QED2 + coupl(nGC_917)*dl3_QED4 +     &
                        coupl(nGC_918)*dl2_QED4 + coupl(nGC_919)*dl1_QED4 +    &
                        coupl(nGC_920)*dl4_QED4 + coupl(nGC_921)*dl5_QED4
      coupl(nGC_2280) = coupl(nGC_957)*db_QED2 + coupl(nGC_958)*dl3_QED4 +     &
                        coupl(nGC_959)*dl2_QED4 + coupl(nGC_960)*dl1_QED4 +    &
                        coupl(nGC_961)*dl4_QED4 + coupl(nGC_962)*dl5_QED4
      coupl(nGC_2281) = coupl(nGC_963)*db_QED2 + coupl(nGC_964)*dl3_QED4 +     &
                        coupl(nGC_965)*dl2_QED4 + coupl(nGC_966)*dl1_QED4 +    &
                        coupl(nGC_967)*dl4_QED4 + coupl(nGC_968)*dl5_QED4
      coupl(nGC_2286) = coupl(nGC_1328)*dvev2_QED1 + coupl(nGC_1329)*dvev1_QED1&
                         + coupl(nGC_1330)*dl2_QED4 + coupl(nGC_1331)*dl1_QED4 &
                         + coupl(nGC_1332)*dl4_QED4 + coupl(nGC_1333)*dl3_QED4 &
                         + coupl(nGC_1334)*da_QED2 + coupl(nGC_1335)*dl5_QED4
      coupl(nGC_2287) = coupl(nGC_1473)*db_QED2 + coupl(nGC_1474)*dvev2_QED1 + &
                        coupl(nGC_1475)*dvev1_QED1 + coupl(nGC_1476)*dl2_QED4  &
                         + coupl(nGC_1477)*dl1_QED4 + coupl(nGC_1478)*dl4_QED4 &
                         + coupl(nGC_1479)*dl3_QED4 + coupl(nGC_1480)*da_QED2  &
                         + coupl(nGC_1481)*dl5_QED4
      coupl(nGC_2284) = coupl(nGC_1430)*db_QED2 + coupl(nGC_1431)*dvev2_QED1 + &
                        coupl(nGC_1432)*dvev1_QED1 + coupl(nGC_1433)*dl2_QED4  &
                         + coupl(nGC_1434)*dl1_QED4 + coupl(nGC_1435)*dl4_QED4 &
                         + coupl(nGC_1436)*dl3_QED4 + coupl(nGC_1437)*da_QED2  &
                         + coupl(nGC_1438)*dl5_QED4
      coupl(nGC_2285) = coupl(nGC_1417)*db_QED2 + coupl(nGC_1418)*dvev2_QED1 + &
                        coupl(nGC_1419)*dvev1_QED1 + coupl(nGC_1420)*dl2_QED4  &
                         + coupl(nGC_1421)*dl1_QED4 + coupl(nGC_1422)*dl4_QED4 &
                         + coupl(nGC_1423)*dl3_QED4 + coupl(nGC_1424)*da_QED2  &
                         + coupl(nGC_1425)*dl5_QED4
      coupl(nGC_2462) = coupl(nGC_1516)*dyc1_QED1_QCD2 + coupl(nGC_1517)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_2463) = coupl(nGC_431)*db_QED2 + coupl(nGC_433)*dyt1_QED3 +    &
                        coupl(nGC_435)*dyt2_QED3
      coupl(nGC_2460) = coupl(nGC_1307)*dyup1_QED1_QCD2 + coupl(nGC_1308)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_2461) = coupl(nGC_1515)*db_QED2 + coupl(nGC_1516)*dyc1_QED3 +  &
                        coupl(nGC_1517)*dyc2_QED3
      coupl(nGC_2466) = coupl(nGC_865)*dZee_QED2 + coupl(nGC_866)*dMW2_QED2 +  &
                        coupl(nGC_867)*dsw_QED2
      coupl(nGC_2467) = coupl(nGC_1625)*dZee_QED2 + coupl(nGC_1626)*dsw_QED2 + &
                        coupl(nGC_1627)*dMW2_QED2 + coupl(nGC_1628)*da_QED2 +  &
                        coupl(nGC_1629)*db_QED2
      coupl(nGC_2464) = coupl(nGC_433)*dyt1_QED1_QCD2 + coupl(nGC_435)*        &
                        dyt2_QED1_QCD2
      coupl(nGC_2465) = coupl(nGC_1183)*dZee_QED2 + coupl(nGC_1184)*dMW2_QED2
      coupl(nGC_1938) = (-coupl(nGC_184)**2d0*coupl(nGC_188) + coupl(nGC_185)* &
                        coupl(nGC_645)*coupl(nGC_80) - coupl(nGC_187)**2d0*    &
                        coupl(nGC_188) + coupl(nGC_187)*coupl(nGC_617)*coupl(  &
                        nGC_86) + coupl(nGC_187)*coupl(nGC_89)*coupl(nGC_92) - &
                        coupl(nGC_188)**3d0 - coupl(nGC_188)*coupl(nGC_191)**  &
                        2d0 + 8d0*coupl(nGC_188)*coupl(nGC_4)**2d0 + 8d0*coupl(&
                        nGC_188)*coupl(nGC_86)*coupl(nGC_89) + coupl(nGC_189)* &
                        coupl(nGC_69)*coupl(nGC_80) + coupl(nGC_191)*coupl(    &
                        nGC_629)*coupl(nGC_86) + coupl(nGC_191)*coupl(nGC_89)* &
                        coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_2468) = coupl(nGC_871)*dZee_QED2 + coupl(nGC_872)*dsw_QED2 +   &
                        coupl(nGC_873)*dMW2_QED2 + coupl(nGC_874)*da_QED2 +    &
                        coupl(nGC_875)*db_QED2
      coupl(nGC_2469) = coupl(nGC_1271)*dZee_QED2 + coupl(nGC_1272)*dMW2_QED2  &
                         + coupl(nGC_1273)*dcw_QED2 + coupl(nGC_1274)*dsw_QED2
      coupl(nGC_2264) = coupl(nGC_922)*db_QED2 + coupl(nGC_923)*dl3_QED4 +     &
                        coupl(nGC_924)*dl2_QED4 + coupl(nGC_925)*dl1_QED4 +    &
                        coupl(nGC_926)*dl4_QED4 + coupl(nGC_927)*dl5_QED4 +    &
                        coupl(nGC_928)*da_QED2
      coupl(nGC_2265) = coupl(nGC_1059)*db_QED2 + coupl(nGC_1060)*dl3_QED4 +   &
                        coupl(nGC_1061)*dl2_QED4 + coupl(nGC_1062)*dl1_QED4 +  &
                        coupl(nGC_1063)*dl4_QED4 + coupl(nGC_1064)*dl5_QED4
      coupl(nGC_2266) = coupl(nGC_1223)*db_QED2 + coupl(nGC_1224)*dl3_QED4 +   &
                        coupl(nGC_1225)*dl2_QED4 + coupl(nGC_1226)*dl1_QED4 +  &
                        coupl(nGC_1227)*dl4_QED4 + coupl(nGC_1228)*dl5_QED4 +  &
                        coupl(nGC_1229)*da_QED2
      coupl(nGC_2267) = coupl(nGC_1209)*db_QED2 + coupl(nGC_1210)*dl3_QED4 +   &
                        coupl(nGC_1211)*dl2_QED4 + coupl(nGC_1212)*dl1_QED4 +  &
                        coupl(nGC_1213)*dl4_QED4 + coupl(nGC_1214)*dl5_QED4 +  &
                        coupl(nGC_1215)*da_QED2
      coupl(nGC_2260) = coupl(nGC_1044)*db_QED2 + coupl(nGC_1045)*dl3_QED4 +   &
                        coupl(nGC_1046)*dl2_QED4 + coupl(nGC_1047)*dl1_QED4 +  &
                        coupl(nGC_1048)*dl4_QED4 + coupl(nGC_1049)*dl5_QED4
      coupl(nGC_2261) = coupl(nGC_1000)*da_QED2 + coupl(nGC_997)*db_QED2 +     &
                        coupl(nGC_998)*dl5_QED4 + coupl(nGC_999)*dl4_QED4
      coupl(nGC_2262) = coupl(nGC_984)*db_QED2 + coupl(nGC_985)*dl5_QED4 +     &
                        coupl(nGC_986)*dl4_QED4 + coupl(nGC_987)*da_QED2
      coupl(nGC_2263) = coupl(nGC_950)*db_QED2 + coupl(nGC_951)*dl3_QED4 +     &
                        coupl(nGC_952)*dl2_QED4 + coupl(nGC_953)*dl1_QED4 +    &
                        coupl(nGC_954)*dl4_QED4 + coupl(nGC_955)*dl5_QED4 +    &
                        coupl(nGC_956)*da_QED2
      coupl(nGC_2303) = coupl(nGC_1391)*dl4_QED4 + coupl(nGC_1392)*dl5_QED4 +  &
                        coupl(nGC_1393)*dvev2_QED1 + coupl(nGC_1394)*dvev1_QED1&
                         + coupl(nGC_1395)*db_QED2
      coupl(nGC_2302) = coupl(nGC_1383)*dl4_QED4 + coupl(nGC_1384)*dl5_QED4 +  &
                        coupl(nGC_1385)*dvev2_QED1 + coupl(nGC_1386)*dvev1_QED1&
                         + coupl(nGC_1387)*db_QED2
      coupl(nGC_TS_GC_39_Hl) = -coupl(nGC_39)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2268) = coupl(nGC_1148)*dl3_QED4 + coupl(nGC_1149)*dl2_QED4 +  &
                        coupl(nGC_1150)*dl1_QED4 + coupl(nGC_1151)*dl4_QED4 +  &
                        coupl(nGC_1152)*dl5_QED4 + coupl(nGC_1153)*da_QED2
      coupl(nGC_2269) = coupl(nGC_1230)*db_QED2 + coupl(nGC_1231)*dl3_QED4 +   &
                        coupl(nGC_1232)*dl2_QED4 + coupl(nGC_1233)*dl1_QED4 +  &
                        coupl(nGC_1234)*dl4_QED4 + coupl(nGC_1235)*dl5_QED4 +  &
                        coupl(nGC_1236)*da_QED2
      coupl(nGC_1811) = (4d0*Nc*coupl(nGC_130)*coupl(nGC_135)*coupl(nGC_85) -  &
                        4d0*Nc*coupl(nGC_130)*coupl(nGC_135)*coupl(nGC_88) -   &
                        4d0*Nc*coupl(nGC_130)*coupl(nGC_136)*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_130)*coupl(nGC_136)*coupl(nGC_88) -   &
                        4d0*Nc*coupl(nGC_139)*coupl(nGC_141)*coupl(nGC_84) +   &
                        4d0*Nc*coupl(nGC_139)*coupl(nGC_141)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_140)*coupl(nGC_141)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_140)*coupl(nGC_141)*coupl(nGC_87) -   &
                        4d0*Nc*coupl(nGC_145)*coupl(nGC_151)*coupl(nGC_84) +   &
                        4d0*Nc*coupl(nGC_145)*coupl(nGC_151)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_145)*coupl(nGC_152)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_145)*coupl(nGC_152)*coupl(nGC_87) -   &
                        4d0*Nc*coupl(nGC_169)*coupl(nGC_175)*coupl(nGC_84) +   &
                        4d0*Nc*coupl(nGC_169)*coupl(nGC_175)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_169)*coupl(nGC_176)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_169)*coupl(nGC_176)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_177)*coupl(nGC_182)*coupl(nGC_85) -   &
                        4d0*Nc*coupl(nGC_177)*coupl(nGC_182)*coupl(nGC_88) -   &
                        4d0*Nc*coupl(nGC_177)*coupl(nGC_183)*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_177)*coupl(nGC_183)*coupl(nGC_88) +   &
                        4d0*Nc*coupl(nGC_192)*coupl(nGC_197)*coupl(nGC_85) -   &
                        4d0*Nc*coupl(nGC_192)*coupl(nGC_197)*coupl(nGC_88) -   &
                        4d0*Nc*coupl(nGC_192)*coupl(nGC_198)*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_192)*coupl(nGC_198)*coupl(nGC_88) -   &
                        4d0*coupl(nGC_153)*coupl(nGC_159)*coupl(nGC_86) + 4d0* &
                        coupl(nGC_153)*coupl(nGC_159)*coupl(nGC_89) + 4d0*coupl&
                        (nGC_153)*coupl(nGC_160)*coupl(nGC_86) - 4d0*coupl(    &
                        nGC_153)*coupl(nGC_160)*coupl(nGC_89) - 4d0*coupl(     &
                        nGC_161)*coupl(nGC_167)*coupl(nGC_86) + 4d0*coupl(     &
                        nGC_161)*coupl(nGC_167)*coupl(nGC_89) + 4d0*coupl(     &
                        nGC_161)*coupl(nGC_168)*coupl(nGC_86) - 4d0*coupl(     &
                        nGC_161)*coupl(nGC_168)*coupl(nGC_89) - 4d0*coupl(     &
                        nGC_184)*coupl(nGC_190)*coupl(nGC_86) + 4d0*coupl(     &
                        nGC_184)*coupl(nGC_190)*coupl(nGC_89) + 4d0*coupl(     &
                        nGC_184)*coupl(nGC_191)*coupl(nGC_86) - 4d0*coupl(     &
                        nGC_184)*coupl(nGC_191)*coupl(nGC_89) - 6d0*coupl(     &
                        nGC_609)*coupl(nGC_63)*coupl(nGC_72) + coupl(nGC_617)* &
                        coupl(nGC_629)**2d0 + coupl(nGC_619)**3d0 + 2d0*coupl( &
                        nGC_619)*coupl(nGC_629)**2d0 + coupl(nGC_627)*coupl(   &
                        nGC_631)*coupl(nGC_96) + coupl(nGC_627)*coupl(nGC_645)*&
                        coupl(nGC_651) - 6d0*coupl(nGC_64)*coupl(nGC_72)*coupl(&
                        nGC_82))/(96d0*pi**2d0)
      coupl(nGC_2216) = (-8d0*Nc*cima*coupl(nGC_6)**4d0*sq2**4d0 + 12d0*Nc*cima&
                        *coupl(nGC_635)**2d0 + 12d0*Nc*cima*coupl(nGC_8)**2d0  &
                         - 21d0*Nc*coupl(nGC_6)**2d0*coupl(nGC_635)*sq2**2d0 + &
                        21d0*Nc*coupl(nGC_6)**2d0*coupl(nGC_8)*sq2**2d0 + 36d0*&
                        cima*coupl(nGC_7)**4d0*sq2**4d0)/(768d0*pi**2d0)
      coupl(nGC_2880) = coupl(nGC_170)*dZHMinus_QED2/2d0 + coupl(nGC_170)*     &
                        dZcL_QED2/2d0 + coupl(nGC_170)*dZsR_QED2/2d0 + coupl(  &
                        nGC_174)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_2369)
      coupl(nGC_1788) = (4d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_142&
                        ) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_177)*coupl(    &
                        nGC_178) + 4d0*Nc*cMB*coupl(nGC_141)*coupl(nGC_178)*   &
                        coupl(nGC_181) + 2d0*Nc*cMB*coupl(nGC_142)*coupl(      &
                        nGC_177)*coupl(nGC_181) + 4d0*Nc*cMC*coupl(nGC_130)*   &
                        coupl(nGC_131)*coupl(nGC_134) + 4d0*Nc*cMC*coupl(      &
                        nGC_130)*coupl(nGC_170)*coupl(nGC_174) + 2d0*Nc*cMC*   &
                        coupl(nGC_131)*coupl(nGC_169)*coupl(nGC_174) + 2d0*Nc* &
                        cMC*coupl(nGC_134)*coupl(nGC_169)*coupl(nGC_170) + 4d0*&
                        Nc*cMD*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_150) +  &
                        4d0*Nc*cMD*coupl(nGC_145)*coupl(nGC_193)*coupl(nGC_196 &
                        ) + 2d0*Nc*cMD*coupl(nGC_146)*coupl(nGC_192)*coupl(    &
                        nGC_196) + 2d0*Nc*cMD*coupl(nGC_150)*coupl(nGC_192)*   &
                        coupl(nGC_193) + 2d0*Nc*cMS*coupl(nGC_130)*coupl(      &
                        nGC_131)*coupl(nGC_174) + 2d0*Nc*cMS*coupl(nGC_130)*   &
                        coupl(nGC_134)*coupl(nGC_170) + 4d0*Nc*cMS*coupl(      &
                        nGC_131)*coupl(nGC_134)*coupl(nGC_169) + 4d0*Nc*cMS*   &
                        coupl(nGC_169)*coupl(nGC_170)*coupl(nGC_174) + 2d0*Nc* &
                        cMT*coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_178) + 4d0*&
                        Nc*cMT*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_177) +  &
                        2d0*Nc*cMT*coupl(nGC_141)*coupl(nGC_142)*coupl(nGC_181 &
                        ) + 4d0*Nc*cMT*coupl(nGC_177)*coupl(nGC_178)*coupl(    &
                        nGC_181) + 2d0*Nc*cMU*coupl(nGC_145)*coupl(nGC_146)*   &
                        coupl(nGC_196) + 2d0*Nc*cMU*coupl(nGC_145)*coupl(      &
                        nGC_150)*coupl(nGC_193) + 4d0*Nc*cMU*coupl(nGC_146)*   &
                        coupl(nGC_150)*coupl(nGC_192) + 4d0*Nc*cMU*coupl(      &
                        nGC_192)*coupl(nGC_193)*coupl(nGC_196) + 4d0*cME*coupl(&
                        nGC_153)*coupl(nGC_154)*coupl(nGC_158) + 4d0*cMM*coupl(&
                        nGC_161)*coupl(nGC_162)*coupl(nGC_166) + 4d0*cMTA*coupl&
                        (nGC_184)*coupl(nGC_185)*coupl(nGC_189) + 4d0*cima*    &
                        coupl(nGC_102)*coupl(nGC_14) + 4d0*cima*coupl(nGC_107)*&
                        coupl(nGC_16) + 4d0*cima*coupl(nGC_126)*coupl(nGC_65   &
                        ) + 4d0*cima*coupl(nGC_127)*coupl(nGC_70) - coupl(     &
                        nGC_102)*coupl(nGC_619)*coupl(nGC_72) - coupl(nGC_102)*&
                        coupl(nGC_645)*coupl(nGC_96) + coupl(nGC_103)*coupl(   &
                        nGC_625)*coupl(nGC_631) + coupl(nGC_104)*coupl(nGC_625 &
                        )*coupl(nGC_645) + coupl(nGC_106)*coupl(nGC_625)**2d0  &
                         + coupl(nGC_106)*coupl(nGC_631)*coupl(nGC_645) - coupl&
                        (nGC_107)*coupl(nGC_625)*coupl(nGC_96) - coupl(nGC_107 &
                        )*coupl(nGC_627)*coupl(nGC_94) + coupl(nGC_108)*coupl( &
                        nGC_645)*coupl(nGC_69) + coupl(nGC_110)*coupl(nGC_625)*&
                        coupl(nGC_64) + coupl(nGC_111)*coupl(nGC_63)*coupl(    &
                        nGC_68) + coupl(nGC_111)*coupl(nGC_63)*coupl(nGC_69) + &
                        coupl(nGC_114)*coupl(nGC_619)*coupl(nGC_651) + coupl(  &
                        nGC_114)*coupl(nGC_627)*coupl(nGC_63) + coupl(nGC_114)*&
                        coupl(nGC_651)*coupl(nGC_91) + coupl(nGC_116)*coupl(   &
                        nGC_63)*coupl(nGC_645) + coupl(nGC_118)*coupl(nGC_625)*&
                        coupl(nGC_69) + coupl(nGC_119)*coupl(nGC_17)**2d0 +    &
                        coupl(nGC_119)*coupl(nGC_63)*coupl(nGC_64) + coupl(    &
                        nGC_119)*coupl(nGC_68)*coupl(nGC_69) + coupl(nGC_119)* &
                        coupl(nGC_96)**2d0 + coupl(nGC_120)*coupl(nGC_627)*    &
                        coupl(nGC_72) + coupl(nGC_123)*coupl(nGC_629)*coupl(   &
                        nGC_651) + coupl(nGC_123)*coupl(nGC_651)*coupl(nGC_94  &
                        ) + coupl(nGC_123)*coupl(nGC_68)*coupl(nGC_72) - coupl(&
                        nGC_124)*coupl(nGC_63)*coupl(nGC_69) - coupl(nGC_124)* &
                        coupl(nGC_64)*coupl(nGC_69) - coupl(nGC_126)*coupl(    &
                        nGC_17)*coupl(nGC_645) - coupl(nGC_127)*coupl(nGC_17)* &
                        coupl(nGC_625))/(32d0*pi**2d0)
      coupl(nGC_TS_GC_121_Hh) = -coupl(nGC_121)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2686) = coupl(nGC_20)*dZHMinus_QED2/2d0 + coupl(nGC_20)*       &
                        dZHa_QED2/2d0 + coupl(nGC_20)*dZWMinus_QED2/2d0 + coupl&
                        (nGC_20)*dZZ_QED2/2d0 + coupl(nGC_2327) + coupl(nGC_74 &
                        )*dZAZ_QED2/2d0
      coupl(nGC_3249) = -coupl(nGC_2604) - coupl(nGC_MZ_GF)*dZZ_QED2/2d0 +     &
                        coupl(nGC_TS_GC_91_Hl) + coupl(nGC_TS_GC_94_Hh)
      coupl(nGC_3248) = -coupl(nGC_MZ_GF)*dZG0/2d0
      coupl(nGC_2687) = coupl(nGC_22)*dZHlHh_QED2 + coupl(nGC_2259) + coupl(   &
                        nGC_27)*dZGMinusHMinus_QED2 + coupl(nGC_34)*           &
                        dZHMinus_QED2 + coupl(nGC_34)*dZHh_QED2
      coupl(nGC_3244) = coupl(nGC_I)*dZHa_QED2
      coupl(nGC_3247) = -coupl(nGC_MI)*dZA_QED2
      coupl(nGC_3246) = coupl(nGC_MI)*dZA_QED2
      coupl(nGC_3241) = coupl(nGC_MI)*dZdL_QED2
      coupl(nGC_3240) = coupl(nGC_2595) + coupl(nGC_MD)*dZdL_QCD2/2d0 + coupl( &
                        nGC_MD)*dZdR_QCD2/2d0
      coupl(nGC_3243) = coupl(nGC_2583) + coupl(nGC_MHA)*dZHa_QED2 + coupl(    &
                        nGC_TS_GC_113_Hl) + coupl(nGC_TS_GC_121_Hh)
      coupl(nGC_3242) = coupl(nGC_MI)*dZdL_QCD2
    end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
